WinNT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT

Package com.sun.jna.platform.win32

# Interface WinNT

All Superinterfaces:
  `BaseTSD`, `WinBase`, `WinDef`, `WinError`

All Known Subinterfaces:
  `CoreDLL`, `Kernel32`, `User32`

public interface WinNT extends WinError, WinDef, WinBase, BaseTSD
This module defines the 32-Bit Windows types and constants that are defined by NT, but exposed through the Win32 API. Ported from WinNT.h Microsoft Windows SDK 6.0A. Avoid including any NIO Buffer mappings here; put them in a DLL-derived interface (e.g. kernel32, user32, etc) instead.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WinNT.ACCESS_ACEStructure`
  ACCESS_ALLOWED_ACE and ACCESS_DENIED_ACE have the same structure layout
  `static class`
  `WinNT.ACCESS_ALLOWED_ACE`
  `static class`
  `WinNT.ACCESS_DENIED_ACE`
  `static class`
  `WinNT.ACE_HEADER`
  `static class`
  `WinNT.ACL`
  `static class`
  `WinNT.BATTERY_REPORTING_SCALE`
  Contains the granularity of the battery capacity.
  `static class`
  `WinNT.CACHE_DESCRIPTOR`
  Describes the cache attributes.
  `static class`
  `WinNT.CACHE_RELATIONSHIP`
  Describes cache attributes.
  `static class`
  `WinNT.EVENTLOGRECORD`
  The EVENTLOGRECORD structure contains information about an event record returned by the ReadEventLog function.
  `static class`
  `WinNT.FILE_NOTIFY_INFORMATION`
  The FILE_NOTIFY_INFORMATION structure describes the changes found by the ReadDirectoryChangesW function.
  `static class`
  `WinNT.GENERIC_MAPPING`
  Defines the mapping of generic access rights to specific and standard access rights for an object
  `static class`
  `WinNT.GROUP_AFFINITY`
  Represents a processor group-specific affinity, such as the affinity of a thread.
  `static class`
  `WinNT.GROUP_RELATIONSHIP`
  Represents information about processor groups.
  `static class`
  `WinNT.HANDLE`
  Handle to an object.
  `static class`
  `WinNT.HANDLEByReference`
  LPHANDLE
  `static class`
  `WinNT.HRESULT`
  Return code used by interfaces.
  `static class`
  `WinNT.IO_COUNTERS`
  The IO_COUNTERS structure contains I/O accounting information for a process or a job object.
  `static class`
  `WinNT.LARGE_INTEGER`
  A 64-bit integer;
  `static final class`
  `WinNT.LocaleMacros`
  A language ID is a 16 bit value which is the combination of a primary language ID and a secondary language ID.
  `static interface`
  `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP`
  Represents the relationship between the processor set identified in the corresponding `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION` or `SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` structure.
  `static class`
  `WinNT.LUID`
  A 64-bit value that is guaranteed to be unique on the operating system that generated it until the system is restarted.
  `static class`
  `WinNT.LUID_AND_ATTRIBUTES`
  The LUID_AND_ATTRIBUTES structure represents a locally unique identifier (LUID) and its attributes.
  `static class`
  `WinNT.MEMORY_BASIC_INFORMATION`
  `static class`
  `WinNT.NUMA_NODE_RELATIONSHIP`
  Represents information about a NUMA node in a processor group.
  `static class`
  `WinNT.OSVERSIONINFO`
  The OSVERSIONINFO data structure contains operating system version information.
  `static class`
  `WinNT.OSVERSIONINFOEX`
  Contains operating system version information.
  `static interface`
  `WinNT.OVERLAPPED_COMPLETION_ROUTINE`
  `static class`
  `WinNT.PACLByReference`
  `static interface`
  `WinNT.POWER_ACTION`
  Defines values that are used to specify system power action types.
  `static class`
  `WinNT.POWER_ACTION_POLICY`
  Contains information used to set the system power state.
  `static class`
  `WinNT.PRIVILEGE_SET`
  Specifies a set of privileges.
  `static class`
  `WinNT.PROCESSOR_CACHE_TYPE`
  Represents the type of processor cache identifier in the corresponding `WinNT.CACHE_DESCRIPTOR` structure.
  `static class`
  `WinNT.PROCESSOR_GROUP_INFO`
  Represents the number and affinity of processors in a processor group.
  `static class`
  `WinNT.PROCESSOR_POWER_INFORMATION`
  Contains information about a processor.
  `static class`
  `WinNT.PROCESSOR_RELATIONSHIP`
  Describes the logical processors associated with either a processor core or a processor package.
  `static class`
  `WinNT.PSID`
  `static class`
  `WinNT.PSIDByReference`
  `static class`
  `WinNT.SECURITY_DESCRIPTOR`
  `static class`
  `WinNT.SECURITY_DESCRIPTOR_RELATIVE`
  `static class`
  `WinNT.SECURITY_IMPERSONATION_LEVEL`
  The SECURITY_IMPERSONATION_LEVEL enumeration type contains values that specify security impersonation levels.
  `static class`
  `WinNT.SECURITY_QUALITY_OF_SERVICE`
  `static class`
  `WinNT.SID_AND_ATTRIBUTES`
  The SID_AND_ATTRIBUTES structure represents a security identifier (SID) and its attributes.
  `static class`
  `WinNT.SID_NAME_USE`
  The SID_NAME_USE enumeration type contains values that specify the type of a security identifier (SID).
  `static class`
  `WinNT.SYSTEM_BATTERY_STATE`
  Contains information about the current state of the system battery.
  `static class`
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION`
  Describes the relationship between the specified processor set.
  `static class`
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX`
  Contains information about the relationships of logical processors and related hardware.
  `static class`
  `WinNT.SYSTEM_POWER_CAPABILITIES`
  Contains information about the power capabilities of the system.
  `static class`
  `WinNT.SYSTEM_POWER_INFORMATION`
  Contains information about the idleness of the system.
  `static class`
  `WinNT.SYSTEM_POWER_LEVEL`
  Contains information about system battery drain policy settings.
  `static class`
  `WinNT.SYSTEM_POWER_POLICY`
  Contains information about the current system power policy.
  `static interface`
  `WinNT.SYSTEM_POWER_STATE`
  Defines values that are used to specify system power states.
  `static class`
  `WinNT.TOKEN_ELEVATION`
  The TOKEN_ELEVATION structure indicates whether a token has elevated privileges.
  `static class`
  `WinNT.TOKEN_GROUPS`
  The TOKEN_GROUPS structure contains information about the group security identifiers (SIDs) in an access token.
  `static class`
  `WinNT.TOKEN_INFORMATION_CLASS`
  The TOKEN_INFORMATION_CLASS enumeration type contains values that specify the type of information being assigned to or retrieved from an access token.
  `static class`
  `WinNT.TOKEN_OWNER`
  The TOKEN_OWNER structure contains the default owner security identifier (SID) that will be applied to newly created objects.
  `static class`
  `WinNT.TOKEN_PRIMARY_GROUP`
  The TOKEN_PRIMARY_GROUP structure specifies a group security identifier (SID) for an access token.
  `static class`
  `WinNT.TOKEN_PRIVILEGES`
  The TOKEN_PRIVILEGES structure contains information about a set of privileges for an access token.
  `static class`
  `WinNT.TOKEN_TYPE`
  The TOKEN_TYPE enumeration type contains values that differentiate between a primary token and an impersonation token.
  `static class`
  `WinNT.TOKEN_USER`
  The TOKEN_USER structure identifies the user associated with an access token.
  `static class`
  `WinNT.UNKNOWN_RELATIONSHIP`
  Represents information associated with a `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP` enum value which has not yet been mapped.
  `static class`
  `WinNT.WELL_KNOWN_SID_TYPE`
  The WELL_KNOWN_SID_TYPE enumeration type is a list of commonly used security identifiers (SIDs).

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

  `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinBase

  `WinBase.COMMTIMEOUTS, WinBase.COMPUTER_NAME_FORMAT, WinBase.DCB, WinBase.EnumResNameProc, WinBase.EnumResTypeProc, WinBase.FE_EXPORT_FUNC, WinBase.FE_IMPORT_FUNC, WinBase.FILE_ATTRIBUTE_TAG_INFO, WinBase.FILE_BASIC_INFO, WinBase.FILE_COMPRESSION_INFO, WinBase.FILE_DISPOSITION_INFO, WinBase.FILE_ID_INFO, WinBase.FILE_STANDARD_INFO, WinBase.FILETIME, WinBase.FOREIGN_THREAD_START_ROUTINE, WinBase.MEMORYSTATUSEX, WinBase.OVERLAPPED, WinBase.PROCESS_INFORMATION, WinBase.SECURITY_ATTRIBUTES, WinBase.STARTUPINFO, WinBase.SYSTEM_INFO, WinBase.SYSTEMTIME, WinBase.THREAD_START_ROUTINE, WinBase.TIME_ZONE_INFORMATION, WinBase.WIN32_FIND_DATA`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

  `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HKL, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ACCESS_ALLOWED_ACE_TYPE`
  `static final byte`
  `ACCESS_ALLOWED_CALLBACK_ACE_TYPE`
  `static final byte`
  `ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE`
  `static final byte`
  `ACCESS_ALLOWED_COMPOUND_ACE_TYPE`
  `static final byte`
  `ACCESS_ALLOWED_OBJECT_ACE_TYPE`
  `static final byte`
  `ACCESS_DENIED_ACE_TYPE`
  `static final byte`
  `ACCESS_DENIED_CALLBACK_ACE_TYPE`
  `static final byte`
  `ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE`
  `static final byte`
  `ACCESS_DENIED_OBJECT_ACE_TYPE`
  `static final int`
  `ACCESS_SYSTEM_SECURITY`
  `static final int`
  `ACL_REVISION`
  `static final int`
  `ACL_REVISION_DS`
  `static final int`
  `ACL_REVISION1`
  `static final int`
  `ACL_REVISION2`
  `static final int`
  `ACL_REVISION3`
  `static final int`
  `ACL_REVISION4`
  `static final byte`
  `BOOLEAN_FALSE`
  `static final byte`
  `BOOLEAN_TRUE`
  `static final byte`
  `CACHE_FULLY_ASSOCIATIVE`
  `static final int`
  `COMPRESSION_ENGINE_HIBER`
  `static final int`
  `COMPRESSION_ENGINE_MAXIMUM`
  `static final int`
  `COMPRESSION_ENGINE_STANDARD`
  `static final int`
  `COMPRESSION_FORMAT_DEFAULT`
  `static final int`
  `COMPRESSION_FORMAT_LZNT1`
  `static final int`
  `COMPRESSION_FORMAT_NONE`
  `static final int`
  `COMPRESSION_FORMAT_XPRESS`
  `static final int`
  `COMPRESSION_FORMAT_XPRESS_HUFF`
  `static final byte`
  `CONTAINER_INHERIT_ACE`
  `static final int`
  `CREATE_ALWAYS`
  `static final int`
  `CREATE_NEW`
  `static final int`
  `DACL_SECURITY_INFORMATION`
  `static final int`
  `DDD_EXACT_MATCH_ON_REMOVE`
  `static final int`
  `DDD_NO_BROADCAST_SYSTEM`
  `static final int`
  `DDD_RAW_TARGET_PATH`
  `static final int`
  `DDD_REMOVE_DEFINITION`
  `static final int`
  `DELETE`
  `static final int`
  `EVENT_ALL_ACCESS`
  `static final int`
  `EVENT_MODIFY_STATE`
  `static final int`
  `EVENTLOG_AUDIT_FAILURE`
  Failure Audit event
  `static final int`
  `EVENTLOG_AUDIT_SUCCESS`
  Success Audit event
  `static final int`
  `EVENTLOG_BACKWARDS_READ`
  The log is read in reverse chronological order (newest to oldest).
  `static final int`
  `EVENTLOG_ERROR_TYPE`
  Error event
  `static final int`
  `EVENTLOG_FORWARDS_READ`
  The log is read in chronological order (oldest to newest).
  `static final int`
  `EVENTLOG_INFORMATION_TYPE`
  Information event
  `static final int`
  `EVENTLOG_SEEK_READ`
  Begin reading from the record specified in the dwRecordOffset parameter.
  `static final int`
  `EVENTLOG_SEQUENTIAL_READ`
  Read the records sequentially.
  `static final int`
  `EVENTLOG_SUCCESS`
  Information event
  `static final int`
  `EVENTLOG_WARNING_TYPE`
  Warning event
  `static final int`
  `FILE_ACTION_ADDED`
  `static final int`
  `FILE_ACTION_MODIFIED`
  `static final int`
  `FILE_ACTION_REMOVED`
  `static final int`
  `FILE_ACTION_RENAMED_NEW_NAME`
  `static final int`
  `FILE_ACTION_RENAMED_OLD_NAME`
  `static final int`
  `FILE_ADD_FILE`
  `static final int`
  `FILE_ADD_SUBDIRECTORY`
  `static final int`
  `FILE_ALL_ACCESS`
  `static final int`
  `FILE_APPEND_DATA`
  `static final int`
  `FILE_ATTRIBUTE_ARCHIVE`
  `static final int`
  `FILE_ATTRIBUTE_COMPRESSED`
  `static final int`
  `FILE_ATTRIBUTE_DEVICE`
  `static final int`
  `FILE_ATTRIBUTE_DIRECTORY`
  `static final int`
  `FILE_ATTRIBUTE_ENCRYPTED`
  `static final int`
  `FILE_ATTRIBUTE_HIDDEN`
  `static final int`
  `FILE_ATTRIBUTE_NORMAL`
  `static final int`
  `FILE_ATTRIBUTE_NOT_CONTENT_INDEXED`
  `static final int`
  `FILE_ATTRIBUTE_OFFLINE`
  `static final int`
  `FILE_ATTRIBUTE_READONLY`
  `static final int`
  `FILE_ATTRIBUTE_REPARSE_POINT`
  `static final int`
  `FILE_ATTRIBUTE_SPARSE_FILE`
  `static final int`
  `FILE_ATTRIBUTE_SYSTEM`
  `static final int`
  `FILE_ATTRIBUTE_TEMPORARY`
  `static final int`
  `FILE_ATTRIBUTE_VIRTUAL`
  `static final int`
  `FILE_CASE_PRESERVED_NAMES`
  `static final int`
  `FILE_CASE_SENSITIVE_SEARCH`
  `static final int`
  `FILE_CREATE_PIPE_INSTANCE`
  `static final int`
  `FILE_DELETE_CHILD`
  `static final int`
  `FILE_EXECUTE`
  `static final int`
  `FILE_FILE_COMPRESSION`
  `static final int`
  `FILE_FLAG_BACKUP_SEMANTICS`
  `static final int`
  `FILE_FLAG_DELETE_ON_CLOSE`
  `static final int`
  `FILE_FLAG_NO_BUFFERING`
  `static final int`
  `FILE_FLAG_OPEN_NO_RECALL`
  `static final int`
  `FILE_FLAG_OPEN_REPARSE_POINT`
  `static final int`
  `FILE_FLAG_OVERLAPPED`
  `static final int`
  `FILE_FLAG_POSIX_SEMANTICS`
  `static final int`
  `FILE_FLAG_RANDOM_ACCESS`
  `static final int`
  `FILE_FLAG_SEQUENTIAL_SCAN`
  `static final int`
  `FILE_FLAG_WRITE_THROUGH`
  `static final int`
  `FILE_GENERIC_EXECUTE`
  `static final int`
  `FILE_GENERIC_READ`
  `static final int`
  `FILE_GENERIC_WRITE`
  `static final int`
  `FILE_LIST_DIRECTORY`
  `static final int`
  `FILE_NAMED_STREAMS`
  `static final int`
  `FILE_NOTIFY_CHANGE_ATTRIBUTES`
  `static final int`
  `FILE_NOTIFY_CHANGE_CREATION`
  `static final int`
  `FILE_NOTIFY_CHANGE_DIR_NAME`
  `static final int`
  `FILE_NOTIFY_CHANGE_FILE_NAME`
  `static final int`
  `FILE_NOTIFY_CHANGE_LAST_ACCESS`
  `static final int`
  `FILE_NOTIFY_CHANGE_LAST_WRITE`
  `static final int`
  `FILE_NOTIFY_CHANGE_NAME`
  `static final int`
  `FILE_NOTIFY_CHANGE_SECURITY`
  `static final int`
  `FILE_NOTIFY_CHANGE_SIZE`
  `static final int`
  `FILE_PERSISTENT_ACLS`
  `static final int`
  `FILE_READ_ATTRIBUTES`
  `static final int`
  `FILE_READ_DATA`
  `static final int`
  `FILE_READ_EA`
  `static final int`
  `FILE_READ_ONLY_VOLUME`
  `static final int`
  `FILE_SEQUENTIAL_WRITE_ONCE`
  `static final int`
  `FILE_SHARE_DELETE`
  `static final int`
  `FILE_SHARE_READ`
  `static final int`
  `FILE_SHARE_WRITE`
  `static final int`
  `FILE_SUPPORTS_ENCRYPTION`
  `static final int`
  `FILE_SUPPORTS_EXTENDED_ATTRIBUTES`
  `static final int`
  `FILE_SUPPORTS_HARD_LINKS`
  `static final int`
  `FILE_SUPPORTS_OBJECT_IDS`
  `static final int`
  `FILE_SUPPORTS_OPEN_BY_FILE_ID`
  `static final int`
  `FILE_SUPPORTS_REMOTE_STORAGE`
  `static final int`
  `FILE_SUPPORTS_REPARSE_POINTS`
  `static final int`
  `FILE_SUPPORTS_SPARSE_FILES`
  `static final int`
  `FILE_SUPPORTS_TRANSACTIONS`
  `static final int`
  `FILE_SUPPORTS_USN_JOURNAL`
  `static final int`
  `FILE_TRAVERSE`
  `static final int`
  `FILE_TYPE_CHAR`
  `static final int`
  `FILE_TYPE_DISK`
  `static final int`
  `FILE_TYPE_PIPE`
  `static final int`
  `FILE_TYPE_REMOTE`
  `static final int`
  `FILE_TYPE_UNKNOWN`
  `static final int`
  `FILE_UNICODE_ON_DISK`
  `static final int`
  `FILE_VOLUME_IS_COMPRESSED`
  `static final int`
  `FILE_VOLUME_QUOTAS`
  `static final int`
  `FILE_WRITE_ATTRIBUTES`
  `static final int`
  `FILE_WRITE_DATA`
  `static final int`
  `FILE_WRITE_EA`
  `static final int`
  `GENERIC_ALL`
  `static final int`
  `GENERIC_EXECUTE`
  `static final int`
  `GENERIC_READ`
  `static final int`
  `GENERIC_WRITE`
  `static final int`
  `GROUP_SECURITY_INFORMATION`
  `static final byte`
  `INHERIT_ONLY_ACE`
  `static final byte`
  `INHERITED_ACE`
  `static final int`
  `IO_REPARSE_TAG_CSV`
  `static final int`
  `IO_REPARSE_TAG_DFS`
  `static final int`
  `IO_REPARSE_TAG_DFSR`
  `static final int`
  `IO_REPARSE_TAG_HSM`
  `static final int`
  `IO_REPARSE_TAG_HSM2`
  `static final int`
  `IO_REPARSE_TAG_MOUNT_POINT`
  `static final int`
  `IO_REPARSE_TAG_SIS`
  `static final int`
  `IO_REPARSE_TAG_SYMLINK`
  `static final int`
  `IO_REPARSE_TAG_WIM`
  `static final int`
  `KEY_ALL_ACCESS`
  `static final int`
  `KEY_CREATE_LINK`
  `static final int`
  `KEY_CREATE_SUB_KEY`
  `static final int`
  `KEY_ENUMERATE_SUB_KEYS`
  `static final int`
  `KEY_EXECUTE`
  `static final int`
  `KEY_NOTIFY`
  `static final int`
  `KEY_QUERY_VALUE`
  Registry options.
  `static final int`
  `KEY_READ`
  `static final int`
  `KEY_SET_VALUE`
  `static final int`
  `KEY_WOW64_32KEY`
  `static final int`
  `KEY_WOW64_64KEY`
  `static final int`
  `KEY_WOW64_RES`
  `static final int`
  `KEY_WRITE`
  `static final int`
  `LABEL_SECURITY_INFORMATION`
  `static final int`
  `LANG_AFRIKAANS`
  `static final int`
  `LANG_ALBANIAN`
  `static final int`
  `LANG_ARABIC`
  `static final int`
  `LANG_ARMENIAN`
  `static final int`
  `LANG_ASSAMESE`
  `static final int`
  `LANG_AZERI`
  `static final int`
  `LANG_BASQUE`
  `static final int`
  `LANG_BELARUSIAN`
  `static final int`
  `LANG_BENGALI`
  `static final int`
  `LANG_BULGARIAN`
  `static final int`
  `LANG_CATALAN`
  `static final int`
  `LANG_CHINESE`
  `static final int`
  `LANG_CROATIAN`
  `static final int`
  `LANG_CZECH`
  `static final int`
  `LANG_DANISH`
  `static final int`
  `LANG_DIVEHI`
  `static final int`
  `LANG_DUTCH`
  `static final int`
  `LANG_ENGLISH`
  `static final int`
  `LANG_ESTONIAN`
  `static final int`
  `LANG_FAEROESE`
  `static final int`
  `LANG_FARSI`
  `static final int`
  `LANG_FINNISH`
  `static final int`
  `LANG_FRENCH`
  `static final int`
  `LANG_GALICIAN`
  `static final int`
  `LANG_GEORGIAN`
  `static final int`
  `LANG_GERMAN`
  `static final int`
  `LANG_GREEK`
  `static final int`
  `LANG_GUJARATI`
  `static final int`
  `LANG_HEBREW`
  `static final int`
  `LANG_HINDI`
  `static final int`
  `LANG_HUNGARIAN`
  `static final int`
  `LANG_ICELANDIC`
  `static final int`
  `LANG_INDONESIAN`
  `static final int`
  `LANG_INVARIANT`
  `static final int`
  `LANG_ITALIAN`
  `static final int`
  `LANG_JAPANESE`
  `static final int`
  `LANG_KANNADA`
  `static final int`
  `LANG_KASHMIRI`
  `static final int`
  `LANG_KAZAK`
  `static final int`
  `LANG_KONKANI`
  `static final int`
  `LANG_KOREAN`
  `static final int`
  `LANG_KYRGYZ`
  `static final int`
  `LANG_LATVIAN`
  `static final int`
  `LANG_LITHUANIAN`
  `static final int`
  `LANG_MACEDONIAN`
  `static final int`
  `LANG_MALAY`
  `static final int`
  `LANG_MALAYALAM`
  `static final int`
  `LANG_MANIPURI`
  `static final int`
  `LANG_MARATHI`
  `static final int`
  `LANG_MONGOLIAN`
  `static final int`
  `LANG_NEPALI`
  `static final int`
  `LANG_NEUTRAL`
  `static final int`
  `LANG_NORWEGIAN`
  `static final int`
  `LANG_ORIYA`
  `static final int`
  `LANG_POLISH`
  `static final int`
  `LANG_PORTUGUESE`
  `static final int`
  `LANG_PUNJABI`
  `static final int`
  `LANG_ROMANIAN`
  `static final int`
  `LANG_RUSSIAN`
  `static final int`
  `LANG_SANSKRIT`
  `static final int`
  `LANG_SERBIAN`
  `static final int`
  `LANG_SINDHI`
  `static final int`
  `LANG_SLOVAK`
  `static final int`
  `LANG_SLOVENIAN`
  `static final int`
  `LANG_SPANISH`
  `static final int`
  `LANG_SWAHILI`
  `static final int`
  `LANG_SWEDISH`
  `static final int`
  `LANG_SYRIAC`
  `static final int`
  `LANG_SYSTEM_DEFAULT`
  `static final int`
  `LANG_TAMIL`
  `static final int`
  `LANG_TATAR`
  `static final int`
  `LANG_TELUGU`
  `static final int`
  `LANG_THAI`
  `static final int`
  `LANG_TURKISH`
  `static final int`
  `LANG_UKRAINIAN`
  `static final int`
  `LANG_URDU`
  `static final int`
  `LANG_USER_DEFAULT`
  `static final int`
  `LANG_UZBEK`
  `static final int`
  `LANG_VIETNAMESE`
  `static final WinDef.LCID`
  `LOCALE_INVARIANT`
  `static final WinDef.LCID`
  `LOCALE_NEUTRAL`
  `static final WinDef.LCID`
  `LOCALE_SYSTEM_DEFAULT`
  `static final WinDef.LCID`
  `LOCALE_USER_DEFAULT`
  `static final int`
  `LTP_PC_SMT`
  Flag identifying hyperthreading / simultaneous multithreading (SMT)
  `static final int`
  `MAX_ACL_REVISION`
  `static final int`
  `MAXBYTE`
  `static final int`
  `MAXCHAR`
  `static final int`
  `MAXDWORD`
  `static final int`
  `MAXLONG`
  `static final int`
  `MAXSHORT`
  `static final int`
  `MAXWORD`
  `static final int`
  `MEM_COALESCE_PLACEHOLDERS`
  To coalesce two adjacent placeholders, specify MEM_RELEASE | MEM_COALESCE_PLACEHOLDERS.
  `static final int`
  `MEM_COMMIT`
  Indicates committed pages for which physical storage has been allocated, either in memory or in the paging file on disk.
  `static final int`
  `MEM_DECOMMIT`
  Decommits the specified region of committed pages.
  `static final int`
  `MEM_FREE`
  Indicates free pages not accessible to the calling process and available to be allocated.
  `static final int`
  `MEM_IMAGE`
  Indicates that the memory pages within the region are mapped into the view of an image section.
  `static final int`
  `MEM_LARGE_PAGES`
  Allocates memory using large page support.
  `static final int`
  `MEM_MAPPED`
  Indicates that the memory pages within the region are mapped into the view of a section.
  `static final int`
  `MEM_PHYSICAL`
  Reserves an address range that can be used to map Address Windowing Extensions (AWE) pages.
  `static final int`
  `MEM_PRESERVE_PLACEHOLDER`
  Frees an allocation back to a placeholder (after you've replaced a placeholder with a private allocation using VirtualAlloc2 or Virtual2AllocFromApp).
  `static final int`
  `MEM_PRIVATE`
  Indicates that the memory pages within the region are private (that is, not shared by other processes).
  `static final int`
  `MEM_RELEASE`
  Releases the specified region of pages, or placeholder (for a placeholder, the address space is released and available for other allocations).
  `static final int`
  `MEM_RESERVE`
  Indicates reserved pages where a range of the process's virtual address space is reserved without any physical storage being allocated.
  `static final int`
  `MEM_RESET`
  Indicates that data in the memory range specified by lpAddress and dwSize is no longer of interest.
  `static final int`
  `MEM_RESET_UNDO`
  MEM_RESET_UNDO should only be called on an address range to which MEM_RESET was successfully applied earlier.
  `static final int`
  `MEM_TOP_DOWN`
  Allocates memory at the highest possible address.
  `static final int`
  `MIN_ACL_REVISION`
  `static final int`
  `MINCHAR`
  `static final int`
  `MINLONG`
  `static final int`
  `MINSHORT`
  `static final int`
  `MUTANT_ALL_ACCESS`
  `static final int`
  `MUTANT_QUERY_STATE`
  `static final int`
  `NLS_VALID_LOCALE_MASK`
  `static final byte`
  `NO_PROPAGATE_INHERIT_ACE`
  `static final int`
  `NUM_DISCHARGE_POLICIES`
  `static final byte`
  `OBJECT_INHERIT_ACE`
  `static final int`
  `OPEN_ALWAYS`
  `static final int`
  `OPEN_EXISTING`
  `static final int`
  `OWNER_SECURITY_INFORMATION`
  `static final int`
  `PAGE_EXECUTE`
  Enables execute access to the committed region of pages.
  `static final int`
  `PAGE_EXECUTE_READ`
  Enables execute or read-only access to the committed region of pages.
  `static final int`
  `PAGE_EXECUTE_READWRITE`
  Enables execute, read-only, or read/write access to the committed region of pages.
  `static final int`
  `PAGE_GUARD`
  Pages in the region become guard pages.
  `static final int`
  `PAGE_NOACCESS`
  Disables all access to the committed region of pages.
  An attempt to read from, write to, or execute the committed region results in an access violation.
  This flag is not supported by the CreateFileMapping function.
  `static final int`
  `PAGE_READONLY`
  Enables read-only access to the committed region of pages.
  An attempt to write to the committed region results in an access violation.
  `static final int`
  `PAGE_READWRITE`
  Enables read-only or read/write access to the committed region of pages.
  `static final int`
  `PAGE_WRITECOPY`
  Enables read-only or copy-on-write access to a mapped view of a file mapping object.
  `static final int`
  `PROCESS_ALL_ACCESS`
  All possible access rights for a process object.
  `static final int`
  `PROCESS_CREATE_PROCESS`
  Required to create a process.
  `static final int`
  `PROCESS_CREATE_THREAD`
  Required to create a thread.
  `static final int`
  `PROCESS_DUP_HANDLE`
  Required to duplicate a handle using `Kernel32.DuplicateHandle(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLEByReference, int, boolean, int)` .
  `static final int`
  `PROCESS_NAME_NATIVE`
  Required for getting process exe path in native system path format `Kernel32.QueryFullProcessImageName()`.
  `static final int`
  `PROCESS_QUERY_INFORMATION`
  Required to retrieve certain information about a process, such as its token, exit code, and priority class (see `Advapi32.OpenProcessToken(com.sun.jna.platform.win32.WinNT.HANDLE, int, com.sun.jna.platform.win32.WinNT.HANDLEByReference)`).
  `static final int`
  `PROCESS_QUERY_LIMITED_INFORMATION`
  Required to retrieve certain information about a process (see `Kernel32.GetExitCodeProcess(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.ptr.IntByReference)` , `Kernel32#GetPriorityClass`, `Kernel32#IsProcessInJob`, `Kernel32.QueryFullProcessImageName`).
  `static final int`
  `PROCESS_SET_INFORMATION`
  Required to set certain information about a process, such as its priority class (see `Kernel32#SetPriorityClass`).
  `static final int`
  `PROCESS_SET_QUOTA`
  Required to set memory limits using `Kernel32.SetProcessWorkingSetSize()`.
  `static final int`
  `PROCESS_SUSPEND_RESUME`
  Required to suspend or resume a process.
  `static final int`
  `PROCESS_SYNCHRONIZE`
  Required to wait for the process to terminate using the wait functions.
  `static final int`
  `PROCESS_TERMINATE`
  Required to terminate a process using `Kernel32.TerminateProcess(com.sun.jna.platform.win32.WinNT.HANDLE, int)`.
  `static final int`
  `PROCESS_VM_OPERATION`
  Required to perform an operation on the address space of a process (see `Kernel32.VirtualProtectEx()` and `Kernel32.WriteProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` ).
  `static final int`
  `PROCESS_VM_READ`
  Required to read memory in a process using `Kernel32.ReadProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` .
  `static final int`
  `PROCESS_VM_WRITE`
  Required to write to memory in a process using `Kernel32.WriteProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` .
  `static final int`
  `PROTECTED_DACL_SECURITY_INFORMATION`
  `static final int`
  `PROTECTED_SACL_SECURITY_INFORMATION`
  `static final int`
  `READ_CONTROL`
  `static final int`
  `REG_APP_HIVE`
  Loads the hive visible to the calling process.
  `static final int`
  `REG_BINARY`
  Free-formed binary.
  `static final int`
  `REG_CREATED_NEW_KEY`
  New Registry Key created.
  `static final int`
  `REG_DWORD`
  32-bit number.
  `static final int`
  `REG_DWORD_BIG_ENDIAN`
  32-bit number.
  `static final int`
  `REG_DWORD_LITTLE_ENDIAN`
  32-bit number, same as REG_DWORD.
  `static final int`
  `REG_EXPAND_SZ`
  Unicode null-terminated string with environment variable references.
  `static final int`
  `REG_FORCE_RESTORE`
  Force the restore process even when we have open handles on subkeys.
  `static final int`
  `REG_FORCE_UNLOAD`
  `static final int`
  `REG_FULL_RESOURCE_DESCRIPTOR`
  Resource list in the hardware description.
  `static final int`
  `REG_HIVE_EXACT_FILE_GROWTH`
  Grow hive file in exact 4k increments.
  `static final int`
  `REG_HIVE_NO_RM`
  No RM is started for this hive = no transactions.
  `static final int`
  `REG_HIVE_SINGLE_LOG`
  Legacy single logging is used for this hive.
  `static final int`
  `REG_LATEST_FORMAT`
  `static final int`
  `REG_LEGAL_CHANGE_FILTER`
  `static final int`
  `REG_LEGAL_OPTION`
  `static final int`
  `REG_LINK`
  Symbolic link (unicode).
  `static final int`
  `REG_MULTI_SZ`
  Multiple unicode strings.
  `static final int`
  `REG_NO_COMPRESSION`
  `static final int`
  `REG_NO_LAZY_FLUSH`
  Never lazy flush this hive.
  `static final int`
  `REG_NONE`
  No value type.
  `static final int`
  `REG_NOTIFY_CHANGE_ATTRIBUTES`
  `static final int`
  `REG_NOTIFY_CHANGE_LAST_SET`
  `static final int`
  `REG_NOTIFY_CHANGE_NAME`
  `static final int`
  `REG_NOTIFY_CHANGE_SECURITY`
  `static final int`
  `REG_NOTIFY_THREAD_AGNOSTIC`
  `static final int`
  `REG_OPENED_EXISTING_KEY`
  Existing Key opened.
  `static final int`
  `REG_OPTION_BACKUP_RESTORE`
  Open for backup or restore special access rules privilege required.
  `static final int`
  `REG_OPTION_CREATE_LINK`
  Created key is a symbolic link.
  `static final int`
  `REG_OPTION_NON_VOLATILE`
  Key is preserved when system is rebooted.
  `static final int`
  `REG_OPTION_OPEN_LINK`
  Open symbolic link.
  `static final int`
  `REG_OPTION_RESERVED`
  Parameter is reserved.
  `static final int`
  `REG_OPTION_VOLATILE`
  Key is not preserved when system is rebooted.
  `static final int`
  `REG_PROCESS_PRIVATE`
  Hive cannot be mounted by any other process while in use.
  `static final int`
  `REG_QWORD`
  64-bit number.
  `static final int`
  `REG_QWORD_LITTLE_ENDIAN`
  64-bit number, same as REG_QWORD.
  `static final int`
  `REG_REFRESH_HIVE`
  Unwind changes to last flush.
  `static final int`
  `REG_RESOURCE_LIST`
  Resource list in the resource map.
  `static final int`
  `REG_RESOURCE_REQUIREMENTS_LIST`
  `static final int`
  `REG_STANDARD_FORMAT`
  `static final int`
  `REG_START_JOURNAL`
  Starts Hive Journal.
  `static final int`
  `REG_SZ`
  Unicode null-terminated string.
  `static final int`
  `REG_WHOLE_HIVE_VOLATILE`
  Restore whole hive volatile.
  `static final int`
  `SACL_SECURITY_INFORMATION`
  `static final String`
  `SE_ASSIGNPRIMARYTOKEN_NAME`
  `static final String`
  `SE_AUDIT_NAME`
  `static final String`
  `SE_BACKUP_NAME`
  `static final String`
  `SE_CHANGE_NOTIFY_NAME`
  `static final String`
  `SE_CREATE_GLOBAL_NAME`
  `static final String`
  `SE_CREATE_PAGEFILE_NAME`
  `static final String`
  `SE_CREATE_PERMANENT_NAME`
  `static final String`
  `SE_CREATE_TOKEN_NAME`
  `static final int`
  `SE_DACL_AUTO_INHERIT_REQ`
  `static final int`
  `SE_DACL_AUTO_INHERITED`
  `static final int`
  `SE_DACL_DEFAULTED`
  `static final int`
  `SE_DACL_PRESENT`
  `static final int`
  `SE_DACL_PROTECTED`
  `static final String`
  `SE_DEBUG_NAME`
  `static final String`
  `SE_ENABLE_DELEGATION_NAME`
  `static final int`
  `SE_GROUP_DEFAULTED`
  `static final String`
  `SE_IMPERSONATE_NAME`
  `static final String`
  `SE_INC_BASE_PRIORITY_NAME`
  `static final String`
  `SE_INCREASE_QUOTA_NAME`
  `static final String`
  `SE_LOAD_DRIVER_NAME`
  `static final String`
  `SE_LOCK_MEMORY_NAME`
  `static final String`
  `SE_MACHINE_ACCOUNT_NAME`
  `static final String`
  `SE_MANAGE_VOLUME_NAME`
  `static final int`
  `SE_OWNER_DEFAULTED`
  `static final int`
  `SE_PRIVILEGE_ENABLED`
  `static final int`
  `SE_PRIVILEGE_ENABLED_BY_DEFAULT`
  `static final int`
  `SE_PRIVILEGE_REMOVED`
  `static final int`
  `SE_PRIVILEGE_USED_FOR_ACCESS`
  `static final String`
  `SE_PROF_SINGLE_PROCESS_NAME`
  `static final String`
  `SE_REMOTE_SHUTDOWN_NAME`
  `static final String`
  `SE_RESTORE_NAME`
  `static final int`
  `SE_RM_CONTROL_VALID`
  `static final int`
  `SE_SACL_AUTO_INHERIT_REQ`
  `static final int`
  `SE_SACL_AUTO_INHERITED`
  `static final int`
  `SE_SACL_DEFAULTED`
  `static final int`
  `SE_SACL_PRESENT`
  `static final int`
  `SE_SACL_PROTECTED`
  `static final String`
  `SE_SECURITY_NAME`
  `static final int`
  `SE_SELF_RELATIVE`
  `static final String`
  `SE_SHUTDOWN_NAME`
  `static final String`
  `SE_SYNC_AGENT_NAME`
  `static final String`
  `SE_SYSTEM_ENVIRONMENT_NAME`
  `static final String`
  `SE_SYSTEM_PROFILE_NAME`
  `static final String`
  `SE_SYSTEMTIME_NAME`
  `static final String`
  `SE_TAKE_OWNERSHIP_NAME`
  `static final String`
  `SE_TCB_NAME`
  `static final String`
  `SE_UNDOCK_NAME`
  `static final String`
  `SE_UNSOLICITED_INPUT_NAME`
  `static final int`
  `SECTION_ALL_ACCESS`
  `static final int`
  `SECTION_EXTEND_SIZE`
  `static final int`
  `SECTION_MAP_EXECUTE`
  `static final int`
  `SECTION_MAP_EXECUTE_EXPLICIT`
  `static final int`
  `SECTION_MAP_READ`
  `static final int`
  `SECTION_MAP_WRITE`
  `static final int`
  `SECTION_QUERY`
  `static final int`
  `SECURITY_DESCRIPTOR_REVISION`
  `static final byte`
  `SECURITY_DYNAMIC_TRACKING`
  `static final int`
  `SECURITY_MAX_SID_SIZE`
  Maximum bytes used by a SID.
  `static final byte`
  `SECURITY_STATIC_TRACKING`
  `static final int`
  `SERVICE_ADAPTER`
  `static final int`
  `SERVICE_AUTO_START`
  `static final int`
  `SERVICE_BOOT_START`
  `static final int`
  `SERVICE_DEMAND_START`
  `static final int`
  `SERVICE_DISABLED`
  `static final int`
  `SERVICE_DRIVER`
  `static final int`
  `SERVICE_ERROR_CRITICAL`
  `static final int`
  `SERVICE_ERROR_IGNORE`
  `static final int`
  `SERVICE_ERROR_NORMAL`
  `static final int`
  `SERVICE_ERROR_SEVERE`
  `static final int`
  `SERVICE_FILE_SYSTEM_DRIVER`
  `static final int`
  `SERVICE_INTERACTIVE_PROCESS`
  `static final int`
  `SERVICE_KERNEL_DRIVER`
  `static final int`
  `SERVICE_RECOGNIZER_DRIVER`
  `static final int`
  `SERVICE_SYSTEM_START`
  `static final int`
  `SERVICE_TYPE_ALL`
  `static final int`
  `SERVICE_WIN32`
  `static final int`
  `SERVICE_WIN32_OWN_PROCESS`
  `static final int`
  `SERVICE_WIN32_SHARE_PROCESS`
  `static final int`
  `SID_MAX_SUB_AUTHORITIES`
  `static final int`
  `SID_RECOMMENDED_SUB_AUTHORITIES`
  `static final int`
  `SID_REVISION`
  Current SID revision level.
  `static final int`
  `SORT_CHINESE_BIG5`
  `static final int`
  `SORT_CHINESE_BOPOMOFO`
  `static final int`
  `SORT_CHINESE_PRC`
  `static final int`
  `SORT_CHINESE_PRCP`
  `static final int`
  `SORT_CHINESE_UNICODE`
  `static final int`
  `SORT_DEFAULT`
  `static final int`
  `SORT_GEORGIAN_MODERN`
  `static final int`
  `SORT_GEORGIAN_TRADITIONAL`
  `static final int`
  `SORT_GERMAN_PHONE_BOOK`
  `static final int`
  `SORT_HUNGARIAN_DEFAULT`
  `static final int`
  `SORT_HUNGARIAN_TECHNICAL`
  `static final int`
  `SORT_JAPANESE_UNICODE`
  `static final int`
  `SORT_JAPANESE_XJIS`
  `static final int`
  `SORT_KOREAN_KSC`
  `static final int`
  `SORT_KOREAN_UNICODE`
  `static final int`
  `SPECIFIC_RIGHTS_ALL`
  `static final int`
  `STANDARD_RIGHTS_ALL`
  `static final int`
  `STANDARD_RIGHTS_EXECUTE`
  `static final int`
  `STANDARD_RIGHTS_READ`
  `static final int`
  `STANDARD_RIGHTS_REQUIRED`
  `static final int`
  `STANDARD_RIGHTS_WRITE`
  `static final int`
  `STATUS_PENDING`
  `static final int`
  `SUBLANG_ARABIC_ALGERIA`
  `static final int`
  `SUBLANG_ARABIC_BAHRAIN`
  `static final int`
  `SUBLANG_ARABIC_EGYPT`
  `static final int`
  `SUBLANG_ARABIC_IRAQ`
  `static final int`
  `SUBLANG_ARABIC_JORDAN`
  `static final int`
  `SUBLANG_ARABIC_KUWAIT`
  `static final int`
  `SUBLANG_ARABIC_LEBANON`
  `static final int`
  `SUBLANG_ARABIC_LIBYA`
  `static final int`
  `SUBLANG_ARABIC_MOROCCO`
  `static final int`
  `SUBLANG_ARABIC_OMAN`
  `static final int`
  `SUBLANG_ARABIC_QATAR`
  `static final int`
  `SUBLANG_ARABIC_SAUDI_ARABIA`
  `static final int`
  `SUBLANG_ARABIC_SYRIA`
  `static final int`
  `SUBLANG_ARABIC_TUNISIA`
  `static final int`
  `SUBLANG_ARABIC_UAE`
  `static final int`
  `SUBLANG_ARABIC_YEMEN`
  `static final int`
  `SUBLANG_AZERI_CYRILLIC`
  `static final int`
  `SUBLANG_AZERI_LATIN`
  `static final int`
  `SUBLANG_CHINESE_HONGKONG`
  `static final int`
  `SUBLANG_CHINESE_MACAU`
  `static final int`
  `SUBLANG_CHINESE_SIMPLIFIED`
  `static final int`
  `SUBLANG_CHINESE_SINGAPORE`
  `static final int`
  `SUBLANG_CHINESE_TRADITIONAL`
  `static final int`
  `SUBLANG_DEFAULT`
  `static final int`
  `SUBLANG_DUTCH`
  `static final int`
  `SUBLANG_DUTCH_BELGIAN`
  `static final int`
  `SUBLANG_ENGLISH_AUS`
  `static final int`
  `SUBLANG_ENGLISH_BELIZE`
  `static final int`
  `SUBLANG_ENGLISH_CAN`
  `static final int`
  `SUBLANG_ENGLISH_CARIBBEAN`
  `static final int`
  `SUBLANG_ENGLISH_EIRE`
  `static final int`
  `SUBLANG_ENGLISH_JAMAICA`
  `static final int`
  `SUBLANG_ENGLISH_NZ`
  `static final int`
  `SUBLANG_ENGLISH_PHILIPPINES`
  `static final int`
  `SUBLANG_ENGLISH_SOUTH_AFRICA`
  `static final int`
  `SUBLANG_ENGLISH_TRINIDAD`
  `static final int`
  `SUBLANG_ENGLISH_UK`
  `static final int`
  `SUBLANG_ENGLISH_US`
  `static final int`
  `SUBLANG_ENGLISH_ZIMBABWE`
  `static final int`
  `SUBLANG_FRENCH`
  `static final int`
  `SUBLANG_FRENCH_BELGIAN`
  `static final int`
  `SUBLANG_FRENCH_CANADIAN`
  `static final int`
  `SUBLANG_FRENCH_LUXEMBOURG`
  `static final int`
  `SUBLANG_FRENCH_MONACO`
  `static final int`
  `SUBLANG_FRENCH_SWISS`
  `static final int`
  `SUBLANG_GERMAN`
  `static final int`
  `SUBLANG_GERMAN_AUSTRIAN`
  `static final int`
  `SUBLANG_GERMAN_LIECHTENSTEIN`
  `static final int`
  `SUBLANG_GERMAN_LUXEMBOURG`
  `static final int`
  `SUBLANG_GERMAN_SWISS`
  `static final int`
  `SUBLANG_ITALIAN`
  `static final int`
  `SUBLANG_ITALIAN_SWISS`
  `static final int`
  `SUBLANG_KASHMIRI_INDIA`
  `static final int`
  `SUBLANG_KASHMIRI_SASIA`
  `static final int`
  `SUBLANG_KOREAN`
  `static final int`
  `SUBLANG_LITHUANIAN`
  `static final int`
  `SUBLANG_MALAY_BRUNEI_DARUSSALAM`
  `static final int`
  `SUBLANG_MALAY_MALAYSIA`
  `static final int`
  `SUBLANG_NEPALI_INDIA`
  `static final int`
  `SUBLANG_NEUTRAL`
  `static final int`
  `SUBLANG_NORWEGIAN_BOKMAL`
  `static final int`
  `SUBLANG_NORWEGIAN_NYNORSK`
  `static final int`
  `SUBLANG_PORTUGUESE`
  `static final int`
  `SUBLANG_PORTUGUESE_BRAZILIAN`
  `static final int`
  `SUBLANG_SERBIAN_CYRILLIC`
  `static final int`
  `SUBLANG_SERBIAN_LATIN`
  `static final int`
  `SUBLANG_SPANISH`
  `static final int`
  `SUBLANG_SPANISH_ARGENTINA`
  `static final int`
  `SUBLANG_SPANISH_BOLIVIA`
  `static final int`
  `SUBLANG_SPANISH_CHILE`
  `static final int`
  `SUBLANG_SPANISH_COLOMBIA`
  `static final int`
  `SUBLANG_SPANISH_COSTA_RICA`
  `static final int`
  `SUBLANG_SPANISH_DOMINICAN_REPUBLIC`
  `static final int`
  `SUBLANG_SPANISH_ECUADOR`
  `static final int`
  `SUBLANG_SPANISH_EL_SALVADOR`
  `static final int`
  `SUBLANG_SPANISH_GUATEMALA`
  `static final int`
  `SUBLANG_SPANISH_HONDURAS`
  `static final int`
  `SUBLANG_SPANISH_MEXICAN`
  `static final int`
  `SUBLANG_SPANISH_MODERN`
  `static final int`
  `SUBLANG_SPANISH_NICARAGUA`
  `static final int`
  `SUBLANG_SPANISH_PANAMA`
  `static final int`
  `SUBLANG_SPANISH_PARAGUAY`
  `static final int`
  `SUBLANG_SPANISH_PERU`
  `static final int`
  `SUBLANG_SPANISH_PUERTO_RICO`
  `static final int`
  `SUBLANG_SPANISH_URUGUAY`
  `static final int`
  `SUBLANG_SPANISH_VENEZUELA`
  `static final int`
  `SUBLANG_SWEDISH`
  `static final int`
  `SUBLANG_SWEDISH_FINLAND`
  `static final int`
  `SUBLANG_SYS_DEFAULT`
  `static final int`
  `SUBLANG_URDU_INDIA`
  `static final int`
  `SUBLANG_URDU_PAKISTAN`
  `static final int`
  `SUBLANG_UZBEK_CYRILLIC`
  `static final int`
  `SUBLANG_UZBEK_LATIN`
  `static final int`
  `SYNCHRONIZE`
  `static final byte`
  `SYSTEM_ALARM_ACE_TYPE`
  `static final byte`
  `SYSTEM_ALARM_CALLBACK_ACE_TYPE`
  `static final byte`
  `SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE`
  `static final byte`
  `SYSTEM_ALARM_OBJECT_ACE_TYPE`
  `static final byte`
  `SYSTEM_AUDIT_ACE_TYPE`
  `static final byte`
  `SYSTEM_AUDIT_CALLBACK_ACE_TYPE`
  `static final byte`
  `SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE`
  `static final byte`
  `SYSTEM_AUDIT_OBJECT_ACE_TYPE`
  `static final byte`
  `SYSTEM_MANDATORY_LABEL_ACE_TYPE`
  `static final int`
  `THREAD_ALL_ACCESS`
  `static final int`
  `THREAD_DIRECT_IMPERSONATION`
  `static final int`
  `THREAD_GET_CONTEXT`
  `static final int`
  `THREAD_IMPERSONATE`
  `static final int`
  `THREAD_QUERY_INFORMATION`
  `static final int`
  `THREAD_QUERY_LIMITED_INFORMATION`
  `static final int`
  `THREAD_SET_CONTEXT`
  `static final int`
  `THREAD_SET_INFORMATION`
  `static final int`
  `THREAD_SET_LIMITED_INFORMATION`
  `static final int`
  `THREAD_SET_THREAD_TOKEN`
  `static final int`
  `THREAD_SUSPEND_RESUME`
  `static final int`
  `THREAD_TERMINATE`
  `static final int`
  `TOKEN_ADJUST_DEFAULT`
  Required to change the default owner, primary group, or DACL of an access token.
  `static final int`
  `TOKEN_ADJUST_GROUPS`
  Required to adjust the attributes of the groups in an access token.
  `static final int`
  `TOKEN_ADJUST_PRIVILEGES`
  Required to enable or disable the privileges in an access token.
  `static final int`
  `TOKEN_ADJUST_SESSIONID`
  Required to adjust the session ID of an access token.
  `static final int`
  `TOKEN_ALL_ACCESS`
  Combines all possible access rights for a token.
  `static final int`
  `TOKEN_ALL_ACCESS_P`
  `static final int`
  `TOKEN_ASSIGN_PRIMARY`
  Required to attach a primary token to a process.
  `static final int`
  `TOKEN_DUPLICATE`
  Required to duplicate an access token.
  `static final int`
  `TOKEN_EXECUTE`
  Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.
  `static final int`
  `TOKEN_IMPERSONATE`
  Required to attach an impersonation access token to a process.
  `static final int`
  `TOKEN_QUERY`
  Required to query an access token.
  `static final int`
  `TOKEN_QUERY_SOURCE`
  Required to query the source of an access token.
  `static final int`
  `TOKEN_READ`
  Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.
  `static final int`
  `TOKEN_WRITE`
  Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.
  `static final int`
  `TRUNCATE_EXISTING`
  `static final int`
  `UNPROTECTED_DACL_SECURITY_INFORMATION`
  `static final int`
  `UNPROTECTED_SACL_SECURITY_INFORMATION`
  `static final byte`
  `VALID_INHERIT_FLAGS`
  `static final int`
  `VER_AND`
  `static final int`
  `VER_BUILDNUMBER`
  `static final int`
  `VER_CONDITION_MASK`
  `static final int`
  `VER_EQUAL`
  `static final int`
  `VER_GREATER`
  `static final int`
  `VER_GREATER_EQUAL`
  `static final int`
  `VER_LESS`
  `static final int`
  `VER_LESS_EQUAL`
  `static final int`
  `VER_MAJORVERSION`
  `static final int`
  `VER_MINORVERSION`
  `static final int`
  `VER_NT_DOMAIN_CONTROLLER`
  `static final int`
  `VER_NT_SERVER`
  `static final int`
  `VER_NT_WORKSTATION`
  `static final int`
  `VER_NUM_BITS_PER_CONDITION_MASK`
  `static final int`
  `VER_OR`
  `static final int`
  `VER_PLATFORM_WIN32_NT`
  `static final int`
  `VER_PLATFORM_WIN32_WINDOWS`
  `static final int`
  `VER_PLATFORM_WIN32s`
  `static final int`
  `VER_PLATFORMID`
  `static final int`
  `VER_PRODUCT_TYPE`
  `static final int`
  `VER_SERVICEPACKMAJOR`
  `static final int`
  `VER_SERVICEPACKMINOR`
  `static final int`
  `VER_SUITENAME`
  `static final short`
  `WIN32_WINNT_LONGHORN`
  `static final short`
  `WIN32_WINNT_NT4`
  `static final short`
  `WIN32_WINNT_VISTA`
  `static final short`
  `WIN32_WINNT_WIN10`
  `static final short`
  `WIN32_WINNT_WIN2K`
  `static final short`
  `WIN32_WINNT_WIN6`
  `static final short`
  `WIN32_WINNT_WIN7`
  `static final short`
  `WIN32_WINNT_WIN8`
  `static final short`
  `WIN32_WINNT_WINBLUE`
  `static final short`
  `WIN32_WINNT_WINTHRESHOLD`
  `static final short`
  `WIN32_WINNT_WINXP`
  `static final short`
  `WIN32_WINNT_WS03`
  `static final short`
  `WIN32_WINNT_WS08`
  `static final int`
  `WRITE_DAC`
  `static final int`
  `WRITE_OWNER`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinBase

  `CBR_110, CBR_1200, CBR_128000, CBR_14400, CBR_19200, CBR_2400, CBR_256000, CBR_300, CBR_38400, CBR_4800, CBR_56000, CBR_600, CBR_9600, CREATE_BREAKAWAY_FROM_JOB, CREATE_DEFAULT_ERROR_MODE, CREATE_FOR_DIR, CREATE_FOR_IMPORT, CREATE_FORCEDOS, CREATE_NEW_CONSOLE, CREATE_NEW_PROCESS_GROUP, CREATE_NO_WINDOW, CREATE_PRESERVE_CODE_AUTHZ_LEVEL, CREATE_PROTECTED_PROCESS, CREATE_SEPARATE_WOW_VDM, CREATE_SHARED_WOW_VDM, CREATE_SUSPENDED, CREATE_UNICODE_ENVIRONMENT, DEBUG_ONLY_THIS_PROCESS, DEBUG_PROCESS, DETACHED_PROCESS, DRIVE_CDROM, DRIVE_FIXED, DRIVE_NO_ROOT_DIR, DRIVE_RAMDISK, DRIVE_REMOTE, DRIVE_REMOVABLE, DRIVE_UNKNOWN, DTR_CONTROL_DISABLE, DTR_CONTROL_ENABLE, DTR_CONTROL_HANDSHAKE, ES_AWAYMODE_REQUIRED, ES_CONTINUOUS, ES_DISPLAY_REQUIRED, ES_SYSTEM_REQUIRED, ES_USER_PRESENT, EVENPARITY, EXTENDED_STARTUPINFO_PRESENT, FILE_DIR_DISALOWED, FILE_ENCRYPTABLE, FILE_IS_ENCRYPTED, FILE_MAP_ALL_ACCESS, FILE_MAP_COPY, FILE_MAP_EXECUTE, FILE_MAP_READ, FILE_MAP_WRITE, FILE_READ_ONLY, FILE_ROOT_DIR, FILE_SYSTEM_ATTR, FILE_SYSTEM_DIR, FILE_SYSTEM_NOT_SUPPORT, FILE_UNKNOWN, FILE_USER_DISALLOWED, FileAlignmentInfo, FileAllocationInfo, FileAttributeTagInfo, FileBasicInfo, FileCompressionInfo, FileDispositionInfo, FileEndOfFileInfo, FileFullDirectoryInfo, FileFullDirectoryRestartInfo, FileIdBothDirectoryInfo, FileIdBothDirectoryRestartInfo, FileIdExtdDirectoryInfo, FileIdExtdDirectoryRestartInfo, FileIdInfo, FileIoPriorityHintInfo, FileNameInfo, FileRemoteProtocolInfo, FileRenameInfo, FileStandardInfo, FileStorageInfo, FileStreamInfo, FindExInfoBasic, FindExInfoMaxInfoLevel, FindExInfoStandard, FindExSearchLimitToDevices, FindExSearchLimitToDirectories, FindExSearchNameMatch, FORMAT_MESSAGE_ALLOCATE_BUFFER, FORMAT_MESSAGE_ARGUMENT_ARRAY, FORMAT_MESSAGE_FROM_HMODULE, FORMAT_MESSAGE_FROM_STRING, FORMAT_MESSAGE_FROM_SYSTEM, FORMAT_MESSAGE_IGNORE_INSERTS, HANDLE_FLAG_INHERIT, HANDLE_FLAG_PROTECT_FROM_CLOSE, INFINITE, INHERIT_PARENT_AFFINITY, INVALID_FILE_ATTRIBUTES, INVALID_FILE_SIZE, INVALID_HANDLE_VALUE, INVALID_SET_FILE_POINTER, LHND, LMEM_DISCARDABLE, LMEM_DISCARDED, LMEM_FIXED, LMEM_INVALID_HANDLE, LMEM_LOCKCOUNT, LMEM_MODIFY, LMEM_MOVEABLE, LMEM_NOCOMPACT, LMEM_NODISCARD, LMEM_VALID_FLAGS, LMEM_ZEROINIT, LOGON32_LOGON_BATCH, LOGON32_LOGON_INTERACTIVE, LOGON32_LOGON_NETWORK, LOGON32_LOGON_NETWORK_CLEARTEXT, LOGON32_LOGON_NEW_CREDENTIALS, LOGON32_LOGON_SERVICE, LOGON32_LOGON_UNLOCK, LOGON32_PROVIDER_DEFAULT, LOGON32_PROVIDER_WINNT35, LOGON32_PROVIDER_WINNT40, LOGON32_PROVIDER_WINNT50, LPTR, MARKPARITY, MAX_COMPUTERNAME_LENGTH, MOVEFILE_COPY_ALLOWED, MOVEFILE_CREATE_HARDLINK, MOVEFILE_DELAY_UNTIL_REBOOT, MOVEFILE_FAIL_IF_NOT_TRACKABLE, MOVEFILE_REPLACE_EXISTING, MOVEFILE_WRITE_THROUGH, MUTEX_ALL_ACCESS, MUTEX_MODIFY_STATE, NMPWAIT_NOWAIT, NMPWAIT_USE_DEFAULT_WAIT, NMPWAIT_WAIT_FOREVER, NOPARITY, ODDPARITY, ONE5STOPBITS, ONESTOPBIT, OVERWRITE_HIDDEN, PIPE_ACCEPT_REMOTE_CLIENTS, PIPE_ACCESS_DUPLEX, PIPE_ACCESS_INBOUND, PIPE_ACCESS_OUTBOUND, PIPE_CLIENT_END, PIPE_NOWAIT, PIPE_READMODE_BYTE, PIPE_READMODE_MESSAGE, PIPE_REJECT_REMOTE_CLIENTS, PIPE_SERVER_END, PIPE_TYPE_BYTE, PIPE_TYPE_MESSAGE, PIPE_UNLIMITED_INSTANCES, PIPE_WAIT, RTS_CONTROL_DISABLE, RTS_CONTROL_ENABLE, RTS_CONTROL_HANDSHAKE, RTS_CONTROL_TOGGLE, SPACEPARITY, STARTF_FORCEOFFFEEDBACK, STARTF_FORCEONFEEDBACK, STARTF_RUNFULLSCREEN, STARTF_USECOUNTCHARS, STARTF_USEFILLATTRIBUTE, STARTF_USEPOSITION, STARTF_USESHOWWINDOW, STARTF_USESIZE, STARTF_USESTDHANDLES, STILL_ACTIVE, TWOSTOPBITS, WAIT_ABANDONED, WAIT_ABANDONED_0, WAIT_FAILED, WAIT_OBJECT_0`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

  `MAX_PATH`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinError

  `CACHE_E_FIRST, CACHE_E_LAST, CACHE_E_NOCACHE_UPDATED, CACHE_S_FIRST, CACHE_S_FORMATETC_NOTSUPPORTED, CACHE_S_LAST, CACHE_S_SAMECACHE, CACHE_S_SOMECACHES_NOTUPDATED, CAT_E_CATIDNOEXIST, CAT_E_FIRST, CAT_E_LAST, CAT_E_NODESCRIPTION, CERT_E_CHAINING, CERT_E_CN_NO_MATCH, CERT_E_CRITICAL, CERT_E_EXPIRED, CERT_E_INVALID_NAME, CERT_E_INVALID_POLICY, CERT_E_ISSUERCHAINING, CERT_E_MALFORMED, CERT_E_PATHLENCONST, CERT_E_PURPOSE, CERT_E_REVOCATION_FAILURE, CERT_E_REVOKED, CERT_E_ROLE, CERT_E_UNTRUSTEDCA, CERT_E_UNTRUSTEDROOT, CERT_E_UNTRUSTEDTESTROOT, CERT_E_VALIDITYPERIODNESTING, CERT_E_WRONG_USAGE, CERTSRV_E_ALIGNMENT_FAULT, CERTSRV_E_ARCHIVED_KEY_REQUIRED, CERTSRV_E_ARCHIVED_KEY_UNEXPECTED, CERTSRV_E_BAD_RENEWAL_CERT_ATTRIBUTE, CERTSRV_E_BAD_RENEWAL_SUBJECT, CERTSRV_E_BAD_REQUEST_KEY_ARCHIVAL, CERTSRV_E_BAD_REQUESTSTATUS, CERTSRV_E_BAD_REQUESTSUBJECT, CERTSRV_E_BAD_TEMPLATE_VERSION, CERTSRV_E_CERT_TYPE_OVERLAP, CERTSRV_E_DOWNLEVEL_DC_SSL_OR_UPGRADE, CERTSRV_E_ENCODING_LENGTH, CERTSRV_E_ENROLL_DENIED, CERTSRV_E_INVALID_CA_CERTIFICATE, CERTSRV_E_ISSUANCE_POLICY_REQUIRED, CERTSRV_E_KEY_ARCHIVAL_NOT_CONFIGURED, CERTSRV_E_KEY_LENGTH, CERTSRV_E_NO_CAADMIN_DEFINED, CERTSRV_E_NO_CERT_TYPE, CERTSRV_E_NO_DB_SESSIONS, CERTSRV_E_NO_REQUEST, CERTSRV_E_NO_VALID_KRA, CERTSRV_E_PROPERTY_EMPTY, CERTSRV_E_RESTRICTEDOFFICER, CERTSRV_E_ROLECONFLICT, CERTSRV_E_SERVER_SUSPENDED, CERTSRV_E_SIGNATURE_COUNT, CERTSRV_E_SIGNATURE_POLICY_REQUIRED, CERTSRV_E_SIGNATURE_REJECTED, CERTSRV_E_SMIME_REQUIRED, CERTSRV_E_SUBJECT_ALT_NAME_REQUIRED, CERTSRV_E_SUBJECT_DIRECTORY_GUID_REQUIRED, CERTSRV_E_SUBJECT_DNS_REQUIRED, CERTSRV_E_SUBJECT_EMAIL_REQUIRED, CERTSRV_E_SUBJECT_UPN_REQUIRED, CERTSRV_E_TEMPLATE_CONFLICT, CERTSRV_E_TEMPLATE_DENIED, CERTSRV_E_TEMPLATE_POLICY_REQUIRED, CERTSRV_E_TOO_MANY_SIGNATURES, CERTSRV_E_UNKNOWN_CERT_TYPE, CERTSRV_E_UNSUPPORTED_CERT_TYPE, CLASS_E_CLASSNOTAVAILABLE, CLASS_E_NOAGGREGATION, CLASS_E_NOTLICENSED, CLASSFACTORY_E_FIRST, CLASSFACTORY_E_LAST, CLASSFACTORY_S_FIRST, CLASSFACTORY_S_LAST, CLIENTSITE_E_FIRST, CLIENTSITE_E_LAST, CLIENTSITE_S_FIRST, CLIENTSITE_S_LAST, CLIPBRD_E_BAD_DATA, CLIPBRD_E_CANT_CLOSE, CLIPBRD_E_CANT_EMPTY, CLIPBRD_E_CANT_OPEN, CLIPBRD_E_CANT_SET, CLIPBRD_E_FIRST, CLIPBRD_E_LAST, CLIPBRD_S_FIRST, CLIPBRD_S_LAST, CO_E_ACCESSCHECKFAILED, CO_E_ACESINWRONGORDER, CO_E_ACNOTINITIALIZED, CO_E_ACTIVATIONFAILED, CO_E_ACTIVATIONFAILED_CATALOGERROR, CO_E_ACTIVATIONFAILED_EVENTLOGGED, CO_E_ACTIVATIONFAILED_TIMEOUT, CO_E_ALREADYINITIALIZED, CO_E_APPDIDNTREG, CO_E_APPNOTFOUND, CO_E_APPSINGLEUSE, CO_E_ASYNC_WORK_REJECTED, CO_E_ATTEMPT_TO_CREATE_OUTSIDE_CLIENT_CONTEXT, CO_E_BAD_PATH, CO_E_BAD_SERVER_NAME, CO_E_CALL_OUT_OF_TX_SCOPE_NOT_ALLOWED, CO_E_CANCEL_DISABLED, CO_E_CANT_REMOTE, CO_E_CANTDETERMINECLASS, CO_E_CLASS_CREATE_FAILED, CO_E_CLASS_DISABLED, CO_E_CLASSSTRING, CO_E_CLRNOTAVAILABLE, CO_E_CLSREG_INCONSISTENT, CO_E_CONVERSIONFAILED, CO_E_CREATEPROCESS_FAILURE, CO_E_DBERROR, CO_E_DECODEFAILED, CO_E_DLLNOTFOUND, CO_E_ELEVATION_DISABLED, CO_E_ERRORINAPP, CO_E_ERRORINDLL, CO_E_EXCEEDSYSACLLIMIT, CO_E_EXIT_TRANSACTION_SCOPE_NOT_CALLED, CO_E_FAILEDTOCLOSEHANDLE, CO_E_FAILEDTOCREATEFILE, CO_E_FAILEDTOGENUUID, CO_E_FAILEDTOGETSECCTX, CO_E_FAILEDTOGETTOKENINFO, CO_E_FAILEDTOGETWINDIR, CO_E_FAILEDTOIMPERSONATE, CO_E_FAILEDTOOPENPROCESSTOKEN, CO_E_FAILEDTOOPENTHREADTOKEN, CO_E_FAILEDTOQUERYCLIENTBLANKET, CO_E_FAILEDTOSETDACL, CO_E_FIRST, CO_E_IIDREG_INCONSISTENT, CO_E_IIDSTRING, CO_E_INCOMPATIBLESTREAMVERSION, CO_E_INIT_CLASS_CACHE, CO_E_INIT_MEMORY_ALLOCATOR, CO_E_INIT_ONLY_SINGLE_THREADED, CO_E_INIT_RPC_CHANNEL, CO_E_INIT_SCM_EXEC_FAILURE, CO_E_INIT_SCM_FILE_MAPPING_EXISTS, CO_E_INIT_SCM_MAP_VIEW_OF_FILE, CO_E_INIT_SCM_MUTEX_EXISTS, CO_E_INIT_SHARED_ALLOCATOR, CO_E_INIT_TLS, CO_E_INIT_TLS_CHANNEL_CONTROL, CO_E_INIT_TLS_SET_CHANNEL_CONTROL, CO_E_INIT_UNACCEPTED_USER_ALLOCATOR, CO_E_INITIALIZATIONFAILED, CO_E_INVALIDSID, CO_E_ISOLEVELMISMATCH, CO_E_LAST, CO_E_LAUNCH_PERMSSION_DENIED, CO_E_LOOKUPACCNAMEFAILED, CO_E_LOOKUPACCSIDFAILED, CO_E_MALFORMED_SPN, CO_E_MISSING_DISPLAYNAME, CO_E_MSI_ERROR, CO_E_NETACCESSAPIFAILED, CO_E_NO_SECCTX_IN_ACTIVATE, CO_E_NOCOOKIES, CO_E_NOIISINTRINSICS, CO_E_NOMATCHINGNAMEFOUND, CO_E_NOMATCHINGSIDFOUND, CO_E_NOSYNCHRONIZATION, CO_E_NOT_SUPPORTED, CO_E_NOTCONSTRUCTED, CO_E_NOTINITIALIZED, CO_E_NOTPOOLED, CO_E_OBJISREG, CO_E_OBJNOTCONNECTED, CO_E_OBJNOTREG, CO_E_OBJSRV_RPC_FAILURE, CO_E_OLE1DDE_DISABLED, CO_E_PATHTOOLONG, CO_E_RELEASED, CO_E_RELOAD_DLL, CO_E_REMOTE_COMMUNICATION_FAILURE, CO_E_RUNAS_CREATEPROCESS_FAILURE, CO_E_RUNAS_LOGON_FAILURE, CO_E_RUNAS_SYNTAX, CO_E_RUNAS_VALUE_MUST_BE_AAA, CO_E_SCM_ERROR, CO_E_SCM_RPC_FAILURE, CO_E_SERVER_EXEC_FAILURE, CO_E_SERVER_INIT_TIMEOUT, CO_E_SERVER_NOT_PAUSED, CO_E_SERVER_PAUSED, CO_E_SERVER_START_TIMEOUT, CO_E_SERVER_STOPPING, CO_E_SETSERLHNDLFAILED, CO_E_START_SERVICE_FAILURE, CO_E_SXS_CONFIG, CO_E_THREADINGMODEL_CHANGED, CO_E_THREADPOOL_CONFIG, CO_E_TRACKER_CONFIG, CO_E_TRUSTEEDOESNTMATCHCLIENT, CO_E_WRONG_SERVER_IDENTITY, CO_E_WRONGOSFORAPP, CO_E_WRONGTRUSTEENAMESYNTAX, CO_S_FIRST, CO_S_LAST, CO_S_MACHINENAMENOTFOUND, CO_S_NOTALLINTERFACES, COMADMIN_E_ALREADYINSTALLED, COMADMIN_E_AMBIGUOUS_APPLICATION_NAME, COMADMIN_E_AMBIGUOUS_PARTITION_NAME, COMADMIN_E_APP_FILE_READFAIL, COMADMIN_E_APP_FILE_VERSION, COMADMIN_E_APP_FILE_WRITEFAIL, COMADMIN_E_APP_NOT_RUNNING, COMADMIN_E_APPDIRNOTFOUND, COMADMIN_E_APPLICATIONEXISTS, COMADMIN_E_APPLID_MATCHES_CLSID, COMADMIN_E_AUTHENTICATIONLEVEL, COMADMIN_E_BADPATH, COMADMIN_E_BADREGISTRYLIBID, COMADMIN_E_BADREGISTRYPROGID, COMADMIN_E_BASE_PARTITION_ONLY, COMADMIN_E_BASEPARTITION_REQUIRED_IN_SET, COMADMIN_E_CAN_NOT_EXPORT_APP_PROXY, COMADMIN_E_CAN_NOT_EXPORT_SYS_APP, COMADMIN_E_CAN_NOT_START_APP, COMADMIN_E_CANNOT_ALIAS_EVENTCLASS, COMADMIN_E_CANT_SUBSCRIBE_TO_COMPONENT, COMADMIN_E_CANTCOPYFILE, COMADMIN_E_CANTMAKEINPROCSERVICE, COMADMIN_E_CANTRECYCLELIBRARYAPPS, COMADMIN_E_CANTRECYCLESERVICEAPPS, COMADMIN_E_CAT_BITNESSMISMATCH, COMADMIN_E_CAT_DUPLICATE_PARTITION_NAME, COMADMIN_E_CAT_IMPORTED_COMPONENTS_NOT_ALLOWED, COMADMIN_E_CAT_INVALID_PARTITION_NAME, COMADMIN_E_CAT_PARTITION_IN_USE, COMADMIN_E_CAT_PAUSE_RESUME_NOT_SUPPORTED, COMADMIN_E_CAT_SERVERFAULT, COMADMIN_E_CAT_UNACCEPTABLEBITNESS, COMADMIN_E_CAT_WRONGAPPBITNESS, COMADMIN_E_CLSIDORIIDMISMATCH, COMADMIN_E_COMP_MOVE_BAD_DEST, COMADMIN_E_COMP_MOVE_DEST, COMADMIN_E_COMP_MOVE_LOCKED, COMADMIN_E_COMP_MOVE_PRIVATE, COMADMIN_E_COMP_MOVE_SOURCE, COMADMIN_E_COMPFILE_BADTLB, COMADMIN_E_COMPFILE_CLASSNOTAVAIL, COMADMIN_E_COMPFILE_DOESNOTEXIST, COMADMIN_E_COMPFILE_GETCLASSOBJ, COMADMIN_E_COMPFILE_LOADDLLFAIL, COMADMIN_E_COMPFILE_NOREGISTRAR, COMADMIN_E_COMPFILE_NOTINSTALLABLE, COMADMIN_E_COMPONENTEXISTS, COMADMIN_E_COREQCOMPINSTALLED, COMADMIN_E_DEFAULT_PARTITION_NOT_IN_SET, COMADMIN_E_DLLLOADFAILED, COMADMIN_E_DLLREGISTERSERVER, COMADMIN_E_EVENTCLASS_CANT_BE_SUBSCRIBER, COMADMIN_E_FILE_PARTITION_DUPLICATE_FILES, COMADMIN_E_INVALID_PARTITION, COMADMIN_E_INVALIDUSERIDS, COMADMIN_E_KEYMISSING, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_1_0_FORMAT, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_NONBASE_PARTITIONS, COMADMIN_E_LIB_APP_PROXY_INCOMPATIBLE, COMADMIN_E_MIG_SCHEMANOTFOUND, COMADMIN_E_MIG_VERSIONNOTSUPPORTED, COMADMIN_E_NOREGISTRYCLSID, COMADMIN_E_NOSERVERSHARE, COMADMIN_E_NOTCHANGEABLE, COMADMIN_E_NOTDELETEABLE, COMADMIN_E_NOTINREGISTRY, COMADMIN_E_NOUSER, COMADMIN_E_OBJECT_DOES_NOT_EXIST, COMADMIN_E_OBJECT_PARENT_MISSING, COMADMIN_E_OBJECTERRORS, COMADMIN_E_OBJECTEXISTS, COMADMIN_E_OBJECTINVALID, COMADMIN_E_OBJECTNOTPOOLABLE, COMADMIN_E_PARTITION_ACCESSDENIED, COMADMIN_E_PARTITION_MSI_ONLY, COMADMIN_E_PARTITIONS_DISABLED, COMADMIN_E_PAUSEDPROCESSMAYNOTBERECYCLED, COMADMIN_E_PRIVATE_ACCESSDENIED, COMADMIN_E_PROCESSALREADYRECYCLED, COMADMIN_E_PROGIDINUSEBYCLSID, COMADMIN_E_PROPERTY_OVERFLOW, COMADMIN_E_PROPERTYSAVEFAILED, COMADMIN_E_RECYCLEDPROCESSMAYNOTBEPAUSED, COMADMIN_E_REGDB_ALREADYRUNNING, COMADMIN_E_REGDB_NOTINITIALIZED, COMADMIN_E_REGDB_NOTOPEN, COMADMIN_E_REGDB_SYSTEMERR, COMADMIN_E_REGFILE_CORRUPT, COMADMIN_E_REGISTERTLB, COMADMIN_E_REGISTRARFAILED, COMADMIN_E_REGISTRY_ACCESSDENIED, COMADMIN_E_REMOTEINTERFACE, COMADMIN_E_REQUIRES_DIFFERENT_PLATFORM, COMADMIN_E_ROLE_DOES_NOT_EXIST, COMADMIN_E_ROLEEXISTS, COMADMIN_E_SAFERINVALID, COMADMIN_E_SERVICENOTINSTALLED, COMADMIN_E_SESSION, COMADMIN_E_START_APP_DISABLED, COMADMIN_E_START_APP_NEEDS_COMPONENTS, COMADMIN_E_SVCAPP_NOT_POOLABLE_OR_RECYCLABLE, COMADMIN_E_SYSTEMAPP, COMADMIN_E_USER_IN_SET, COMADMIN_E_USERPASSWDNOTVALID, COMQC_E_APPLICATION_NOT_QUEUED, COMQC_E_BAD_MESSAGE, COMQC_E_NO_IPERSISTSTREAM, COMQC_E_NO_QUEUEABLE_INTERFACES, COMQC_E_QUEUING_SERVICE_NOT_AVAILABLE, COMQC_E_UNAUTHENTICATED, COMQC_E_UNTRUSTED_ENQUEUER, CONTEXT_E_ABORTED, CONTEXT_E_ABORTING, CONTEXT_E_FIRST, CONTEXT_E_LAST, CONTEXT_E_NOCONTEXT, CONTEXT_E_NOJIT, CONTEXT_E_NOTRANSACTION, CONTEXT_E_OLDREF, CONTEXT_E_ROLENOTFOUND, CONTEXT_E_SYNCH_TIMEOUT, CONTEXT_E_TMNOTAVAILABLE, CONTEXT_E_WOULD_DEADLOCK, CONTEXT_S_FIRST, CONTEXT_S_LAST, CONVERT10_E_FIRST, CONVERT10_E_LAST, CONVERT10_E_OLESTREAM_BITMAP_TO_DIB, CONVERT10_E_OLESTREAM_FMT, CONVERT10_E_OLESTREAM_GET, CONVERT10_E_OLESTREAM_PUT, CONVERT10_E_STG_DIB_TO_BITMAP, CONVERT10_E_STG_FMT, CONVERT10_E_STG_NO_STD_STREAM, CONVERT10_S_FIRST, CONVERT10_S_LAST, CONVERT10_S_NO_PRESENTATION, CRYPT_E_ALREADY_DECRYPTED, CRYPT_E_ASN1_BADARGS, CRYPT_E_ASN1_BADPDU, CRYPT_E_ASN1_BADREAL, CRYPT_E_ASN1_BADTAG, CRYPT_E_ASN1_CHOICE, CRYPT_E_ASN1_CONSTRAINT, CRYPT_E_ASN1_CORRUPT, CRYPT_E_ASN1_EOD, CRYPT_E_ASN1_ERROR, CRYPT_E_ASN1_EXTENDED, CRYPT_E_ASN1_INTERNAL, CRYPT_E_ASN1_LARGE, CRYPT_E_ASN1_MEMORY, CRYPT_E_ASN1_NOEOD, CRYPT_E_ASN1_NYI, CRYPT_E_ASN1_OVERFLOW, CRYPT_E_ASN1_PDU_TYPE, CRYPT_E_ASN1_RULE, CRYPT_E_ASN1_UTF8, CRYPT_E_ATTRIBUTES_MISSING, CRYPT_E_AUTH_ATTR_MISSING, CRYPT_E_BAD_ENCODE, CRYPT_E_BAD_LEN, CRYPT_E_BAD_MSG, CRYPT_E_CONTROL_TYPE, CRYPT_E_DELETED_PREV, CRYPT_E_EXISTS, CRYPT_E_FILE_ERROR, CRYPT_E_FILERESIZED, CRYPT_E_HASH_VALUE, CRYPT_E_INVALID_IA5_STRING, CRYPT_E_INVALID_INDEX, CRYPT_E_INVALID_MSG_TYPE, CRYPT_E_INVALID_NUMERIC_STRING, CRYPT_E_INVALID_PRINTABLE_STRING, CRYPT_E_INVALID_X500_STRING, CRYPT_E_ISSUER_SERIALNUMBER, CRYPT_E_MISSING_PUBKEY_PARA, CRYPT_E_MSG_ERROR, CRYPT_E_NO_DECRYPT_CERT, CRYPT_E_NO_KEY_PROPERTY, CRYPT_E_NO_MATCH, CRYPT_E_NO_PROVIDER, CRYPT_E_NO_REVOCATION_CHECK, CRYPT_E_NO_REVOCATION_DLL, CRYPT_E_NO_SIGNER, CRYPT_E_NO_TRUSTED_SIGNER, CRYPT_E_NO_VERIFY_USAGE_CHECK, CRYPT_E_NO_VERIFY_USAGE_DLL, CRYPT_E_NOT_CHAR_STRING, CRYPT_E_NOT_DECRYPTED, CRYPT_E_NOT_FOUND, CRYPT_E_NOT_IN_CTL, CRYPT_E_NOT_IN_REVOCATION_DATABASE, CRYPT_E_OID_FORMAT, CRYPT_E_OSS_ERROR, CRYPT_E_PENDING_CLOSE, CRYPT_E_RECIPIENT_NOT_FOUND, CRYPT_E_REVOCATION_OFFLINE, CRYPT_E_REVOKED, CRYPT_E_SECURITY_SETTINGS, CRYPT_E_SELF_SIGNED, CRYPT_E_SIGNER_NOT_FOUND, CRYPT_E_STREAM_INSUFFICIENT_DATA, CRYPT_E_STREAM_MSG_NOT_READY, CRYPT_E_UNEXPECTED_ENCODING, CRYPT_E_UNEXPECTED_MSG_TYPE, CRYPT_E_UNKNOWN_ALGO, CRYPT_E_VERIFY_USAGE_OFFLINE, CRYPT_I_NEW_PROTECTION_REQUIRED, CS_E_ADMIN_LIMIT_EXCEEDED, CS_E_CLASS_NOTFOUND, CS_E_FIRST, CS_E_INTERNAL_ERROR, CS_E_INVALID_PATH, CS_E_INVALID_VERSION, CS_E_LAST, CS_E_NETWORK_ERROR, CS_E_NO_CLASSSTORE, CS_E_NOT_DELETABLE, CS_E_OBJECT_ALREADY_EXISTS, CS_E_OBJECT_NOTFOUND, CS_E_PACKAGE_NOTFOUND, CS_E_SCHEMA_MISMATCH, DATA_E_FIRST, DATA_E_LAST, DATA_S_FIRST, DATA_S_LAST, DATA_S_SAMEFORMATETC, DIGSIG_E_CRYPTO, DIGSIG_E_DECODE, DIGSIG_E_ENCODE, DIGSIG_E_EXTENSIBILITY, DISP_E_ARRAYISLOCKED, DISP_E_BADCALLEE, DISP_E_BADINDEX, DISP_E_BADPARAMCOUNT, DISP_E_BADVARTYPE, DISP_E_BUFFERTOOSMALL, DISP_E_DIVBYZERO, DISP_E_EXCEPTION, DISP_E_MEMBERNOTFOUND, DISP_E_NONAMEDARGS, DISP_E_NOTACOLLECTION, DISP_E_OVERFLOW, DISP_E_PARAMNOTFOUND, DISP_E_PARAMNOTOPTIONAL, DISP_E_TYPEMISMATCH, DISP_E_UNKNOWNINTERFACE, DISP_E_UNKNOWNLCID, DISP_E_UNKNOWNNAME, DNS_ERROR_ALIAS_LOOP, DNS_ERROR_AUTOZONE_ALREADY_EXISTS, DNS_ERROR_AXFR, DNS_ERROR_BACKGROUND_LOADING, DNS_ERROR_BAD_PACKET, DNS_ERROR_CANNOT_FIND_ROOT_HINTS, DNS_ERROR_CNAME_COLLISION, DNS_ERROR_CNAME_LOOP, DNS_ERROR_DATABASE_BASE, DNS_ERROR_DATAFILE_BASE, DNS_ERROR_DATAFILE_OPEN_FAILURE, DNS_ERROR_DATAFILE_PARSING, DNS_ERROR_DNAME_COLLISION, DNS_ERROR_DP_ALREADY_ENLISTED, DNS_ERROR_DP_ALREADY_EXISTS, DNS_ERROR_DP_BASE, DNS_ERROR_DP_DOES_NOT_EXIST, DNS_ERROR_DP_FSMO_ERROR, DNS_ERROR_DP_NOT_AVAILABLE, DNS_ERROR_DP_NOT_ENLISTED, DNS_ERROR_DS_UNAVAILABLE, DNS_ERROR_DS_ZONE_ALREADY_EXISTS, DNS_ERROR_DWORD_VALUE_TOO_LARGE, DNS_ERROR_DWORD_VALUE_TOO_SMALL, DNS_ERROR_FILE_WRITEBACK_FAILED, DNS_ERROR_FORWARDER_ALREADY_EXISTS, DNS_ERROR_GENERAL_API_BASE, DNS_ERROR_INCONSISTENT_ROOT_HINTS, DNS_ERROR_INVALID_DATA, DNS_ERROR_INVALID_DATAFILE_NAME, DNS_ERROR_INVALID_IP_ADDRESS, DNS_ERROR_INVALID_NAME, DNS_ERROR_INVALID_NAME_CHAR, DNS_ERROR_INVALID_PROPERTY, DNS_ERROR_INVALID_TYPE, DNS_ERROR_INVALID_ZONE_OPERATION, DNS_ERROR_INVALID_ZONE_TYPE, DNS_ERROR_MASK, DNS_ERROR_NAME_DOES_NOT_EXIST, DNS_ERROR_NAME_NOT_IN_ZONE, DNS_ERROR_NBSTAT_INIT_FAILED, DNS_ERROR_NEED_SECONDARY_ADDRESSES, DNS_ERROR_NEED_WINS_SERVERS, DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE, DNS_ERROR_NO_CREATE_CACHE_DATA, DNS_ERROR_NO_DNS_SERVERS, DNS_ERROR_NO_MEMORY, DNS_ERROR_NO_PACKET, DNS_ERROR_NO_TCPIP, DNS_ERROR_NO_ZONE_INFO, DNS_ERROR_NODE_CREATION_FAILED, DNS_ERROR_NODE_IS_CNAME, DNS_ERROR_NODE_IS_DNAME, DNS_ERROR_NON_RFC_NAME, DNS_ERROR_NOT_ALLOWED_ON_RODC, DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER, DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION, DNS_ERROR_NOT_ALLOWED_UNDER_DNAME, DNS_ERROR_NOT_UNIQUE, DNS_ERROR_NUMERIC_NAME, DNS_ERROR_OPERATION_BASE, DNS_ERROR_PACKET_FMT_BASE, DNS_ERROR_PRIMARY_REQUIRES_DATAFILE, DNS_ERROR_RCODE, DNS_ERROR_RCODE_BADKEY, DNS_ERROR_RCODE_BADSIG, DNS_ERROR_RCODE_BADTIME, DNS_ERROR_RCODE_FORMAT_ERROR, DNS_ERROR_RCODE_LAST, DNS_ERROR_RCODE_NAME_ERROR, DNS_ERROR_RCODE_NO_ERROR, DNS_ERROR_RCODE_NOT_IMPLEMENTED, DNS_ERROR_RCODE_NOTAUTH, DNS_ERROR_RCODE_NOTZONE, DNS_ERROR_RCODE_NXRRSET, DNS_ERROR_RCODE_REFUSED, DNS_ERROR_RCODE_SERVER_FAILURE, DNS_ERROR_RCODE_YXDOMAIN, DNS_ERROR_RCODE_YXRRSET, DNS_ERROR_RECORD_ALREADY_EXISTS, DNS_ERROR_RECORD_DOES_NOT_EXIST, DNS_ERROR_RECORD_FORMAT, DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT, DNS_ERROR_RECORD_TIMED_OUT, DNS_ERROR_RESPONSE_CODES_BASE, DNS_ERROR_SECONDARY_DATA, DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP, DNS_ERROR_SECURE_BASE, DNS_ERROR_SETUP_BASE, DNS_ERROR_SOA_DELETE_INVALID, DNS_ERROR_TRY_AGAIN_LATER, DNS_ERROR_UNKNOWN_RECORD_TYPE, DNS_ERROR_UNSECURE_PACKET, DNS_ERROR_WINS_INIT_FAILED, DNS_ERROR_ZONE_ALREADY_EXISTS, DNS_ERROR_ZONE_BASE, DNS_ERROR_ZONE_CONFIGURATION_ERROR, DNS_ERROR_ZONE_CREATION_FAILED, DNS_ERROR_ZONE_DOES_NOT_EXIST, DNS_ERROR_ZONE_HAS_NO_NS_RECORDS, DNS_ERROR_ZONE_HAS_NO_SOA_RECORD, DNS_ERROR_ZONE_IS_SHUTDOWN, DNS_ERROR_ZONE_LOCKED, DNS_ERROR_ZONE_NOT_SECONDARY, DNS_ERROR_ZONE_REQUIRES_MASTER_IP, DNS_INFO_ADDED_LOCAL_WINS, DNS_INFO_AXFR_COMPLETE, DNS_INFO_NO_RECORDS, DNS_STATUS_CONTINUE_NEEDED, DNS_STATUS_DOTTED_NAME, DNS_STATUS_FQDN, DNS_STATUS_PACKET_UNSECURE, DNS_STATUS_SINGLE_PART_NAME, DNS_WARNING_DOMAIN_UNDELETED, DNS_WARNING_PTR_CREATE_FAILED, DRAGDROP_E_ALREADYREGISTERED, DRAGDROP_E_FIRST, DRAGDROP_E_INVALIDHWND, DRAGDROP_E_LAST, DRAGDROP_E_NOTREGISTERED, DRAGDROP_S_CANCEL, DRAGDROP_S_DROP, DRAGDROP_S_FIRST, DRAGDROP_S_LAST, DRAGDROP_S_USEDEFAULTCURSORS, DS_S_SUCCESS, DV_E_CLIPFORMAT, DV_E_DVASPECT, DV_E_DVTARGETDEVICE, DV_E_DVTARGETDEVICE_SIZE, DV_E_FORMATETC, DV_E_LINDEX, DV_E_NOIVIEWOBJECT, DV_E_STATDATA, DV_E_STGMEDIUM, DV_E_TYMED, DWM_E_COMPOSITIONDISABLED, DWM_E_NO_REDIRECTION_SURFACE_AVAILABLE, DWM_E_NOT_QUEUING_PRESENTS, DWM_E_REMOTING_NOT_SUPPORTED, E_ABORT, E_ACCESSDENIED, E_FAIL, E_HANDLE, E_INVALIDARG, E_NOINTERFACE, E_NOTIMPL, E_OUTOFMEMORY, E_PENDING, E_POINTER, E_UNEXPECTED, ENUM_E_FIRST, ENUM_E_LAST, ENUM_S_FIRST, ENUM_S_LAST, EPT_S_CANT_CREATE, EPT_S_CANT_PERFORM_OP, EPT_S_INVALID_ENTRY, EPT_S_NOT_REGISTERED, ERROR_ABANDON_HIBERFILE, ERROR_ABANDONED_WAIT_0, ERROR_ABANDONED_WAIT_63, ERROR_ABIOS_ERROR, ERROR_ACCESS_AUDIT_BY_POLICY, ERROR_ACCESS_DENIED, ERROR_ACCESS_DISABLED_BY_POLICY, ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY, ERROR_ACCESS_DISABLED_WEBBLADE, ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER, ERROR_ACCOUNT_DISABLED, ERROR_ACCOUNT_EXPIRED, ERROR_ACCOUNT_LOCKED_OUT, ERROR_ACCOUNT_RESTRICTION, ERROR_ACPI_ERROR, ERROR_ACTIVATION_COUNT_EXCEEDED, ERROR_ACTIVE_CONNECTIONS, ERROR_ADAP_HDW_ERR, ERROR_ADDRESS_ALREADY_ASSOCIATED, ERROR_ADDRESS_NOT_ASSOCIATED, ERROR_ADVANCED_INSTALLER_FAILED, ERROR_ALERTED, ERROR_ALIAS_EXISTS, ERROR_ALL_NODES_NOT_AVAILABLE, ERROR_ALL_SIDS_FILTERED, ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED, ERROR_ALLOCATE_BUCKET, ERROR_ALLOTTED_SPACE_EXCEEDED, ERROR_ALREADY_ASSIGNED, ERROR_ALREADY_EXISTS, ERROR_ALREADY_FIBER, ERROR_ALREADY_INITIALIZED, ERROR_ALREADY_REGISTERED, ERROR_ALREADY_RUNNING_LKG, ERROR_ALREADY_THREAD, ERROR_ALREADY_WAITING, ERROR_ALREADY_WIN32, ERROR_AMBIGUOUS_SYSTEM_DEVICE, ERROR_APP_INIT_FAILURE, ERROR_APP_WRONG_OS, ERROR_APPHELP_BLOCK, ERROR_ARBITRATION_UNHANDLED, ERROR_ARENA_TRASHED, ERROR_ARITHMETIC_OVERFLOW, ERROR_ASSERTION_FAILURE, ERROR_ATOMIC_LOCKS_NOT_SUPPORTED, ERROR_AUDIT_FAILED, ERROR_AUDITING_DISABLED, ERROR_AUTHENTICATION_FIREWALL_FAILED, ERROR_AUTHIP_FAILURE, ERROR_AUTODATASEG_EXCEEDS_64k, ERROR_BACKUP_CONTROLLER, ERROR_BAD_ACCESSOR_FLAGS, ERROR_BAD_ARGUMENTS, ERROR_BAD_CLUSTERS, ERROR_BAD_COMMAND, ERROR_BAD_COMPRESSION_BUFFER, ERROR_BAD_CONFIGURATION, ERROR_BAD_CURRENT_DIRECTORY, ERROR_BAD_DESCRIPTOR_FORMAT, ERROR_BAD_DEV_TYPE, ERROR_BAD_DEVICE, ERROR_BAD_DLL_ENTRYPOINT, ERROR_BAD_DRIVER, ERROR_BAD_DRIVER_LEVEL, ERROR_BAD_ENVIRONMENT, ERROR_BAD_EXE_FORMAT, ERROR_BAD_FILE_TYPE, ERROR_BAD_FORMAT, ERROR_BAD_FUNCTION_TABLE, ERROR_BAD_IMPERSONATION_LEVEL, ERROR_BAD_INHERITANCE_ACL, ERROR_BAD_LENGTH, ERROR_BAD_LOGON_SESSION_STATE, ERROR_BAD_MCFG_TABLE, ERROR_BAD_NET_NAME, ERROR_BAD_NET_RESP, ERROR_BAD_NETPATH, ERROR_BAD_PATHNAME, ERROR_BAD_PIPE, ERROR_BAD_PROFILE, ERROR_BAD_PROVIDER, ERROR_BAD_QUERY_SYNTAX, ERROR_BAD_RECOVERY_POLICY, ERROR_BAD_REM_ADAP, ERROR_BAD_SERVICE_ENTRYPOINT, ERROR_BAD_STACK, ERROR_BAD_THREADID_ADDR, ERROR_BAD_TOKEN_TYPE, ERROR_BAD_UNIT, ERROR_BAD_USER_PROFILE, ERROR_BAD_USERNAME, ERROR_BAD_VALIDATION_CLASS, ERROR_BADDB, ERROR_BADKEY, ERROR_BADSTARTPOSITION, ERROR_BEGINNING_OF_MEDIA, ERROR_BEYOND_VDL, ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT, ERROR_BIZRULES_NOT_ENABLED, ERROR_BOOT_ALREADY_ACCEPTED, ERROR_BROKEN_PIPE, ERROR_BUFFER_ALL_ZEROS, ERROR_BUFFER_OVERFLOW, ERROR_BUS_RESET, ERROR_BUSY, ERROR_BUSY_DRIVE, ERROR_CACHE_PAGE_LOCKED, ERROR_CALL_NOT_IMPLEMENTED, ERROR_CALLBACK_POP_STACK, ERROR_CALLBACK_SUPPLIED_INVALID_DATA, ERROR_CAN_NOT_COMPLETE, ERROR_CAN_NOT_DEL_LOCAL_WINS, ERROR_CANCEL_VIOLATION, ERROR_CANCELLED, ERROR_CANNOT_ABORT_TRANSACTIONS, ERROR_CANNOT_ACCEPT_TRANSACTED_WORK, ERROR_CANNOT_COPY, ERROR_CANNOT_DETECT_DRIVER_FAILURE, ERROR_CANNOT_DETECT_PROCESS_ABORT, ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION, ERROR_CANNOT_FIND_WND_CLASS, ERROR_CANNOT_IMPERSONATE, ERROR_CANNOT_LOAD_REGISTRY_FILE, ERROR_CANNOT_MAKE, ERROR_CANNOT_OPEN_PROFILE, ERROR_CANT_ACCESS_DOMAIN_INFO, ERROR_CANT_ACCESS_FILE, ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY, ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS, ERROR_CANT_CROSS_RM_BOUNDARY, ERROR_CANT_DELETE_LAST_ITEM, ERROR_CANT_DISABLE_MANDATORY, ERROR_CANT_ENABLE_DENY_ONLY, ERROR_CANT_EVICT_ACTIVE_NODE, ERROR_CANT_OPEN_ANONYMOUS, ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT, ERROR_CANT_RECOVER_WITH_HANDLE_OPEN, ERROR_CANT_RESOLVE_FILENAME, ERROR_CANT_TERMINATE_SELF, ERROR_CANT_WAIT, ERROR_CANTFETCHBACKWARDS, ERROR_CANTOPEN, ERROR_CANTREAD, ERROR_CANTSCROLLBACKWARDS, ERROR_CANTWRITE, ERROR_CARDBUS_NOT_SUPPORTED, ERROR_CHECKING_FILE_SYSTEM, ERROR_CHECKOUT_REQUIRED, ERROR_CHILD_MUST_BE_VOLATILE, ERROR_CHILD_NOT_COMPLETE, ERROR_CHILD_WINDOW_MENU, ERROR_CIRCULAR_DEPENDENCY, ERROR_CLASS_ALREADY_EXISTS, ERROR_CLASS_DOES_NOT_EXIST, ERROR_CLASS_HAS_WINDOWS, ERROR_CLEANER_CARTRIDGE_INSTALLED, ERROR_CLEANER_CARTRIDGE_SPENT, ERROR_CLEANER_SLOT_NOT_SET, ERROR_CLEANER_SLOT_SET, ERROR_CLIENT_SERVER_PARAMETERS_INVALID, ERROR_CLIPBOARD_NOT_OPEN, ERROR_CLIPPING_NOT_SUPPORTED, ERROR_CLUSCFG_ALREADY_COMMITTED, ERROR_CLUSCFG_ROLLBACK_FAILED, ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT, ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME, ERROR_CLUSTER_CANT_DESERIALIZE_DATA, ERROR_CLUSTER_DATABASE_SEQMISMATCH, ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS, ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS, ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP, ERROR_CLUSTER_GROUP_MOVING, ERROR_CLUSTER_GUM_NOT_LOCKER, ERROR_CLUSTER_INCOMPATIBLE_VERSIONS, ERROR_CLUSTER_INSTANCE_ID_MISMATCH, ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION, ERROR_CLUSTER_INVALID_IPV6_NETWORK, ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK, ERROR_CLUSTER_INVALID_NETWORK, ERROR_CLUSTER_INVALID_NETWORK_PROVIDER, ERROR_CLUSTER_INVALID_NODE, ERROR_CLUSTER_INVALID_REQUEST, ERROR_CLUSTER_INVALID_STRING_FORMAT, ERROR_CLUSTER_INVALID_STRING_TERMINATION, ERROR_CLUSTER_IPADDR_IN_USE, ERROR_CLUSTER_JOIN_ABORTED, ERROR_CLUSTER_JOIN_IN_PROGRESS, ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS, ERROR_CLUSTER_LAST_INTERNAL_NETWORK, ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND, ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED, ERROR_CLUSTER_MEMBERSHIP_HALT, ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE, ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME, ERROR_CLUSTER_NETINTERFACE_EXISTS, ERROR_CLUSTER_NETINTERFACE_NOT_FOUND, ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE, ERROR_CLUSTER_NETWORK_ALREADY_ONLINE, ERROR_CLUSTER_NETWORK_EXISTS, ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS, ERROR_CLUSTER_NETWORK_NOT_FOUND, ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP, ERROR_CLUSTER_NETWORK_NOT_INTERNAL, ERROR_CLUSTER_NO_NET_ADAPTERS, ERROR_CLUSTER_NO_QUORUM, ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED, ERROR_CLUSTER_NO_SECURITY_CONTEXT, ERROR_CLUSTER_NODE_ALREADY_DOWN, ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT, ERROR_CLUSTER_NODE_ALREADY_MEMBER, ERROR_CLUSTER_NODE_ALREADY_UP, ERROR_CLUSTER_NODE_DOWN, ERROR_CLUSTER_NODE_EXISTS, ERROR_CLUSTER_NODE_NOT_FOUND, ERROR_CLUSTER_NODE_NOT_MEMBER, ERROR_CLUSTER_NODE_NOT_PAUSED, ERROR_CLUSTER_NODE_NOT_READY, ERROR_CLUSTER_NODE_PAUSED, ERROR_CLUSTER_NODE_SHUTTING_DOWN, ERROR_CLUSTER_NODE_UNREACHABLE, ERROR_CLUSTER_NODE_UP, ERROR_CLUSTER_NOT_INSTALLED, ERROR_CLUSTER_NULL_DATA, ERROR_CLUSTER_OLD_VERSION, ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST, ERROR_CLUSTER_PARAMETER_MISMATCH, ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS, ERROR_CLUSTER_PARTIAL_READ, ERROR_CLUSTER_PARTIAL_SEND, ERROR_CLUSTER_PARTIAL_WRITE, ERROR_CLUSTER_POISONED, ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH, ERROR_CLUSTER_QUORUMLOG_NOT_FOUND, ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION, ERROR_CLUSTER_RESNAME_NOT_FOUND, ERROR_CLUSTER_RESOURCE_TYPE_BUSY, ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND, ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE, ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED, ERROR_CLUSTER_RHS_FAILED_INITIALIZATION, ERROR_CLUSTER_SHUTTING_DOWN, ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED, ERROR_CLUSTER_WRONG_OS_VERSION, ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND, ERROR_CLUSTERLOG_CORRUPT, ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE, ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE, ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE, ERROR_COLORSPACE_MISMATCH, ERROR_COMMITMENT_LIMIT, ERROR_COMMITMENT_MINIMUM, ERROR_COMPRESSION_DISABLED, ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION, ERROR_CONNECTED_OTHER_PASSWORD, ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT, ERROR_CONNECTION_ABORTED, ERROR_CONNECTION_ACTIVE, ERROR_CONNECTION_COUNT_LIMIT, ERROR_CONNECTION_INVALID, ERROR_CONNECTION_REFUSED, ERROR_CONNECTION_UNAVAIL, ERROR_CONTENT_BLOCKED, ERROR_CONTEXT_EXPIRED, ERROR_CONTINUE, ERROR_CONTROL_C_EXIT, ERROR_CONTROL_ID_NOT_FOUND, ERROR_CONTROLLING_IEPORT, ERROR_CONVERT_TO_LARGE, ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND, ERROR_CORE_RESOURCE, ERROR_CORRUPT_SYSTEM_FILE, ERROR_COULD_NOT_INTERPRET, ERROR_COULD_NOT_RESIZE_LOG, ERROR_COUNTER_TIMEOUT, ERROR_CRASH_DUMP, ERROR_CRC, ERROR_CREATE_FAILED, ERROR_CRED_REQUIRES_CONFIRMATION, ERROR_CRM_PROTOCOL_ALREADY_EXISTS, ERROR_CRM_PROTOCOL_NOT_FOUND, ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_FILE_NOT_CSE, ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE, ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER, ERROR_CSCSHARE_OFFLINE, ERROR_CTX_ACCOUNT_RESTRICTION, ERROR_CTX_BAD_VIDEO_MODE, ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY, ERROR_CTX_CDM_CONNECT, ERROR_CTX_CDM_DISCONNECT, ERROR_CTX_CLIENT_LICENSE_IN_USE, ERROR_CTX_CLIENT_LICENSE_NOT_SET, ERROR_CTX_CLIENT_QUERY_TIMEOUT, ERROR_CTX_CLOSE_PENDING, ERROR_CTX_CONSOLE_CONNECT, ERROR_CTX_CONSOLE_DISCONNECT, ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED, ERROR_CTX_GRAPHICS_INVALID, ERROR_CTX_INVALID_MODEMNAME, ERROR_CTX_INVALID_PD, ERROR_CTX_INVALID_WD, ERROR_CTX_LICENSE_CLIENT_INVALID, ERROR_CTX_LICENSE_EXPIRED, ERROR_CTX_LICENSE_NOT_AVAILABLE, ERROR_CTX_LOGON_DISABLED, ERROR_CTX_MODEM_INF_NOT_FOUND, ERROR_CTX_MODEM_RESPONSE_BUSY, ERROR_CTX_MODEM_RESPONSE_ERROR, ERROR_CTX_MODEM_RESPONSE_NO_CARRIER, ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE, ERROR_CTX_MODEM_RESPONSE_TIMEOUT, ERROR_CTX_MODEM_RESPONSE_VOICE, ERROR_CTX_NO_FORCE_LOGOFF, ERROR_CTX_NO_OUTBUF, ERROR_CTX_NOT_CONSOLE, ERROR_CTX_PD_NOT_FOUND, ERROR_CTX_SECURITY_LAYER_ERROR, ERROR_CTX_SERVICE_NAME_COLLISION, ERROR_CTX_SESSION_IN_USE, ERROR_CTX_SHADOW_DENIED, ERROR_CTX_SHADOW_DISABLED, ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE, ERROR_CTX_SHADOW_INVALID, ERROR_CTX_SHADOW_NOT_RUNNING, ERROR_CTX_TD_ERROR, ERROR_CTX_WD_NOT_FOUND, ERROR_CTX_WINSTATION_ACCESS_DENIED, ERROR_CTX_WINSTATION_ALREADY_EXISTS, ERROR_CTX_WINSTATION_BUSY, ERROR_CTX_WINSTATION_NAME_INVALID, ERROR_CTX_WINSTATION_NOT_FOUND, ERROR_CTX_WINSTATIONS_DISABLED, ERROR_CURRENT_DIRECTORY, ERROR_CURRENT_DOMAIN_NOT_ALLOWED, ERROR_CURRENT_TRANSACTION_NOT_VALID, ERROR_DATA_LOST_REPAIR, ERROR_DATA_NOT_ACCEPTED, ERROR_DATABASE_BACKUP_CORRUPT, ERROR_DATABASE_DOES_NOT_EXIST, ERROR_DATABASE_FAILURE, ERROR_DATABASE_FULL, ERROR_DATATYPE_MISMATCH, ERROR_DBG_COMMAND_EXCEPTION, ERROR_DBG_CONTINUE, ERROR_DBG_CONTROL_BREAK, ERROR_DBG_CONTROL_C, ERROR_DBG_EXCEPTION_HANDLED, ERROR_DBG_EXCEPTION_NOT_HANDLED, ERROR_DBG_PRINTEXCEPTION_C, ERROR_DBG_REPLY_LATER, ERROR_DBG_RIPEXCEPTION, ERROR_DBG_TERMINATE_PROCESS, ERROR_DBG_TERMINATE_THREAD, ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE, ERROR_DC_NOT_FOUND, ERROR_DDE_FAIL, ERROR_DEBUG_ATTACH_FAILED, ERROR_DEBUGGER_INACTIVE, ERROR_DECRYPTION_FAILED, ERROR_DELAY_LOAD_FAILED, ERROR_DELETE_PENDING, ERROR_DELETING_ICM_XFORM, ERROR_DEPENDENCY_ALREADY_EXISTS, ERROR_DEPENDENCY_NOT_ALLOWED, ERROR_DEPENDENCY_NOT_FOUND, ERROR_DEPENDENCY_TREE_TOO_COMPLEX, ERROR_DEPENDENT_RESOURCE_EXISTS, ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT, ERROR_DEPENDENT_SERVICES_RUNNING, ERROR_DESTINATION_ELEMENT_FULL, ERROR_DESTROY_OBJECT_OF_OTHER_THREAD, ERROR_DEV_NOT_EXIST, ERROR_DEVICE_ALREADY_ATTACHED, ERROR_DEVICE_ALREADY_REMEMBERED, ERROR_DEVICE_DOOR_OPEN, ERROR_DEVICE_ENUMERATION_ERROR, ERROR_DEVICE_IN_USE, ERROR_DEVICE_NOT_AVAILABLE, ERROR_DEVICE_NOT_CONNECTED, ERROR_DEVICE_NOT_PARTITIONED, ERROR_DEVICE_REINITIALIZATION_NEEDED, ERROR_DEVICE_REMOVED, ERROR_DEVICE_REQUIRES_CLEANING, ERROR_DHCP_ADDRESS_CONFLICT, ERROR_DIFFERENT_SERVICE_ACCOUNT, ERROR_DIR_EFS_DISALLOWED, ERROR_DIR_NOT_EMPTY, ERROR_DIR_NOT_ROOT, ERROR_DIRECT_ACCESS_HANDLE, ERROR_DIRECTORY, ERROR_DIRECTORY_NOT_RM, ERROR_DISCARDED, ERROR_DISK_CHANGE, ERROR_DISK_CORRUPT, ERROR_DISK_FULL, ERROR_DISK_OPERATION_FAILED, ERROR_DISK_QUOTA_EXCEEDED, ERROR_DISK_RECALIBRATE_FAILED, ERROR_DISK_REPAIR_DISABLED, ERROR_DISK_RESET_FAILED, ERROR_DISK_TOO_FRAGMENTED, ERROR_DLL_INIT_FAILED, ERROR_DLL_INIT_FAILED_LOGOFF, ERROR_DLL_MIGHT_BE_INCOMPATIBLE, ERROR_DLL_MIGHT_BE_INSECURE, ERROR_DLL_NOT_FOUND, ERROR_DOMAIN_CONTROLLER_EXISTS, ERROR_DOMAIN_CONTROLLER_NOT_FOUND, ERROR_DOMAIN_CTRLR_CONFIG_ERROR, ERROR_DOMAIN_EXISTS, ERROR_DOMAIN_LIMIT_EXCEEDED, ERROR_DOMAIN_TRUST_INCONSISTENT, ERROR_DOWNGRADE_DETECTED, ERROR_DRIVE_LOCKED, ERROR_DRIVE_MEDIA_MISMATCH, ERROR_DRIVER_BLOCKED, ERROR_DRIVER_CANCEL_TIMEOUT, ERROR_DRIVER_DATABASE_ERROR, ERROR_DRIVER_FAILED_PRIOR_UNLOAD, ERROR_DRIVER_FAILED_SLEEP, ERROR_DRIVER_PROCESS_TERMINATED, ERROR_DRIVERS_LEAKING_LOCKED_PAGES, ERROR_DS_ADD_REPLICA_INHIBITED, ERROR_DS_ADMIN_LIMIT_EXCEEDED, ERROR_DS_AFFECTS_MULTIPLE_DSAS, ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_ALIAS_DEREF_PROBLEM, ERROR_DS_ALIAS_POINTS_TO_ALIAS, ERROR_DS_ALIAS_PROBLEM, ERROR_DS_ALIASED_OBJ_MISSING, ERROR_DS_ATT_ALREADY_EXISTS, ERROR_DS_ATT_IS_NOT_ON_OBJ, ERROR_DS_ATT_NOT_DEF_FOR_CLASS, ERROR_DS_ATT_NOT_DEF_IN_SCHEMA, ERROR_DS_ATT_SCHEMA_REQ_ID, ERROR_DS_ATT_SCHEMA_REQ_SYNTAX, ERROR_DS_ATT_VAL_ALREADY_EXISTS, ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS, ERROR_DS_ATTRIBUTE_OWNED_BY_SAM, ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED, ERROR_DS_AUDIT_FAILURE, ERROR_DS_AUTH_METHOD_NOT_SUPPORTED, ERROR_DS_AUTH_UNKNOWN, ERROR_DS_AUTHORIZATION_FAILED, ERROR_DS_AUX_CLS_TEST_FAIL, ERROR_DS_BACKLINK_WITHOUT_LINK, ERROR_DS_BAD_ATT_SCHEMA_SYNTAX, ERROR_DS_BAD_HIERARCHY_FILE, ERROR_DS_BAD_INSTANCE_TYPE, ERROR_DS_BAD_NAME_SYNTAX, ERROR_DS_BAD_RDN_ATT_ID_SYNTAX, ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED, ERROR_DS_BUSY, ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD, ERROR_DS_CANT_ADD_ATT_VALUES, ERROR_DS_CANT_ADD_SYSTEM_ONLY, ERROR_DS_CANT_ADD_TO_GC, ERROR_DS_CANT_CACHE_ATT, ERROR_DS_CANT_CACHE_CLASS, ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC, ERROR_DS_CANT_CREATE_UNDER_SCHEMA, ERROR_DS_CANT_DEL_MASTER_CROSSREF, ERROR_DS_CANT_DELETE, ERROR_DS_CANT_DELETE_DSA_OBJ, ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC, ERROR_DS_CANT_DEREF_ALIAS, ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN, ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF, ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN, ERROR_DS_CANT_FIND_DSA_OBJ, ERROR_DS_CANT_FIND_EXPECTED_NC, ERROR_DS_CANT_FIND_NC_IN_CACHE, ERROR_DS_CANT_MIX_MASTER_AND_REPS, ERROR_DS_CANT_MOD_OBJ_CLASS, ERROR_DS_CANT_MOD_PRIMARYGROUPID, ERROR_DS_CANT_MOD_SYSTEM_ONLY, ERROR_DS_CANT_MOVE_ACCOUNT_GROUP, ERROR_DS_CANT_MOVE_APP_BASIC_GROUP, ERROR_DS_CANT_MOVE_APP_QUERY_GROUP, ERROR_DS_CANT_MOVE_DELETED_OBJECT, ERROR_DS_CANT_MOVE_RESOURCE_GROUP, ERROR_DS_CANT_ON_NON_LEAF, ERROR_DS_CANT_ON_RDN, ERROR_DS_CANT_REM_MISSING_ATT, ERROR_DS_CANT_REM_MISSING_ATT_VAL, ERROR_DS_CANT_REMOVE_ATT_CACHE, ERROR_DS_CANT_REMOVE_CLASS_CACHE, ERROR_DS_CANT_REPLACE_HIDDEN_REC, ERROR_DS_CANT_RETRIEVE_ATTS, ERROR_DS_CANT_RETRIEVE_CHILD, ERROR_DS_CANT_RETRIEVE_DN, ERROR_DS_CANT_RETRIEVE_INSTANCE, ERROR_DS_CANT_RETRIEVE_SD, ERROR_DS_CANT_START, ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ, ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS, ERROR_DS_CHILDREN_EXIST, ERROR_DS_CLASS_MUST_BE_CONCRETE, ERROR_DS_CLASS_NOT_DSA, ERROR_DS_CLIENT_LOOP, ERROR_DS_CODE_INCONSISTENCY, ERROR_DS_COMPARE_FALSE, ERROR_DS_COMPARE_TRUE, ERROR_DS_CONFIDENTIALITY_REQUIRED, ERROR_DS_CONFIG_PARAM_MISSING, ERROR_DS_CONSTRAINT_VIOLATION, ERROR_DS_CONSTRUCTED_ATT_MOD, ERROR_DS_CONTROL_NOT_FOUND, ERROR_DS_COULDNT_CONTACT_FSMO, ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE, ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE, ERROR_DS_COULDNT_UPDATE_SPNS, ERROR_DS_COUNTING_AB_INDICES_FAILED, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2, ERROR_DS_CROSS_DOM_MOVE_ERROR, ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD, ERROR_DS_CROSS_NC_DN_RENAME, ERROR_DS_CROSS_REF_BUSY, ERROR_DS_CROSS_REF_EXISTS, ERROR_DS_DATABASE_ERROR, ERROR_DS_DECODING_ERROR, ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED, ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST, ERROR_DS_DIFFERENT_REPL_EPOCHS, ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER, ERROR_DS_DNS_LOOKUP_FAILURE, ERROR_DS_DOMAIN_RENAME_IN_PROGRESS, ERROR_DS_DOMAIN_VERSION_TOO_HIGH, ERROR_DS_DOMAIN_VERSION_TOO_LOW, ERROR_DS_DRA_ABANDON_SYNC, ERROR_DS_DRA_ACCESS_DENIED, ERROR_DS_DRA_BAD_DN, ERROR_DS_DRA_BAD_INSTANCE_TYPE, ERROR_DS_DRA_BAD_NC, ERROR_DS_DRA_BUSY, ERROR_DS_DRA_CONNECTION_FAILED, ERROR_DS_DRA_DB_ERROR, ERROR_DS_DRA_DN_EXISTS, ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT, ERROR_DS_DRA_EXTN_CONNECTION_FAILED, ERROR_DS_DRA_GENERIC, ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET, ERROR_DS_DRA_INCONSISTENT_DIT, ERROR_DS_DRA_INTERNAL_ERROR, ERROR_DS_DRA_INVALID_PARAMETER, ERROR_DS_DRA_MAIL_PROBLEM, ERROR_DS_DRA_MISSING_PARENT, ERROR_DS_DRA_NAME_COLLISION, ERROR_DS_DRA_NO_REPLICA, ERROR_DS_DRA_NOT_SUPPORTED, ERROR_DS_DRA_OBJ_IS_REP_SOURCE, ERROR_DS_DRA_OBJ_NC_MISMATCH, ERROR_DS_DRA_OUT_OF_MEM, ERROR_DS_DRA_OUT_SCHEDULE_WINDOW, ERROR_DS_DRA_PREEMPTED, ERROR_DS_DRA_REF_ALREADY_EXISTS, ERROR_DS_DRA_REF_NOT_FOUND, ERROR_DS_DRA_REPL_PENDING, ERROR_DS_DRA_RPC_CANCELLED, ERROR_DS_DRA_SCHEMA_CONFLICT, ERROR_DS_DRA_SCHEMA_INFO_SHIP, ERROR_DS_DRA_SCHEMA_MISMATCH, ERROR_DS_DRA_SHUTDOWN, ERROR_DS_DRA_SINK_DISABLED, ERROR_DS_DRA_SOURCE_DISABLED, ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA, ERROR_DS_DRA_SOURCE_REINSTALLED, ERROR_DS_DRS_EXTENSIONS_CHANGED, ERROR_DS_DS_REQUIRED, ERROR_DS_DSA_MUST_BE_INT_MASTER, ERROR_DS_DST_DOMAIN_NOT_NATIVE, ERROR_DS_DST_NC_MISMATCH, ERROR_DS_DUP_LDAP_DISPLAY_NAME, ERROR_DS_DUP_LINK_ID, ERROR_DS_DUP_MAPI_ID, ERROR_DS_DUP_MSDS_INTID, ERROR_DS_DUP_OID, ERROR_DS_DUP_RDN, ERROR_DS_DUP_SCHEMA_ID_GUID, ERROR_DS_DUPLICATE_ID_FOUND, ERROR_DS_ENCODING_ERROR, ERROR_DS_EPOCH_MISMATCH, ERROR_DS_EXISTING_AD_CHILD_NC, ERROR_DS_EXISTS_IN_AUX_CLS, ERROR_DS_EXISTS_IN_MAY_HAVE, ERROR_DS_EXISTS_IN_MUST_HAVE, ERROR_DS_EXISTS_IN_POSS_SUP, ERROR_DS_EXISTS_IN_RDNATTID, ERROR_DS_EXISTS_IN_SUB_CLS, ERROR_DS_FILTER_UNKNOWN, ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS, ERROR_DS_FOREST_VERSION_TOO_HIGH, ERROR_DS_FOREST_VERSION_TOO_LOW, ERROR_DS_GC_NOT_AVAILABLE, ERROR_DS_GC_REQUIRED, ERROR_DS_GCVERIFY_ERROR, ERROR_DS_GENERIC_ERROR, ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_GOVERNSID_MISSING, ERROR_DS_GROUP_CONVERSION_ERROR, ERROR_DS_HAVE_PRIMARY_MEMBERS, ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED, ERROR_DS_HIERARCHY_TABLE_TOO_DEEP, ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD, ERROR_DS_ILLEGAL_MOD_OPERATION, ERROR_DS_ILLEGAL_SUPERIOR, ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION, ERROR_DS_INAPPROPRIATE_AUTH, ERROR_DS_INAPPROPRIATE_MATCHING, ERROR_DS_INCOMPATIBLE_CONTROLS_USED, ERROR_DS_INCOMPATIBLE_VERSION, ERROR_DS_INCORRECT_ROLE_OWNER, ERROR_DS_INIT_FAILURE, ERROR_DS_INIT_FAILURE_CONSOLE, ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE, ERROR_DS_INSTALL_NO_SRC_SCH_VERSION, ERROR_DS_INSTALL_SCHEMA_MISMATCH, ERROR_DS_INSUFF_ACCESS_RIGHTS, ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT, ERROR_DS_INTERNAL_FAILURE, ERROR_DS_INVALID_ATTRIBUTE_SYNTAX, ERROR_DS_INVALID_DMD, ERROR_DS_INVALID_DN_SYNTAX, ERROR_DS_INVALID_GROUP_TYPE, ERROR_DS_INVALID_LDAP_DISPLAY_NAME, ERROR_DS_INVALID_NAME_FOR_SPN, ERROR_DS_INVALID_ROLE_OWNER, ERROR_DS_INVALID_SCRIPT, ERROR_DS_INVALID_SEARCH_FLAG, ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE, ERROR_DS_INVALID_SEARCH_FLAG_TUPLE, ERROR_DS_IS_LEAF, ERROR_DS_KEY_NOT_UNIQUE, ERROR_DS_LDAP_SEND_QUEUE_FULL, ERROR_DS_LINK_ID_NOT_AVAILABLE, ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER, ERROR_DS_LOCAL_ERROR, ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY, ERROR_DS_LOOP_DETECT, ERROR_DS_LOW_DSA_VERSION, ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4, ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED, ERROR_DS_MASTERDSA_REQUIRED, ERROR_DS_MAX_OBJ_SIZE_EXCEEDED, ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY, ERROR_DS_MISSING_EXPECTED_ATT, ERROR_DS_MISSING_FSMO_SETTINGS, ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER, ERROR_DS_MISSING_REQUIRED_ATT, ERROR_DS_MISSING_SUPREF, ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG, ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE, ERROR_DS_MODIFYDN_WRONG_GRANDPARENT, ERROR_DS_MUST_BE_RUN_ON_DST_DC, ERROR_DS_NAME_ERROR_DOMAIN_ONLY, ERROR_DS_NAME_ERROR_NO_MAPPING, ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING, ERROR_DS_NAME_ERROR_NOT_FOUND, ERROR_DS_NAME_ERROR_NOT_UNIQUE, ERROR_DS_NAME_ERROR_RESOLVING, ERROR_DS_NAME_ERROR_TRUST_REFERRAL, ERROR_DS_NAME_NOT_UNIQUE, ERROR_DS_NAME_REFERENCE_INVALID, ERROR_DS_NAME_TOO_LONG, ERROR_DS_NAME_TOO_MANY_PARTS, ERROR_DS_NAME_TYPE_UNKNOWN, ERROR_DS_NAME_UNPARSEABLE, ERROR_DS_NAME_VALUE_TOO_LONG, ERROR_DS_NAMING_MASTER_GC, ERROR_DS_NAMING_VIOLATION, ERROR_DS_NC_MUST_HAVE_NC_PARENT, ERROR_DS_NC_STILL_HAS_DSAS, ERROR_DS_NCNAME_MISSING_CR_REF, ERROR_DS_NCNAME_MUST_BE_NC, ERROR_DS_NO_ATTRIBUTE_OR_VALUE, ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN, ERROR_DS_NO_CHAINED_EVAL, ERROR_DS_NO_CHAINING, ERROR_DS_NO_CHECKPOINT_WITH_PDC, ERROR_DS_NO_CROSSREF_FOR_NC, ERROR_DS_NO_DELETED_NAME, ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS, ERROR_DS_NO_MORE_RIDS, ERROR_DS_NO_MSDS_INTID, ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NTDSA_OBJECT, ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC, ERROR_DS_NO_PARENT_OBJECT, ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION, ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA, ERROR_DS_NO_REF_DOMAIN, ERROR_DS_NO_REQUESTED_ATTS_FOUND, ERROR_DS_NO_RESULTS_RETURNED, ERROR_DS_NO_RIDS_ALLOCATED, ERROR_DS_NO_SERVER_OBJECT, ERROR_DS_NO_SUCH_OBJECT, ERROR_DS_NO_TREE_DELETE_ABOVE_NC, ERROR_DS_NON_ASQ_SEARCH, ERROR_DS_NON_BASE_SEARCH, ERROR_DS_NONEXISTENT_MAY_HAVE, ERROR_DS_NONEXISTENT_MUST_HAVE, ERROR_DS_NONEXISTENT_POSS_SUP, ERROR_DS_NONSAFE_SCHEMA_CHANGE, ERROR_DS_NOT_AN_OBJECT, ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC, ERROR_DS_NOT_CLOSEST, ERROR_DS_NOT_INSTALLED, ERROR_DS_NOT_ON_BACKLINK, ERROR_DS_NOT_SUPPORTED, ERROR_DS_NOT_SUPPORTED_SORT_ORDER, ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX, ERROR_DS_NTDSCRIPT_PROCESS_ERROR, ERROR_DS_NTDSCRIPT_SYNTAX_ERROR, ERROR_DS_OBJ_CLASS_NOT_DEFINED, ERROR_DS_OBJ_CLASS_NOT_SUBCLASS, ERROR_DS_OBJ_CLASS_VIOLATION, ERROR_DS_OBJ_GUID_EXISTS, ERROR_DS_OBJ_NOT_FOUND, ERROR_DS_OBJ_STRING_NAME_EXISTS, ERROR_DS_OBJ_TOO_LARGE, ERROR_DS_OBJECT_BEING_REMOVED, ERROR_DS_OBJECT_CLASS_REQUIRED, ERROR_DS_OBJECT_RESULTS_TOO_LARGE, ERROR_DS_OFFSET_RANGE_ERROR, ERROR_DS_OPERATIONS_ERROR, ERROR_DS_OUT_OF_SCOPE, ERROR_DS_OUT_OF_VERSION_STORE, ERROR_DS_PARAM_ERROR, ERROR_DS_PARENT_IS_AN_ALIAS, ERROR_DS_PDC_OPERATION_IN_PROGRESS, ERROR_DS_POLICY_NOT_KNOWN, ERROR_DS_PROTOCOL_ERROR, ERROR_DS_RANGE_CONSTRAINT, ERROR_DS_RDN_DOESNT_MATCH_SCHEMA, ERROR_DS_RECALCSCHEMA_FAILED, ERROR_DS_REFERRAL, ERROR_DS_REFERRAL_LIMIT_EXCEEDED, ERROR_DS_REFUSING_FSMO_ROLES, ERROR_DS_REMOTE_CROSSREF_OP_FAILED, ERROR_DS_REPL_LIFETIME_EXCEEDED, ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR, ERROR_DS_REPLICATOR_ONLY, ERROR_DS_RESERVED_LINK_ID, ERROR_DS_RIDMGR_INIT_ERROR, ERROR_DS_ROLE_NOT_VERIFIED, ERROR_DS_ROOT_CANT_BE_SUBREF, ERROR_DS_ROOT_MUST_BE_NC, ERROR_DS_ROOT_REQUIRES_CLASS_TOP, ERROR_DS_SAM_INIT_FAILURE, ERROR_DS_SAM_INIT_FAILURE_CONSOLE, ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY, ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD, ERROR_DS_SCHEMA_ALLOC_FAILED, ERROR_DS_SCHEMA_NOT_LOADED, ERROR_DS_SCHEMA_UPDATE_DISALLOWED, ERROR_DS_SEC_DESC_INVALID, ERROR_DS_SEC_DESC_TOO_SHORT, ERROR_DS_SECURITY_CHECKING_ERROR, ERROR_DS_SECURITY_ILLEGAL_MODIFY, ERROR_DS_SEMANTIC_ATT_TEST, ERROR_DS_SENSITIVE_GROUP_VIOLATION, ERROR_DS_SERVER_DOWN, ERROR_DS_SHUTTING_DOWN, ERROR_DS_SINGLE_USER_MODE_FAILED, ERROR_DS_SINGLE_VALUE_CONSTRAINT, ERROR_DS_SIZELIMIT_EXCEEDED, ERROR_DS_SORT_CONTROL_MISSING, ERROR_DS_SOURCE_AUDITING_NOT_ENABLED, ERROR_DS_SOURCE_DOMAIN_IN_FOREST, ERROR_DS_SRC_AND_DST_NC_IDENTICAL, ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH, ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER, ERROR_DS_SRC_GUID_MISMATCH, ERROR_DS_SRC_NAME_MISMATCH, ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER, ERROR_DS_SRC_SID_EXISTS_IN_FOREST, ERROR_DS_STRING_SD_CONVERSION_FAILED, ERROR_DS_STRONG_AUTH_REQUIRED, ERROR_DS_SUB_CLS_TEST_FAIL, ERROR_DS_SUBREF_MUST_HAVE_PARENT, ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD, ERROR_DS_SYNTAX_MISMATCH, ERROR_DS_THREAD_LIMIT_EXCEEDED, ERROR_DS_TIMELIMIT_EXCEEDED, ERROR_DS_TREE_DELETE_NOT_FINISHED, ERROR_DS_UNABLE_TO_SURRENDER_ROLES, ERROR_DS_UNAVAILABLE, ERROR_DS_UNAVAILABLE_CRIT_EXTENSION, ERROR_DS_UNICODEPWD_NOT_IN_QUOTES, ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_UNKNOWN_ERROR, ERROR_DS_UNKNOWN_OPERATION, ERROR_DS_UNWILLING_TO_PERFORM, ERROR_DS_USER_BUFFER_TO_SMALL, ERROR_DS_VERSION_CHECK_FAILURE, ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL, ERROR_DS_WRONG_LINKED_ATT_SYNTAX, ERROR_DS_WRONG_OM_OBJ_CLASS, ERROR_DUP_DOMAINNAME, ERROR_DUP_NAME, ERROR_DUPLICATE_SERVICE_NAME, ERROR_DUPLICATE_TAG, ERROR_DYNLINK_FROM_INVALID_RING, ERROR_EA_ACCESS_DENIED, ERROR_EA_FILE_CORRUPT, ERROR_EA_LIST_INCONSISTENT, ERROR_EA_TABLE_FULL, ERROR_EAS_DIDNT_FIT, ERROR_EAS_NOT_SUPPORTED, ERROR_EC_CIRCULAR_FORWARDING, ERROR_EC_CRED_NOT_FOUND, ERROR_EC_CREDSTORE_FULL, ERROR_EC_LOG_DISABLED, ERROR_EC_NO_ACTIVE_CHANNEL, ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE, ERROR_EFS_ALG_BLOB_TOO_BIG, ERROR_EFS_DISABLED, ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION, ERROR_EFS_SERVER_NOT_TRUSTED, ERROR_EFS_VERSION_NOT_SUPPORT, ERROR_ELEVATION_REQUIRED, ERROR_EMPTY, ERROR_ENCRYPTION_FAILED, ERROR_END_OF_MEDIA, ERROR_ENLISTMENT_NOT_FOUND, ERROR_ENLISTMENT_NOT_SUPERIOR, ERROR_ENVVAR_NOT_FOUND, ERROR_EOM_OVERFLOW, ERROR_ERRORS_ENCOUNTERED, ERROR_EVALUATION_EXPIRATION, ERROR_EVENT_DONE, ERROR_EVENT_PENDING, ERROR_EVENTLOG_CANT_START, ERROR_EVENTLOG_FILE_CHANGED, ERROR_EVENTLOG_FILE_CORRUPT, ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY, ERROR_EVT_CHANNEL_CANNOT_ACTIVATE, ERROR_EVT_CHANNEL_NOT_FOUND, ERROR_EVT_CONFIGURATION_ERROR, ERROR_EVT_EVENT_DEFINITION_NOT_FOUND, ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND, ERROR_EVT_FILTER_ALREADYSCOPED, ERROR_EVT_FILTER_INVARG, ERROR_EVT_FILTER_INVTEST, ERROR_EVT_FILTER_INVTYPE, ERROR_EVT_FILTER_NOTELTSET, ERROR_EVT_FILTER_OUT_OF_RANGE, ERROR_EVT_FILTER_PARSEERR, ERROR_EVT_FILTER_TOO_COMPLEX, ERROR_EVT_FILTER_UNEXPECTEDTOKEN, ERROR_EVT_FILTER_UNSUPPORTEDOP, ERROR_EVT_INVALID_CHANNEL_PATH, ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE, ERROR_EVT_INVALID_EVENT_DATA, ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL, ERROR_EVT_INVALID_PUBLISHER_NAME, ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE, ERROR_EVT_INVALID_QUERY, ERROR_EVT_MALFORMED_XML_TEXT, ERROR_EVT_MAX_INSERTS_REACHED, ERROR_EVT_MESSAGE_ID_NOT_FOUND, ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND, ERROR_EVT_MESSAGE_NOT_FOUND, ERROR_EVT_NON_VALIDATING_MSXML, ERROR_EVT_PUBLISHER_DISABLED, ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND, ERROR_EVT_QUERY_RESULT_INVALID_POSITION, ERROR_EVT_QUERY_RESULT_STALE, ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL, ERROR_EVT_UNRESOLVED_PARAMETER_INSERT, ERROR_EVT_UNRESOLVED_VALUE_INSERT, ERROR_EVT_VERSION_TOO_NEW, ERROR_EVT_VERSION_TOO_OLD, ERROR_EXCEPTION_IN_RESOURCE_CALL, ERROR_EXCEPTION_IN_SERVICE, ERROR_EXCL_SEM_ALREADY_OWNED, ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY, ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY, ERROR_EXE_MACHINE_TYPE_MISMATCH, ERROR_EXE_MARKED_INVALID, ERROR_EXTENDED_ERROR, ERROR_EXTRANEOUS_INFORMATION, ERROR_FAIL_I24, ERROR_FAIL_NOACTION_REBOOT, ERROR_FAIL_REBOOT_INITIATED, ERROR_FAIL_REBOOT_REQUIRED, ERROR_FAIL_RESTART, ERROR_FAIL_SHUTDOWN, ERROR_FAILED_DRIVER_ENTRY, ERROR_FAILED_SERVICE_CONTROLLER_CONNECT, ERROR_FATAL_APP_EXIT, ERROR_FILE_CHECKED_OUT, ERROR_FILE_CORRUPT, ERROR_FILE_ENCRYPTED, ERROR_FILE_EXISTS, ERROR_FILE_IDENTITY_NOT_PERSISTENT, ERROR_FILE_INVALID, ERROR_FILE_NOT_ENCRYPTED, ERROR_FILE_NOT_FOUND, ERROR_FILE_OFFLINE, ERROR_FILE_READ_ONLY, ERROR_FILE_SYSTEM_LIMITATION, ERROR_FILE_TOO_LARGE, ERROR_FILEMARK_DETECTED, ERROR_FILENAME_EXCED_RANGE, ERROR_FIRMWARE_UPDATED, ERROR_FLOAT_MULTIPLE_FAULTS, ERROR_FLOAT_MULTIPLE_TRAPS, ERROR_FLOATED_SECTION, ERROR_FLOPPY_BAD_REGISTERS, ERROR_FLOPPY_ID_MARK_NOT_FOUND, ERROR_FLOPPY_UNKNOWN_ERROR, ERROR_FLOPPY_VOLUME, ERROR_FLOPPY_WRONG_CYLINDER, ERROR_FLT_ALREADY_ENLISTED, ERROR_FLT_CBDQ_DISABLED, ERROR_FLT_CONTEXT_ALLOCATION_NOT_FOUND, ERROR_FLT_CONTEXT_ALREADY_DEFINED, ERROR_FLT_CONTEXT_ALREADY_LINKED, ERROR_FLT_DELETING_OBJECT, ERROR_FLT_DISALLOW_FAST_IO, ERROR_FLT_DO_NOT_ATTACH, ERROR_FLT_DO_NOT_DETACH, ERROR_FLT_DUPLICATE_ENTRY, ERROR_FLT_FILTER_NOT_FOUND, ERROR_FLT_FILTER_NOT_READY, ERROR_FLT_INSTANCE_ALTITUDE_COLLISION, ERROR_FLT_INSTANCE_NAME_COLLISION, ERROR_FLT_INSTANCE_NOT_FOUND, ERROR_FLT_INTERNAL_ERROR, ERROR_FLT_INVALID_ASYNCHRONOUS_REQUEST, ERROR_FLT_INVALID_CONTEXT_REGISTRATION, ERROR_FLT_INVALID_NAME_REQUEST, ERROR_FLT_IO_COMPLETE, ERROR_FLT_MUST_BE_NONPAGED_POOL, ERROR_FLT_NAME_CACHE_MISS, ERROR_FLT_NO_DEVICE_OBJECT, ERROR_FLT_NO_HANDLER_DEFINED, ERROR_FLT_NO_WAITER_FOR_REPLY, ERROR_FLT_NOT_INITIALIZED, ERROR_FLT_NOT_SAFE_TO_POST_OPERATION, ERROR_FLT_POST_OPERATION_CLEANUP, ERROR_FLT_VOLUME_ALREADY_MOUNTED, ERROR_FLT_VOLUME_NOT_FOUND, ERROR_FORMS_AUTH_REQUIRED, ERROR_FOUND_OUT_OF_SCOPE, ERROR_FS_DRIVER_REQUIRED, ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY, ERROR_FT_READ_RECOVERY_FROM_BACKUP, ERROR_FT_WRITE_RECOVERY, ERROR_FULL_BACKUP, ERROR_FULLSCREEN_MODE, ERROR_FUNCTION_FAILED, ERROR_FUNCTION_NOT_CALLED, ERROR_GEN_FAILURE, ERROR_GENERIC_COMMAND_FAILED, ERROR_GENERIC_NOT_MAPPED, ERROR_GLOBAL_ONLY_HOOK, ERROR_GRACEFUL_DISCONNECT, ERROR_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED, ERROR_GRAPHICS_ADAPTER_CHAIN_NOT_READY, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET, ERROR_GRAPHICS_ADAPTER_WAS_RESET, ERROR_GRAPHICS_ALLOCATION_BUSY, ERROR_GRAPHICS_ALLOCATION_CLOSED, ERROR_GRAPHICS_ALLOCATION_CONTENT_LOST, ERROR_GRAPHICS_ALLOCATION_INVALID, ERROR_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION, ERROR_GRAPHICS_CANNOTCOLORCONVERT, ERROR_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN, ERROR_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION, ERROR_GRAPHICS_CANT_LOCK_MEMORY, ERROR_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION, ERROR_GRAPHICS_CHAINLINKS_NOT_ENUMERATED, ERROR_GRAPHICS_CHAINLINKS_NOT_POWERED_ON, ERROR_GRAPHICS_CHAINLINKS_NOT_STARTED, ERROR_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED, ERROR_GRAPHICS_CLIENTVIDPN_NOT_SET, ERROR_GRAPHICS_COPP_NOT_SUPPORTED, ERROR_GRAPHICS_DATASET_IS_EMPTY, ERROR_GRAPHICS_DDCCI_CURRENT_CURRENT_VALUE_GREATER_THAN_MAXIMUM_VALUE, ERROR_GRAPHICS_DDCCI_INVALID_DATA, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH, ERROR_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE, ERROR_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED, ERROR_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP, ERROR_GRAPHICS_DRIVER_MISMATCH, ERROR_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION, ERROR_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET, ERROR_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET, ERROR_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED, ERROR_GRAPHICS_GPU_EXCEPTION_ON_DEVICE, ERROR_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST, ERROR_GRAPHICS_I2C_ERROR_RECEIVING_DATA, ERROR_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA, ERROR_GRAPHICS_I2C_NOT_SUPPORTED, ERROR_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT, ERROR_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE, ERROR_GRAPHICS_INSUFFICIENT_DMA_BUFFER, ERROR_GRAPHICS_INTERNAL_ERROR, ERROR_GRAPHICS_INVALID_ACTIVE_REGION, ERROR_GRAPHICS_INVALID_ALLOCATION_HANDLE, ERROR_GRAPHICS_INVALID_ALLOCATION_INSTANCE, ERROR_GRAPHICS_INVALID_ALLOCATION_USAGE, ERROR_GRAPHICS_INVALID_CLIENT_TYPE, ERROR_GRAPHICS_INVALID_COLORBASIS, ERROR_GRAPHICS_INVALID_COPYPROTECTION_TYPE, ERROR_GRAPHICS_INVALID_DISPLAY_ADAPTER, ERROR_GRAPHICS_INVALID_DRIVER_MODEL, ERROR_GRAPHICS_INVALID_FREQUENCY, ERROR_GRAPHICS_INVALID_GAMMA_RAMP, ERROR_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM, ERROR_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET, ERROR_GRAPHICS_INVALID_MONITOR_SOURCE_MODE, ERROR_GRAPHICS_INVALID_MONITOR_SOURCEMODESET, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTOR, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTORSET, ERROR_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION, ERROR_GRAPHICS_INVALID_PATH_CONTENT_TYPE, ERROR_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL, ERROR_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE, ERROR_GRAPHICS_INVALID_PIXELFORMAT, ERROR_GRAPHICS_INVALID_PIXELVALUEACCESSMODE, ERROR_GRAPHICS_INVALID_POINTER, ERROR_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE, ERROR_GRAPHICS_INVALID_SCANLINE_ORDERING, ERROR_GRAPHICS_INVALID_STRIDE, ERROR_GRAPHICS_INVALID_TOTAL_REGION, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE, ERROR_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET, ERROR_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET, ERROR_GRAPHICS_INVALID_VIDPN, ERROR_GRAPHICS_INVALID_VIDPN_PRESENT_PATH, ERROR_GRAPHICS_INVALID_VIDPN_SOURCEMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE, ERROR_GRAPHICS_INVALID_VIDPN_TARGETMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON, ERROR_GRAPHICS_INVALID_VISIBLEREGION_SIZE, ERROR_GRAPHICS_LEADLINK_NOT_ENUMERATED, ERROR_GRAPHICS_LEADLINK_START_DEFERRED, ERROR_GRAPHICS_MAX_NUM_PATHS_REACHED, ERROR_GRAPHICS_MCA_INTERNAL_ERROR, ERROR_GRAPHICS_MCA_INVALID_CAPABILITIES_STRING, ERROR_GRAPHICS_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_GRAPHICS_MCA_INVALID_VCP_VERSION, ERROR_GRAPHICS_MCA_MCCS_VERSION_MISMATCH, ERROR_GRAPHICS_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_GRAPHICS_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_GRAPHICS_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED, ERROR_GRAPHICS_MODE_ALREADY_IN_MODESET, ERROR_GRAPHICS_MODE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MODE_NOT_IN_MODESET, ERROR_GRAPHICS_MODE_NOT_PINNED, ERROR_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER, ERROR_GRAPHICS_MONITOR_NO_LONGER_EXISTS, ERROR_GRAPHICS_MONITOR_NOT_CONNECTED, ERROR_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET, ERROR_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET, ERROR_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED, ERROR_GRAPHICS_NO_ACTIVE_VIDPN, ERROR_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS, ERROR_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET, ERROR_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME, ERROR_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT, ERROR_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE, ERROR_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET, ERROR_GRAPHICS_NO_PREFERRED_MODE, ERROR_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN, ERROR_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY, ERROR_GRAPHICS_NO_VIDEO_MEMORY, ERROR_GRAPHICS_NO_VIDPNMGR, ERROR_GRAPHICS_NOT_A_LINKED_ADAPTER, ERROR_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER, ERROR_GRAPHICS_NOT_POST_DEVICE_DRIVER, ERROR_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED, ERROR_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE, ERROR_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_HDCP_SRM_NEVER_SET, ERROR_GRAPHICS_OPM_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS, ERROR_GRAPHICS_OPM_INVALID_HANDLE, ERROR_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_SRM, ERROR_GRAPHICS_OPM_NO_VIDEO_OUTPUTS_EXIST, ERROR_GRAPHICS_OPM_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP, ERROR_GRAPHICS_OPM_RESOLUTION_TOO_HIGH, ERROR_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_SPANNING_MODE_ENABLED, ERROR_GRAPHICS_OPM_THEATER_MODE_ENABLED, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_NO_LONGER_EXISTS, ERROR_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL, ERROR_GRAPHICS_PARTIAL_DATA_POPULATED, ERROR_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED, ERROR_GRAPHICS_PATH_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET, ERROR_GRAPHICS_POLLING_TOO_FREQUENTLY, ERROR_GRAPHICS_PRESENT_DENIED, ERROR_GRAPHICS_PRESENT_MODE_CHANGED, ERROR_GRAPHICS_PRESENT_OCCLUDED, ERROR_GRAPHICS_PVP_HFS_FAILED, ERROR_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH, ERROR_GRAPHICS_RESOURCES_NOT_RELATED, ERROR_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_SOURCE_ALREADY_IN_SET, ERROR_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED, ERROR_GRAPHICS_STALE_MODESET, ERROR_GRAPHICS_STALE_VIDPN_TOPOLOGY, ERROR_GRAPHICS_START_DEFERRED, ERROR_GRAPHICS_TARGET_ALREADY_IN_SET, ERROR_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_TARGET_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_TOO_MANY_REFERENCES, ERROR_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED, ERROR_GRAPHICS_TRY_AGAIN_LATER, ERROR_GRAPHICS_TRY_AGAIN_NOW, ERROR_GRAPHICS_UAB_NOT_SUPPORTED, ERROR_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS, ERROR_GRAPHICS_UNKNOWN_CHILD_STATUS, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED, ERROR_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES, ERROR_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_SOURCE_IN_USE, ERROR_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED, ERROR_GRAPHICS_WRONG_ALLOCATION_DEVICE, ERROR_GROUP_EXISTS, ERROR_GROUP_NOT_AVAILABLE, ERROR_GROUP_NOT_FOUND, ERROR_GROUP_NOT_ONLINE, ERROR_GUID_SUBSTITUTION_MADE, ERROR_HANDLE_DISK_FULL, ERROR_HANDLE_EOF, ERROR_HANDLE_NO_LONGER_VALID, ERROR_HANDLES_CLOSED, ERROR_HIBERNATED, ERROR_HIBERNATION_FAILURE, ERROR_HOOK_NEEDS_HMOD, ERROR_HOOK_NOT_INSTALLED, ERROR_HOOK_TYPE_NOT_ALLOWED, ERROR_HOST_DOWN, ERROR_HOST_NODE_NOT_AVAILABLE, ERROR_HOST_NODE_NOT_GROUP_OWNER, ERROR_HOST_NODE_NOT_RESOURCE_OWNER, ERROR_HOST_UNREACHABLE, ERROR_HOTKEY_ALREADY_REGISTERED, ERROR_HOTKEY_NOT_REGISTERED, ERROR_HUNG_DISPLAY_DRIVER_THREAD, ERROR_HWNDS_HAVE_DIFF_PARENT, ERROR_ICM_NOT_ENABLED, ERROR_IEPORT_FULL, ERROR_ILL_FORMED_PASSWORD, ERROR_ILLEGAL_CHARACTER, ERROR_ILLEGAL_DLL_RELOCATION, ERROR_ILLEGAL_ELEMENT_ADDRESS, ERROR_ILLEGAL_FLOAT_CONTEXT, ERROR_IMAGE_MACHINE_TYPE_MISMATCH, ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE, ERROR_IMAGE_NOT_AT_BASE, ERROR_IMPLEMENTATION_LIMIT, ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED, ERROR_INC_BACKUP, ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE, ERROR_INCOMPATIBLE_SERVICE_SID_TYPE, ERROR_INCORRECT_ADDRESS, ERROR_INCORRECT_SIZE, ERROR_INDEX_ABSENT, ERROR_INDIGENOUS_TYPE, ERROR_INDOUBT_TRANSACTIONS_EXIST, ERROR_INFLOOP_IN_RELOC_CHAIN, ERROR_INSTALL_ALREADY_RUNNING, ERROR_INSTALL_FAILURE, ERROR_INSTALL_LANGUAGE_UNSUPPORTED, ERROR_INSTALL_LOG_FAILURE, ERROR_INSTALL_NOTUSED, ERROR_INSTALL_PACKAGE_INVALID, ERROR_INSTALL_PACKAGE_OPEN_FAILED, ERROR_INSTALL_PACKAGE_REJECTED, ERROR_INSTALL_PACKAGE_VERSION, ERROR_INSTALL_PLATFORM_UNSUPPORTED, ERROR_INSTALL_REMOTE_DISALLOWED, ERROR_INSTALL_REMOTE_PROHIBITED, ERROR_INSTALL_SERVICE_FAILURE, ERROR_INSTALL_SERVICE_SAFEBOOT, ERROR_INSTALL_SOURCE_ABSENT, ERROR_INSTALL_SUSPEND, ERROR_INSTALL_TEMP_UNWRITABLE, ERROR_INSTALL_TRANSFORM_FAILURE, ERROR_INSTALL_TRANSFORM_REJECTED, ERROR_INSTALL_UI_FAILURE, ERROR_INSTALL_USEREXIT, ERROR_INSTRUCTION_MISALIGNMENT, ERROR_INSUFFICIENT_BUFFER, ERROR_INSUFFICIENT_LOGON_INFO, ERROR_INSUFFICIENT_POWER, ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE, ERROR_INTERNAL_DB_CORRUPTION, ERROR_INTERNAL_DB_ERROR, ERROR_INTERNAL_ERROR, ERROR_INTERRUPT_STILL_CONNECTED, ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED, ERROR_INVALID_ACCEL_HANDLE, ERROR_INVALID_ACCESS, ERROR_INVALID_ACCOUNT_NAME, ERROR_INVALID_ACL, ERROR_INVALID_ADDRESS, ERROR_INVALID_AT_INTERRUPT_TIME, ERROR_INVALID_BLOCK, ERROR_INVALID_BLOCK_LENGTH, ERROR_INVALID_CATEGORY, ERROR_INVALID_CLEANER, ERROR_INVALID_CLUSTER_IPV6_ADDRESS, ERROR_INVALID_CMM, ERROR_INVALID_COLORINDEX, ERROR_INVALID_COLORSPACE, ERROR_INVALID_COMBOBOX_MESSAGE, ERROR_INVALID_COMMAND_LINE, ERROR_INVALID_COMPUTERNAME, ERROR_INVALID_CRUNTIME_PARAMETER, ERROR_INVALID_CURSOR_HANDLE, ERROR_INVALID_DATA, ERROR_INVALID_DATATYPE, ERROR_INVALID_DEVICE_OBJECT_PARAMETER, ERROR_INVALID_DLL, ERROR_INVALID_DOMAIN_ROLE, ERROR_INVALID_DOMAIN_STATE, ERROR_INVALID_DOMAINNAME, ERROR_INVALID_DRIVE, ERROR_INVALID_DRIVE_OBJECT, ERROR_INVALID_DWP_HANDLE, ERROR_INVALID_EA_HANDLE, ERROR_INVALID_EA_NAME, ERROR_INVALID_EDIT_HEIGHT, ERROR_INVALID_ENVIRONMENT, ERROR_INVALID_EVENT_COUNT, ERROR_INVALID_EVENTNAME, ERROR_INVALID_EXE_SIGNATURE, ERROR_INVALID_FIELD, ERROR_INVALID_FILTER_PROC, ERROR_INVALID_FLAG_NUMBER, ERROR_INVALID_FLAGS, ERROR_INVALID_FORM_NAME, ERROR_INVALID_FORM_SIZE, ERROR_INVALID_FUNCTION, ERROR_INVALID_GROUP_ATTRIBUTES, ERROR_INVALID_GROUPNAME, ERROR_INVALID_GW_COMMAND, ERROR_INVALID_HANDLE, ERROR_INVALID_HANDLE_STATE, ERROR_INVALID_HOOK_FILTER, ERROR_INVALID_HOOK_HANDLE, ERROR_INVALID_HW_PROFILE, ERROR_INVALID_ICON_HANDLE, ERROR_INVALID_ID_AUTHORITY, ERROR_INVALID_IMAGE_HASH, ERROR_INVALID_IMPORT_OF_NON_DLL, ERROR_INVALID_INDEX, ERROR_INVALID_KEYBOARD_HANDLE, ERROR_INVALID_LABEL, ERROR_INVALID_LB_MESSAGE, ERROR_INVALID_LDT_DESCRIPTOR, ERROR_INVALID_LDT_OFFSET, ERROR_INVALID_LDT_SIZE, ERROR_INVALID_LEVEL, ERROR_INVALID_LIBRARY, ERROR_INVALID_LIST_FORMAT, ERROR_INVALID_LOGON_HOURS, ERROR_INVALID_LOGON_TYPE, ERROR_INVALID_MEDIA, ERROR_INVALID_MEDIA_POOL, ERROR_INVALID_MEMBER, ERROR_INVALID_MENU_HANDLE, ERROR_INVALID_MESSAGE, ERROR_INVALID_MESSAGEDEST, ERROR_INVALID_MESSAGENAME, ERROR_INVALID_MINALLOCSIZE, ERROR_INVALID_MODULETYPE, ERROR_INVALID_MONITOR_HANDLE, ERROR_INVALID_MSGBOX_STYLE, ERROR_INVALID_NAME, ERROR_INVALID_NETNAME, ERROR_INVALID_OPERATION, ERROR_INVALID_OPERATION_ON_QUORUM, ERROR_INVALID_OPLOCK_PROTOCOL, ERROR_INVALID_ORDINAL, ERROR_INVALID_OWNER, ERROR_INVALID_PARAMETER, ERROR_INVALID_PASSWORD, ERROR_INVALID_PASSWORDNAME, ERROR_INVALID_PATCH_XML, ERROR_INVALID_PIXEL_FORMAT, ERROR_INVALID_PLUGPLAY_DEVICE_PATH, ERROR_INVALID_PORT_ATTRIBUTES, ERROR_INVALID_PRIMARY_GROUP, ERROR_INVALID_PRINT_MONITOR, ERROR_INVALID_PRINTER_COMMAND, ERROR_INVALID_PRINTER_NAME, ERROR_INVALID_PRINTER_STATE, ERROR_INVALID_PRIORITY, ERROR_INVALID_PROFILE, ERROR_INVALID_QUOTA_LOWER, ERROR_INVALID_REPARSE_DATA, ERROR_INVALID_SCROLLBAR_RANGE, ERROR_INVALID_SECURITY_DESCR, ERROR_INVALID_SEGDPL, ERROR_INVALID_SEGMENT_NUMBER, ERROR_INVALID_SEPARATOR_FILE, ERROR_INVALID_SERVER_STATE, ERROR_INVALID_SERVICE_ACCOUNT, ERROR_INVALID_SERVICE_CONTROL, ERROR_INVALID_SERVICE_LOCK, ERROR_INVALID_SERVICENAME, ERROR_INVALID_SHARENAME, ERROR_INVALID_SHOWWIN_COMMAND, ERROR_INVALID_SID, ERROR_INVALID_SIGNAL_NUMBER, ERROR_INVALID_SPI_VALUE, ERROR_INVALID_STACKSEG, ERROR_INVALID_STARTING_CODESEG, ERROR_INVALID_STATE, ERROR_INVALID_SUB_AUTHORITY, ERROR_INVALID_TABLE, ERROR_INVALID_TARGET_HANDLE, ERROR_INVALID_TASK_INDEX, ERROR_INVALID_TASK_NAME, ERROR_INVALID_THREAD_ID, ERROR_INVALID_TIME, ERROR_INVALID_TRANSACTION, ERROR_INVALID_TRANSFORM, ERROR_INVALID_UNWIND_TARGET, ERROR_INVALID_USER_BUFFER, ERROR_INVALID_VARIANT, ERROR_INVALID_VERIFY_SWITCH, ERROR_INVALID_WINDOW_HANDLE, ERROR_INVALID_WINDOW_STYLE, ERROR_INVALID_WORKSTATION, ERROR_IO_DEVICE, ERROR_IO_INCOMPLETE, ERROR_IO_PENDING, ERROR_IO_PRIVILEGE_FAILED, ERROR_IO_REISSUE_AS_CACHED, ERROR_IOPL_NOT_ENABLED, ERROR_IP_ADDRESS_CONFLICT1, ERROR_IP_ADDRESS_CONFLICT2, ERROR_IPSEC_BAD_SPI, ERROR_IPSEC_CLEAR_TEXT_DROP, ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND, ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND, ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND, ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED, ERROR_IPSEC_IKE_ATTRIB_FAIL, ERROR_IPSEC_IKE_AUTH_FAIL, ERROR_IPSEC_IKE_BENIGN_REINIT, ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH, ERROR_IPSEC_IKE_CGA_AUTH_FAILED, ERROR_IPSEC_IKE_CRL_FAILED, ERROR_IPSEC_IKE_DECRYPT, ERROR_IPSEC_IKE_DH_FAIL, ERROR_IPSEC_IKE_DH_FAILURE, ERROR_IPSEC_IKE_DOS_COOKIE_SENT, ERROR_IPSEC_IKE_DROP_NO_RESPONSE, ERROR_IPSEC_IKE_ENCRYPT, ERROR_IPSEC_IKE_ERROR, ERROR_IPSEC_IKE_FAILQUERYSSP, ERROR_IPSEC_IKE_FAILSSPINIT, ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR, ERROR_IPSEC_IKE_GETSPIFAIL, ERROR_IPSEC_IKE_INVALID_AUTH_ALG, ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD, ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN, ERROR_IPSEC_IKE_INVALID_CERT_TYPE, ERROR_IPSEC_IKE_INVALID_COOKIE, ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG, ERROR_IPSEC_IKE_INVALID_FILTER, ERROR_IPSEC_IKE_INVALID_GROUP, ERROR_IPSEC_IKE_INVALID_HASH, ERROR_IPSEC_IKE_INVALID_HASH_ALG, ERROR_IPSEC_IKE_INVALID_HASH_SIZE, ERROR_IPSEC_IKE_INVALID_HEADER, ERROR_IPSEC_IKE_INVALID_KEY_USAGE, ERROR_IPSEC_IKE_INVALID_MM_FOR_QM, ERROR_IPSEC_IKE_INVALID_PAYLOAD, ERROR_IPSEC_IKE_INVALID_POLICY, ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY, ERROR_IPSEC_IKE_INVALID_SIG, ERROR_IPSEC_IKE_INVALID_SIGNATURE, ERROR_IPSEC_IKE_INVALID_SITUATION, ERROR_IPSEC_IKE_KERBEROS_ERROR, ERROR_IPSEC_IKE_LOAD_FAILED, ERROR_IPSEC_IKE_LOAD_SOFT_SA, ERROR_IPSEC_IKE_MM_ACQUIRE_DROP, ERROR_IPSEC_IKE_MM_DELAY_DROP, ERROR_IPSEC_IKE_MM_EXPIRED, ERROR_IPSEC_IKE_MM_LIMIT, ERROR_IPSEC_IKE_NEG_STATUS_BEGIN, ERROR_IPSEC_IKE_NEG_STATUS_END, ERROR_IPSEC_IKE_NEGOTIATION_DISABLED, ERROR_IPSEC_IKE_NEGOTIATION_PENDING, ERROR_IPSEC_IKE_NO_CERT, ERROR_IPSEC_IKE_NO_MM_POLICY, ERROR_IPSEC_IKE_NO_PEER_CERT, ERROR_IPSEC_IKE_NO_POLICY, ERROR_IPSEC_IKE_NO_PRIVATE_KEY, ERROR_IPSEC_IKE_NO_PUBLIC_KEY, ERROR_IPSEC_IKE_NOTCBPRIV, ERROR_IPSEC_IKE_OUT_OF_MEMORY, ERROR_IPSEC_IKE_PEER_CRL_FAILED, ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID, ERROR_IPSEC_IKE_POLICY_CHANGE, ERROR_IPSEC_IKE_POLICY_MATCH, ERROR_IPSEC_IKE_PROCESS_ERR, ERROR_IPSEC_IKE_PROCESS_ERR_CERT, ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ, ERROR_IPSEC_IKE_PROCESS_ERR_DELETE, ERROR_IPSEC_IKE_PROCESS_ERR_HASH, ERROR_IPSEC_IKE_PROCESS_ERR_ID, ERROR_IPSEC_IKE_PROCESS_ERR_KE, ERROR_IPSEC_IKE_PROCESS_ERR_NATOA, ERROR_IPSEC_IKE_PROCESS_ERR_NONCE, ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY, ERROR_IPSEC_IKE_PROCESS_ERR_PROP, ERROR_IPSEC_IKE_PROCESS_ERR_SA, ERROR_IPSEC_IKE_PROCESS_ERR_SIG, ERROR_IPSEC_IKE_PROCESS_ERR_TRANS, ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR, ERROR_IPSEC_IKE_QM_ACQUIRE_DROP, ERROR_IPSEC_IKE_QM_DELAY_DROP, ERROR_IPSEC_IKE_QM_EXPIRED, ERROR_IPSEC_IKE_QM_LIMIT, ERROR_IPSEC_IKE_QUEUE_DROP_MM, ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM, ERROR_IPSEC_IKE_RPC_DELETE, ERROR_IPSEC_IKE_SA_DELETED, ERROR_IPSEC_IKE_SA_REAPED, ERROR_IPSEC_IKE_SECLOADFAIL, ERROR_IPSEC_IKE_SHUTTING_DOWN, ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN, ERROR_IPSEC_IKE_SRVACQFAIL, ERROR_IPSEC_IKE_SRVQUERYCRED, ERROR_IPSEC_IKE_TIMED_OUT, ERROR_IPSEC_IKE_TOO_MANY_FILTERS, ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID, ERROR_IPSEC_IKE_UNKNOWN_DOI, ERROR_IPSEC_IKE_UNSUPPORTED_ID, ERROR_IPSEC_INTEGRITY_CHECK_FAILED, ERROR_IPSEC_INVALID_PACKET, ERROR_IPSEC_MM_AUTH_EXISTS, ERROR_IPSEC_MM_AUTH_IN_USE, ERROR_IPSEC_MM_AUTH_NOT_FOUND, ERROR_IPSEC_MM_AUTH_PENDING_DELETION, ERROR_IPSEC_MM_FILTER_EXISTS, ERROR_IPSEC_MM_FILTER_NOT_FOUND, ERROR_IPSEC_MM_FILTER_PENDING_DELETION, ERROR_IPSEC_MM_POLICY_EXISTS, ERROR_IPSEC_MM_POLICY_IN_USE, ERROR_IPSEC_MM_POLICY_NOT_FOUND, ERROR_IPSEC_MM_POLICY_PENDING_DELETION, ERROR_IPSEC_QM_POLICY_EXISTS, ERROR_IPSEC_QM_POLICY_IN_USE, ERROR_IPSEC_QM_POLICY_NOT_FOUND, ERROR_IPSEC_QM_POLICY_PENDING_DELETION, ERROR_IPSEC_REPLAY_CHECK_FAILED, ERROR_IPSEC_SA_LIFETIME_EXPIRED, ERROR_IPSEC_TRANSPORT_FILTER_EXISTS, ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND, ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION, ERROR_IPSEC_TUNNEL_FILTER_EXISTS, ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND, ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION, ERROR_IPSEC_WRONG_SA, ERROR_IRQ_BUSY, ERROR_IS_JOIN_PATH, ERROR_IS_JOIN_TARGET, ERROR_IS_JOINED, ERROR_IS_SUBST_PATH, ERROR_IS_SUBST_TARGET, ERROR_IS_SUBSTED, ERROR_ITERATED_DATA_EXCEEDS_64k, ERROR_JOIN_TO_JOIN, ERROR_JOIN_TO_SUBST, ERROR_JOURNAL_DELETE_IN_PROGRESS, ERROR_JOURNAL_ENTRY_DELETED, ERROR_JOURNAL_HOOK_SET, ERROR_JOURNAL_NOT_ACTIVE, ERROR_KERNEL_APC, ERROR_KEY_DELETED, ERROR_KEY_HAS_CHILDREN, ERROR_KM_DRIVER_BLOCKED, ERROR_LABEL_TOO_LONG, ERROR_LAST_ADMIN, ERROR_LB_WITHOUT_TABSTOPS, ERROR_LIBRARY_FULL, ERROR_LIBRARY_OFFLINE, ERROR_LICENSE_QUOTA_EXCEEDED, ERROR_LISTBOX_ID_NOT_FOUND, ERROR_LM_CROSS_ENCRYPTION_REQUIRED, ERROR_LOCAL_USER_SESSION_KEY, ERROR_LOCK_FAILED, ERROR_LOCK_VIOLATION, ERROR_LOCKED, ERROR_LOG_APPENDED_FLUSH_FAILED, ERROR_LOG_ARCHIVE_IN_PROGRESS, ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS, ERROR_LOG_BLOCK_INCOMPLETE, ERROR_LOG_BLOCK_INVALID, ERROR_LOG_BLOCK_VERSION, ERROR_LOG_BLOCKS_EXHAUSTED, ERROR_LOG_CANT_DELETE, ERROR_LOG_CLIENT_ALREADY_REGISTERED, ERROR_LOG_CLIENT_NOT_REGISTERED, ERROR_LOG_CONTAINER_LIMIT_EXCEEDED, ERROR_LOG_CONTAINER_OPEN_FAILED, ERROR_LOG_CONTAINER_READ_FAILED, ERROR_LOG_CONTAINER_STATE_INVALID, ERROR_LOG_CONTAINER_WRITE_FAILED, ERROR_LOG_CORRUPTION_DETECTED, ERROR_LOG_DEDICATED, ERROR_LOG_EPHEMERAL, ERROR_LOG_FILE_FULL, ERROR_LOG_FULL, ERROR_LOG_FULL_HANDLER_IN_PROGRESS, ERROR_LOG_GROWTH_FAILED, ERROR_LOG_HARD_ERROR, ERROR_LOG_INCONSISTENT_SECURITY, ERROR_LOG_INVALID_RANGE, ERROR_LOG_METADATA_CORRUPT, ERROR_LOG_METADATA_FLUSH_FAILED, ERROR_LOG_METADATA_INCONSISTENT, ERROR_LOG_METADATA_INVALID, ERROR_LOG_MULTIPLEXED, ERROR_LOG_NO_RESTART, ERROR_LOG_NOT_ENOUGH_CONTAINERS, ERROR_LOG_PINNED, ERROR_LOG_PINNED_ARCHIVE_TAIL, ERROR_LOG_PINNED_RESERVATION, ERROR_LOG_POLICY_ALREADY_INSTALLED, ERROR_LOG_POLICY_CONFLICT, ERROR_LOG_POLICY_INVALID, ERROR_LOG_POLICY_NOT_INSTALLED, ERROR_LOG_READ_CONTEXT_INVALID, ERROR_LOG_READ_MODE_INVALID, ERROR_LOG_RECORD_NONEXISTENT, ERROR_LOG_RECORDS_RESERVED_INVALID, ERROR_LOG_RESERVATION_INVALID, ERROR_LOG_RESIZE_INVALID_SIZE, ERROR_LOG_RESTART_INVALID, ERROR_LOG_SECTOR_INVALID, ERROR_LOG_SECTOR_PARITY_INVALID, ERROR_LOG_SECTOR_REMAPPED, ERROR_LOG_SPACE_RESERVED_INVALID, ERROR_LOG_START_OF_LOG, ERROR_LOG_STATE_INVALID, ERROR_LOG_TAIL_INVALID, ERROR_LOGIN_TIME_RESTRICTION, ERROR_LOGIN_WKSTA_RESTRICTION, ERROR_LOGON_FAILURE, ERROR_LOGON_NOT_GRANTED, ERROR_LOGON_SERVER_CONFLICT, ERROR_LOGON_SESSION_COLLISION, ERROR_LOGON_SESSION_EXISTS, ERROR_LOGON_TYPE_NOT_GRANTED, ERROR_LONGJUMP, ERROR_LOST_WRITEBEHIND_DATA, ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR, ERROR_LUIDS_EXHAUSTED, ERROR_MACHINE_LOCKED, ERROR_MAGAZINE_NOT_PRESENT, ERROR_MALFORMED_SUBSTITUTION_STRING, ERROR_MAPPED_ALIGNMENT, ERROR_MARSHALL_OVERFLOW, ERROR_MAX_SESSIONS_REACHED, ERROR_MAX_THRDS_REACHED, ERROR_MCA_EXCEPTION, ERROR_MCA_INTERNAL_ERROR, ERROR_MCA_INVALID_CAPABILITIES_STRING, ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_MCA_INVALID_VCP_VERSION, ERROR_MCA_MCCS_VERSION_MISMATCH, ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_MCA_OCCURED, ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_MEDIA_CHANGED, ERROR_MEDIA_CHECK, ERROR_MEDIA_INCOMPATIBLE, ERROR_MEDIA_NOT_AVAILABLE, ERROR_MEDIA_OFFLINE, ERROR_MEDIA_UNAVAILABLE, ERROR_MEDIUM_NOT_ACCESSIBLE, ERROR_MEMBER_IN_ALIAS, ERROR_MEMBER_IN_GROUP, ERROR_MEMBER_NOT_IN_ALIAS, ERROR_MEMBER_NOT_IN_GROUP, ERROR_MEMBERS_PRIMARY_GROUP, ERROR_MEMORY_HARDWARE, ERROR_MENU_ITEM_NOT_FOUND, ERROR_MESSAGE_EXCEEDS_MAX_SIZE, ERROR_MESSAGE_SYNC_ONLY, ERROR_META_EXPANSION_TOO_LONG, ERROR_METAFILE_NOT_SUPPORTED, ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION, ERROR_MISSING_SYSTEMFILE, ERROR_MOD_NOT_FOUND, ERROR_MONITOR_INVALID_DESCRIPTOR_CHECKSUM, ERROR_MONITOR_INVALID_DETAILED_TIMING_BLOCK, ERROR_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK, ERROR_MONITOR_INVALID_STANDARD_TIMING_BLOCK, ERROR_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK, ERROR_MONITOR_NO_DESCRIPTOR, ERROR_MONITOR_NO_MORE_DESCRIPTOR_DATA, ERROR_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT, ERROR_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED, ERROR_MORE_DATA, ERROR_MORE_WRITES, ERROR_MOUNT_POINT_NOT_RESOLVED, ERROR_MP_PROCESSOR_MISMATCH, ERROR_MR_MID_NOT_FOUND, ERROR_MUI_FILE_NOT_FOUND, ERROR_MUI_FILE_NOT_LOADED, ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME, ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED, ERROR_MUI_INVALID_FILE, ERROR_MUI_INVALID_LOCALE_NAME, ERROR_MUI_INVALID_RC_CONFIG, ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME, ERROR_MULTIPLE_FAULT_VIOLATION, ERROR_MUTANT_LIMIT_EXCEEDED, ERROR_MUTUAL_AUTH_FAILED, ERROR_NDIS_ADAPTER_NOT_FOUND, ERROR_NDIS_ADAPTER_NOT_READY, ERROR_NDIS_ADAPTER_REMOVED, ERROR_NDIS_ALREADY_MAPPED, ERROR_NDIS_BAD_CHARACTERISTICS, ERROR_NDIS_BAD_VERSION, ERROR_NDIS_BUFFER_TOO_SHORT, ERROR_NDIS_DEVICE_FAILED, ERROR_NDIS_DOT11_AUTO_CONFIG_ENABLED, ERROR_NDIS_DOT11_MEDIA_IN_USE, ERROR_NDIS_DOT11_POWER_STATE_INVALID, ERROR_NDIS_ERROR_READING_FILE, ERROR_NDIS_FILE_NOT_FOUND, ERROR_NDIS_GROUP_ADDRESS_IN_USE, ERROR_NDIS_INDICATION_REQUIRED, ERROR_NDIS_INTERFACE_CLOSING, ERROR_NDIS_INTERFACE_NOT_FOUND, ERROR_NDIS_INVALID_ADDRESS, ERROR_NDIS_INVALID_DATA, ERROR_NDIS_INVALID_DEVICE_REQUEST, ERROR_NDIS_INVALID_LENGTH, ERROR_NDIS_INVALID_OID, ERROR_NDIS_INVALID_PACKET, ERROR_NDIS_INVALID_PORT, ERROR_NDIS_INVALID_PORT_STATE, ERROR_NDIS_LOW_POWER_STATE, ERROR_NDIS_MEDIA_DISCONNECTED, ERROR_NDIS_MULTICAST_EXISTS, ERROR_NDIS_MULTICAST_FULL, ERROR_NDIS_MULTICAST_NOT_FOUND, ERROR_NDIS_NOT_SUPPORTED, ERROR_NDIS_OPEN_FAILED, ERROR_NDIS_PAUSED, ERROR_NDIS_REQUEST_ABORTED, ERROR_NDIS_RESET_IN_PROGRESS, ERROR_NDIS_RESOURCE_CONFLICT, ERROR_NDIS_UNSUPPORTED_MEDIA, ERROR_NDIS_UNSUPPORTED_REVISION, ERROR_NEGATIVE_SEEK, ERROR_NESTING_NOT_ALLOWED, ERROR_NET_OPEN_FAILED, ERROR_NET_WRITE_FAULT, ERROR_NETLOGON_NOT_STARTED, ERROR_NETNAME_DELETED, ERROR_NETWORK_ACCESS_DENIED, ERROR_NETWORK_BUSY, ERROR_NETWORK_NOT_AVAILABLE, ERROR_NETWORK_UNREACHABLE, ERROR_NO_ASSOCIATION, ERROR_NO_BROWSER_SERVERS_FOUND, ERROR_NO_CALLBACK_ACTIVE, ERROR_NO_DATA, ERROR_NO_DATA_DETECTED, ERROR_NO_EFS, ERROR_NO_EVENT_PAIR, ERROR_NO_GUID_TRANSLATION, ERROR_NO_IMPERSONATION_TOKEN, ERROR_NO_INHERITANCE, ERROR_NO_LINK_TRACKING_IN_TRANSACTION, ERROR_NO_LOG_SPACE, ERROR_NO_LOGON_SERVERS, ERROR_NO_MATCH, ERROR_NO_MEDIA_IN_DRIVE, ERROR_NO_MORE_DEVICES, ERROR_NO_MORE_FILES, ERROR_NO_MORE_ITEMS, ERROR_NO_MORE_MATCHES, ERROR_NO_MORE_SEARCH_HANDLES, ERROR_NO_MORE_USER_HANDLES, ERROR_NO_NET_OR_BAD_PATH, ERROR_NO_NETWORK, ERROR_NO_PAGEFILE, ERROR_NO_PROC_SLOTS, ERROR_NO_PROMOTION_ACTIVE, ERROR_NO_QUOTAS_FOR_ACCOUNT, ERROR_NO_RECOVERY_POLICY, ERROR_NO_RECOVERY_PROGRAM, ERROR_NO_SAVEPOINT_WITH_OPEN_FILES, ERROR_NO_SCROLLBARS, ERROR_NO_SECRETS, ERROR_NO_SECURITY_ON_OBJECT, ERROR_NO_SHUTDOWN_IN_PROGRESS, ERROR_NO_SIGNAL_SENT, ERROR_NO_SITE_SETTINGS_OBJECT, ERROR_NO_SITENAME, ERROR_NO_SPOOL_SPACE, ERROR_NO_SUCH_ALIAS, ERROR_NO_SUCH_DOMAIN, ERROR_NO_SUCH_GROUP, ERROR_NO_SUCH_LOGON_SESSION, ERROR_NO_SUCH_MEMBER, ERROR_NO_SUCH_PACKAGE, ERROR_NO_SUCH_PRIVILEGE, ERROR_NO_SUCH_SITE, ERROR_NO_SUCH_USER, ERROR_NO_SUPPORTING_DRIVES, ERROR_NO_SYSTEM_MENU, ERROR_NO_SYSTEM_RESOURCES, ERROR_NO_TOKEN, ERROR_NO_TRACKING_SERVICE, ERROR_NO_TRUST_LSA_SECRET, ERROR_NO_TRUST_SAM_ACCOUNT, ERROR_NO_TXF_METADATA, ERROR_NO_UNICODE_TRANSLATION, ERROR_NO_USER_KEYS, ERROR_NO_USER_SESSION_KEY, ERROR_NO_VOLUME_ID, ERROR_NO_VOLUME_LABEL, ERROR_NO_WILDCARD_CHARACTERS, ERROR_NO_WRITABLE_DC_FOUND, ERROR_NO_YIELD_PERFORMED, ERROR_NOACCESS, ERROR_NODE_CANNOT_BE_CLUSTERED, ERROR_NODE_CANT_HOST_RESOURCE, ERROR_NODE_NOT_AVAILABLE, ERROR_NOINTERFACE, ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT, ERROR_NOLOGON_SERVER_TRUST_ACCOUNT, ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT, ERROR_NON_ACCOUNT_SID, ERROR_NON_DOMAIN_SID, ERROR_NON_MDICHILD_WINDOW, ERROR_NONE_MAPPED, ERROR_NONPAGED_SYSTEM_RESOURCES, ERROR_NOT_A_REPARSE_POINT, ERROR_NOT_ALL_ASSIGNED, ERROR_NOT_AUTHENTICATED, ERROR_NOT_CAPABLE, ERROR_NOT_CHILD_WINDOW, ERROR_NOT_CONNECTED, ERROR_NOT_CONTAINER, ERROR_NOT_DOS_DISK, ERROR_NOT_EMPTY, ERROR_NOT_ENOUGH_MEMORY, ERROR_NOT_ENOUGH_QUOTA, ERROR_NOT_ENOUGH_SERVER_MEMORY, ERROR_NOT_EXPORT_FORMAT, ERROR_NOT_FOUND, ERROR_NOT_JOINED, ERROR_NOT_LOCKED, ERROR_NOT_LOGGED_ON, ERROR_NOT_LOGON_PROCESS, ERROR_NOT_OWNER, ERROR_NOT_QUORUM_CAPABLE, ERROR_NOT_QUORUM_CLASS, ERROR_NOT_READY, ERROR_NOT_REGISTRY_FILE, ERROR_NOT_SAFE_MODE_DRIVER, ERROR_NOT_SAFEBOOT_SERVICE, ERROR_NOT_SAME_DEVICE, ERROR_NOT_SNAPSHOT_VOLUME, ERROR_NOT_SUBSTED, ERROR_NOT_SUPPORTED, ERROR_NOT_SUPPORTED_ON_SBS, ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER, ERROR_NOT_TINY_STREAM, ERROR_NOTHING_TO_TERMINATE, ERROR_NOTIFY_CLEANUP, ERROR_NOTIFY_ENUM_DIR, ERROR_NT_CROSS_ENCRYPTION_REQUIRED, ERROR_NTLM_BLOCKED, ERROR_NULL_LM_PASSWORD, ERROR_OBJECT_ALREADY_EXISTS, ERROR_OBJECT_IN_LIST, ERROR_OBJECT_NAME_EXISTS, ERROR_OBJECT_NO_LONGER_EXISTS, ERROR_OBJECT_NOT_FOUND, ERROR_OLD_WIN_VERSION, ERROR_ONLY_IF_CONNECTED, ERROR_OPEN_FAILED, ERROR_OPEN_FILES, ERROR_OPERATION_ABORTED, ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION, ERROR_OPLOCK_BREAK_IN_PROGRESS, ERROR_OPLOCK_NOT_GRANTED, ERROR_OUT_OF_PAPER, ERROR_OUT_OF_STRUCTURES, ERROR_OUTOFMEMORY, ERROR_OVERRIDE_NOCHANGES, ERROR_PAGE_FAULT_COPY_ON_WRITE, ERROR_PAGE_FAULT_DEMAND_ZERO, ERROR_PAGE_FAULT_GUARD_PAGE, ERROR_PAGE_FAULT_PAGING_FILE, ERROR_PAGE_FAULT_TRANSITION, ERROR_PAGED_SYSTEM_RESOURCES, ERROR_PAGEFILE_CREATE_FAILED, ERROR_PAGEFILE_QUOTA, ERROR_PAGEFILE_QUOTA_EXCEEDED, ERROR_PARAMETER_QUOTA_EXCEEDED, ERROR_PARTIAL_COPY, ERROR_PARTITION_FAILURE, ERROR_PASSWORD_EXPIRED, ERROR_PASSWORD_MUST_CHANGE, ERROR_PASSWORD_RESTRICTION, ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT, ERROR_PATCH_NO_SEQUENCE, ERROR_PATCH_PACKAGE_INVALID, ERROR_PATCH_PACKAGE_OPEN_FAILED, ERROR_PATCH_PACKAGE_REJECTED, ERROR_PATCH_PACKAGE_UNSUPPORTED, ERROR_PATCH_REMOVAL_DISALLOWED, ERROR_PATCH_REMOVAL_UNSUPPORTED, ERROR_PATCH_TARGET_NOT_FOUND, ERROR_PATH_BUSY, ERROR_PATH_NOT_FOUND, ERROR_PER_USER_TRUST_QUOTA_EXCEEDED, ERROR_PIPE_BUSY, ERROR_PIPE_CONNECTED, ERROR_PIPE_LISTENING, ERROR_PIPE_LOCAL, ERROR_PIPE_NOT_CONNECTED, ERROR_PKINIT_FAILURE, ERROR_PLUGPLAY_QUERY_VETOED, ERROR_PNP_BAD_MPS_TABLE, ERROR_PNP_INVALID_ID, ERROR_PNP_IRQ_TRANSLATION_FAILED, ERROR_PNP_REBOOT_REQUIRED, ERROR_PNP_RESTART_ENUMERATION, ERROR_PNP_TRANSLATION_FAILED, ERROR_POINT_NOT_FOUND, ERROR_POLICY_OBJECT_NOT_FOUND, ERROR_POLICY_ONLY_IN_DS, ERROR_POPUP_ALREADY_ACTIVE, ERROR_PORT_MESSAGE_TOO_LONG, ERROR_PORT_NOT_SET, ERROR_PORT_UNREACHABLE, ERROR_POSSIBLE_DEADLOCK, ERROR_POTENTIAL_FILE_FOUND, ERROR_PREDEFINED_HANDLE, ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED, ERROR_PRINT_CANCELLED, ERROR_PRINT_JOB_RESTART_REQUIRED, ERROR_PRINT_MONITOR_ALREADY_INSTALLED, ERROR_PRINT_MONITOR_IN_USE, ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED, ERROR_PRINTER_ALREADY_EXISTS, ERROR_PRINTER_DELETED, ERROR_PRINTER_DRIVER_ALREADY_INSTALLED, ERROR_PRINTER_DRIVER_BLOCKED, ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED, ERROR_PRINTER_DRIVER_IN_USE, ERROR_PRINTER_DRIVER_PACKAGE_IN_USE, ERROR_PRINTER_DRIVER_WARNED, ERROR_PRINTER_HAS_JOBS_QUEUED, ERROR_PRINTER_NOT_FOUND, ERROR_PRINTQ_FULL, ERROR_PRIVATE_DIALOG_INDEX, ERROR_PRIVILEGE_NOT_HELD, ERROR_PROC_NOT_FOUND, ERROR_PROCESS_ABORTED, ERROR_PROCESS_IN_JOB, ERROR_PROCESS_IS_PROTECTED, ERROR_PROCESS_MODE_ALREADY_BACKGROUND, ERROR_PROCESS_MODE_NOT_BACKGROUND, ERROR_PROCESS_NOT_IN_JOB, ERROR_PRODUCT_UNINSTALLED, ERROR_PRODUCT_VERSION, ERROR_PROFILE_DOES_NOT_MATCH_DEVICE, ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE, ERROR_PROFILE_NOT_FOUND, ERROR_PROFILING_AT_LIMIT, ERROR_PROFILING_NOT_STARTED, ERROR_PROFILING_NOT_STOPPED, ERROR_PROMOTION_ACTIVE, ERROR_PROTOCOL_UNREACHABLE, ERROR_PWD_HISTORY_CONFLICT, ERROR_PWD_TOO_RECENT, ERROR_PWD_TOO_SHORT, ERROR_QUORUM_DISK_NOT_FOUND, ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP, ERROR_QUORUM_OWNER_ALIVE, ERROR_QUORUM_RESOURCE, ERROR_QUORUM_RESOURCE_ONLINE_FAILED, ERROR_QUORUMLOG_OPEN_FAILED, ERROR_QUOTA_LIST_INCONSISTENT, ERROR_RANGE_LIST_CONFLICT, ERROR_RANGE_NOT_FOUND, ERROR_RDP_PROTOCOL_ERROR, ERROR_READ_FAULT, ERROR_REC_NON_EXISTENT, ERROR_RECEIVE_EXPEDITED, ERROR_RECEIVE_PARTIAL, ERROR_RECEIVE_PARTIAL_EXPEDITED, ERROR_RECOVERY_FAILURE, ERROR_RECOVERY_NOT_NEEDED, ERROR_REDIR_PAUSED, ERROR_REDIRECTOR_HAS_OPEN_HANDLES, ERROR_REG_NAT_CONSUMPTION, ERROR_REGISTRY_CORRUPT, ERROR_REGISTRY_HIVE_RECOVERED, ERROR_REGISTRY_IO_FAILED, ERROR_REGISTRY_QUOTA_LIMIT, ERROR_REGISTRY_RECOVERED, ERROR_RELOC_CHAIN_XEEDS_SEGLIM, ERROR_REM_NOT_LIST, ERROR_REMOTE_FILE_VERSION_MISMATCH, ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED, ERROR_REMOTE_SESSION_LIMIT_EXCEEDED, ERROR_REMOTE_STORAGE_MEDIA_ERROR, ERROR_REMOTE_STORAGE_NOT_ACTIVE, ERROR_REPARSE, ERROR_REPARSE_ATTRIBUTE_CONFLICT, ERROR_REPARSE_OBJECT, ERROR_REPARSE_TAG_INVALID, ERROR_REPARSE_TAG_MISMATCH, ERROR_REPLY_MESSAGE_MISMATCH, ERROR_REQ_NOT_ACCEP, ERROR_REQUEST_ABORTED, ERROR_REQUEST_OUT_OF_SEQUENCE, ERROR_REQUEST_REFUSED, ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION, ERROR_RESMON_CREATE_FAILED, ERROR_RESMON_INVALID_STATE, ERROR_RESMON_ONLINE_FAILED, ERROR_RESOURCE_CALL_TIMED_OUT, ERROR_RESOURCE_DATA_NOT_FOUND, ERROR_RESOURCE_DISABLED, ERROR_RESOURCE_ENUM_USER_STOP, ERROR_RESOURCE_FAILED, ERROR_RESOURCE_LANG_NOT_FOUND, ERROR_RESOURCE_NAME_NOT_FOUND, ERROR_RESOURCE_NOT_AVAILABLE, ERROR_RESOURCE_NOT_FOUND, ERROR_RESOURCE_NOT_ONLINE, ERROR_RESOURCE_NOT_PRESENT, ERROR_RESOURCE_ONLINE, ERROR_RESOURCE_PROPERTIES_STORED, ERROR_RESOURCE_PROPERTY_UNCHANGEABLE, ERROR_RESOURCE_REQUIREMENTS_CHANGED, ERROR_RESOURCE_TYPE_NOT_FOUND, ERROR_RESOURCEMANAGER_NOT_FOUND, ERROR_RESOURCEMANAGER_READ_ONLY, ERROR_RESTART_APPLICATION, ERROR_RESUME_HIBERNATION, ERROR_RETRY, ERROR_REVISION_MISMATCH, ERROR_RING2_STACK_IN_USE, ERROR_RING2SEG_MUST_BE_MOVABLE, ERROR_RM_ALREADY_STARTED, ERROR_RM_DISCONNECTED, ERROR_RM_METADATA_CORRUPT, ERROR_RM_NOT_ACTIVE, ERROR_RMODE_APP, ERROR_ROLLBACK_TIMER_EXPIRED, ERROR_ROWSNOTRELEASED, ERROR_RPL_NOT_ALLOWED, ERROR_RXACT_COMMIT_FAILURE, ERROR_RXACT_COMMIT_NECESSARY, ERROR_RXACT_COMMITTED, ERROR_RXACT_INVALID_STATE, ERROR_RXACT_STATE_CREATED, ERROR_SAM_INIT_FAILURE, ERROR_SAME_DRIVE, ERROR_SCOPE_NOT_FOUND, ERROR_SCREEN_ALREADY_LOCKED, ERROR_SECRET_TOO_LONG, ERROR_SECTOR_NOT_FOUND, ERROR_SEEK, ERROR_SEEK_ON_DEVICE, ERROR_SEGMENT_NOTIFICATION, ERROR_SEM_IS_SET, ERROR_SEM_NOT_FOUND, ERROR_SEM_OWNER_DIED, ERROR_SEM_TIMEOUT, ERROR_SEM_USER_LIMIT, ERROR_SERIAL_NO_DEVICE, ERROR_SERVER_DISABLED, ERROR_SERVER_HAS_OPEN_HANDLES, ERROR_SERVER_NOT_DISABLED, ERROR_SERVER_SHUTDOWN_IN_PROGRESS, ERROR_SERVER_SID_MISMATCH, ERROR_SERVICE_ALREADY_RUNNING, ERROR_SERVICE_CANNOT_ACCEPT_CTRL, ERROR_SERVICE_DATABASE_LOCKED, ERROR_SERVICE_DEPENDENCY_DELETED, ERROR_SERVICE_DEPENDENCY_FAIL, ERROR_SERVICE_DISABLED, ERROR_SERVICE_DOES_NOT_EXIST, ERROR_SERVICE_EXISTS, ERROR_SERVICE_LOGON_FAILED, ERROR_SERVICE_MARKED_FOR_DELETE, ERROR_SERVICE_NEVER_STARTED, ERROR_SERVICE_NO_THREAD, ERROR_SERVICE_NOT_ACTIVE, ERROR_SERVICE_NOT_FOUND, ERROR_SERVICE_NOT_IN_EXE, ERROR_SERVICE_NOTIFICATION, ERROR_SERVICE_NOTIFY_CLIENT_LAGGING, ERROR_SERVICE_REQUEST_TIMEOUT, ERROR_SERVICE_SPECIFIC_ERROR, ERROR_SERVICE_START_HANG, ERROR_SESSION_CREDENTIAL_CONFLICT, ERROR_SET_NOT_FOUND, ERROR_SET_POWER_STATE_FAILED, ERROR_SET_POWER_STATE_VETOED, ERROR_SETCOUNT_ON_BAD_LB, ERROR_SETMARK_DETECTED, ERROR_SHARED_POLICY, ERROR_SHARING_BUFFER_EXCEEDED, ERROR_SHARING_PAUSED, ERROR_SHARING_VIOLATION, ERROR_SHUTDOWN_CLUSTER, ERROR_SHUTDOWN_IN_PROGRESS, ERROR_SHUTDOWN_IS_SCHEDULED, ERROR_SHUTDOWN_USERS_LOGGED_ON, ERROR_SIGNAL_PENDING, ERROR_SIGNAL_REFUSED, ERROR_SINGLE_INSTANCE_APP, ERROR_SMARTCARD_SUBSYSTEM_FAILURE, ERROR_SMI_PRIMITIVE_INSTALLER_FAILED, ERROR_SOME_NOT_MAPPED, ERROR_SOURCE_ELEMENT_EMPTY, ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION, ERROR_SPECIAL_ACCOUNT, ERROR_SPECIAL_GROUP, ERROR_SPECIAL_USER, ERROR_SPL_NO_ADDJOB, ERROR_SPL_NO_STARTDOC, ERROR_SPOOL_FILE_NOT_FOUND, ERROR_STACK_BUFFER_OVERRUN, ERROR_STACK_OVERFLOW, ERROR_STACK_OVERFLOW_READ, ERROR_STATIC_INIT, ERROR_STOPPED_ON_SYMLINK, ERROR_STREAM_MINIVERSION_NOT_FOUND, ERROR_STREAM_MINIVERSION_NOT_VALID, ERROR_SUBST_TO_JOIN, ERROR_SUBST_TO_SUBST, ERROR_SUCCESS, ERROR_SUCCESS_REBOOT_INITIATED, ERROR_SUCCESS_REBOOT_REQUIRED, ERROR_SUCCESS_RESTART_REQUIRED, ERROR_SWAPERROR, ERROR_SXS_ACTIVATION_CONTEXT_DISABLED, ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT, ERROR_SXS_ASSEMBLY_MISSING, ERROR_SXS_ASSEMBLY_NOT_FOUND, ERROR_SXS_ASSEMBLY_NOT_LOCKED, ERROR_SXS_CANT_GEN_ACTCTX, ERROR_SXS_COMPONENT_STORE_CORRUPT, ERROR_SXS_CORRUPT_ACTIVATION_STACK, ERROR_SXS_CORRUPTION, ERROR_SXS_DUPLICATE_ASSEMBLY_NAME, ERROR_SXS_DUPLICATE_CLSID, ERROR_SXS_DUPLICATE_DLL_NAME, ERROR_SXS_DUPLICATE_IID, ERROR_SXS_DUPLICATE_PROGID, ERROR_SXS_DUPLICATE_TLBID, ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME, ERROR_SXS_EARLY_DEACTIVATION, ERROR_SXS_FILE_HASH_MISMATCH, ERROR_SXS_FILE_HASH_MISSING, ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY, ERROR_SXS_IDENTITIES_DIFFERENT, ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE, ERROR_SXS_IDENTITY_PARSE_ERROR, ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN, ERROR_SXS_INVALID_ACTCTXDATA_FORMAT, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_DEACTIVATION, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE, ERROR_SXS_INVALID_XML_NAMESPACE_URI, ERROR_SXS_KEY_NOT_FOUND, ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_MANIFEST_FORMAT_ERROR, ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT, ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_PARSE_ERROR, ERROR_SXS_MANIFEST_TOO_BIG, ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_MULTIPLE_DEACTIVATION, ERROR_SXS_POLICY_PARSE_ERROR, ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT, ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET, ERROR_SXS_PROCESS_TERMINATION_REQUESTED, ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING, ERROR_SXS_PROTECTION_CATALOG_NOT_VALID, ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT, ERROR_SXS_PROTECTION_RECOVERY_FAILED, ERROR_SXS_RELEASE_ACTIVATION_CONTEXT, ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_SECTION_NOT_FOUND, ERROR_SXS_SETTING_NOT_REGISTERED, ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY, ERROR_SXS_THREAD_QUERIES_DISABLED, ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE, ERROR_SXS_UNKNOWN_ENCODING, ERROR_SXS_UNKNOWN_ENCODING_GROUP, ERROR_SXS_UNTRANSLATABLE_HRESULT, ERROR_SXS_VERSION_CONFLICT, ERROR_SXS_WRONG_SECTION_TYPE, ERROR_SXS_XML_E_BADCHARDATA, ERROR_SXS_XML_E_BADCHARINSTRING, ERROR_SXS_XML_E_BADNAMECHAR, ERROR_SXS_XML_E_BADPEREFINSUBSET, ERROR_SXS_XML_E_BADSTARTNAMECHAR, ERROR_SXS_XML_E_BADXMLCASE, ERROR_SXS_XML_E_BADXMLDECL, ERROR_SXS_XML_E_COMMENTSYNTAX, ERROR_SXS_XML_E_DUPLICATEATTRIBUTE, ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE, ERROR_SXS_XML_E_EXPECTINGTAGEND, ERROR_SXS_XML_E_INCOMPLETE_ENCODING, ERROR_SXS_XML_E_INTERNALERROR, ERROR_SXS_XML_E_INVALID_DECIMAL, ERROR_SXS_XML_E_INVALID_HEXIDECIMAL, ERROR_SXS_XML_E_INVALID_STANDALONE, ERROR_SXS_XML_E_INVALID_UNICODE, ERROR_SXS_XML_E_INVALID_VERSION, ERROR_SXS_XML_E_INVALIDATROOTLEVEL, ERROR_SXS_XML_E_INVALIDENCODING, ERROR_SXS_XML_E_INVALIDSWITCH, ERROR_SXS_XML_E_MISSING_PAREN, ERROR_SXS_XML_E_MISSINGEQUALS, ERROR_SXS_XML_E_MISSINGQUOTE, ERROR_SXS_XML_E_MISSINGROOT, ERROR_SXS_XML_E_MISSINGSEMICOLON, ERROR_SXS_XML_E_MISSINGWHITESPACE, ERROR_SXS_XML_E_MULTIPLE_COLONS, ERROR_SXS_XML_E_MULTIPLEROOTS, ERROR_SXS_XML_E_RESERVEDNAMESPACE, ERROR_SXS_XML_E_UNBALANCEDPAREN, ERROR_SXS_XML_E_UNCLOSEDCDATA, ERROR_SXS_XML_E_UNCLOSEDCOMMENT, ERROR_SXS_XML_E_UNCLOSEDDECL, ERROR_SXS_XML_E_UNCLOSEDENDTAG, ERROR_SXS_XML_E_UNCLOSEDSTARTTAG, ERROR_SXS_XML_E_UNCLOSEDSTRING, ERROR_SXS_XML_E_UNCLOSEDTAG, ERROR_SXS_XML_E_UNEXPECTED_STANDALONE, ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE, ERROR_SXS_XML_E_UNEXPECTEDENDTAG, ERROR_SXS_XML_E_UNEXPECTEDEOF, ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK, ERROR_SXS_XML_E_XMLDECLSYNTAX, ERROR_SYMLINK_CLASS_DISABLED, ERROR_SYMLINK_NOT_SUPPORTED, ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED, ERROR_SYNCHRONIZATION_REQUIRED, ERROR_SYSTEM_DEVICE_NOT_FOUND, ERROR_SYSTEM_HIVE_TOO_LARGE, ERROR_SYSTEM_IMAGE_BAD_SIGNATURE, ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION, ERROR_SYSTEM_POWERSTATE_TRANSITION, ERROR_SYSTEM_PROCESS_TERMINATED, ERROR_SYSTEM_SHUTDOWN, ERROR_SYSTEM_TRACE, ERROR_TAG_NOT_FOUND, ERROR_TAG_NOT_PRESENT, ERROR_THREAD_1_INACTIVE, ERROR_THREAD_ALREADY_IN_TASK, ERROR_THREAD_MODE_ALREADY_BACKGROUND, ERROR_THREAD_MODE_NOT_BACKGROUND, ERROR_THREAD_NOT_IN_PROCESS, ERROR_THREAD_WAS_SUSPENDED, ERROR_TIME_SKEW, ERROR_TIMEOUT, ERROR_TIMER_NOT_CANCELED, ERROR_TIMER_RESOLUTION_NOT_SET, ERROR_TIMER_RESUME_IGNORED, ERROR_TLW_WITH_WSCHILD, ERROR_TM_IDENTITY_MISMATCH, ERROR_TM_INITIALIZATION_FAILED, ERROR_TM_VOLATILE, ERROR_TOKEN_ALREADY_IN_USE, ERROR_TOO_MANY_CMDS, ERROR_TOO_MANY_CONTEXT_IDS, ERROR_TOO_MANY_LINKS, ERROR_TOO_MANY_LUIDS_REQUESTED, ERROR_TOO_MANY_MODULES, ERROR_TOO_MANY_MUXWAITERS, ERROR_TOO_MANY_NAMES, ERROR_TOO_MANY_OPEN_FILES, ERROR_TOO_MANY_POSTS, ERROR_TOO_MANY_SECRETS, ERROR_TOO_MANY_SEM_REQUESTS, ERROR_TOO_MANY_SEMAPHORES, ERROR_TOO_MANY_SESS, ERROR_TOO_MANY_SIDS, ERROR_TOO_MANY_TCBS, ERROR_TOO_MANY_THREADS, ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE, ERROR_TRANSACTION_ALREADY_ABORTED, ERROR_TRANSACTION_ALREADY_COMMITTED, ERROR_TRANSACTION_FREEZE_IN_PROGRESS, ERROR_TRANSACTION_INTEGRITY_VIOLATED, ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER, ERROR_TRANSACTION_NOT_ACTIVE, ERROR_TRANSACTION_NOT_FOUND, ERROR_TRANSACTION_NOT_JOINED, ERROR_TRANSACTION_NOT_REQUESTED, ERROR_TRANSACTION_NOT_ROOT, ERROR_TRANSACTION_OBJECT_EXPIRED, ERROR_TRANSACTION_PROPAGATION_FAILED, ERROR_TRANSACTION_RECORD_TOO_LONG, ERROR_TRANSACTION_REQUEST_NOT_VALID, ERROR_TRANSACTION_REQUIRED_PROMOTION, ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED, ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET, ERROR_TRANSACTION_SUPERIOR_EXISTS, ERROR_TRANSACTIONAL_CONFLICT, ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED, ERROR_TRANSACTIONMANAGER_NOT_FOUND, ERROR_TRANSACTIONMANAGER_NOT_ONLINE, ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION, ERROR_TRANSACTIONS_NOT_FROZEN, ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE, ERROR_TRANSFORM_NOT_SUPPORTED, ERROR_TRANSLATION_COMPLETE, ERROR_TRANSPORT_FULL, ERROR_TRUST_FAILURE, ERROR_TRUSTED_DOMAIN_FAILURE, ERROR_TRUSTED_RELATIONSHIP_FAILURE, ERROR_TS_INCOMPATIBLE_SESSIONS, ERROR_TXF_ATTRIBUTE_CORRUPT, ERROR_TXF_DIR_NOT_EMPTY, ERROR_TXF_METADATA_ALREADY_PRESENT, ERROR_UNABLE_TO_CLEAN, ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA, ERROR_UNABLE_TO_INVENTORY_DRIVE, ERROR_UNABLE_TO_INVENTORY_SLOT, ERROR_UNABLE_TO_INVENTORY_TRANSPORT, ERROR_UNABLE_TO_LOAD_MEDIUM, ERROR_UNABLE_TO_LOCK_MEDIA, ERROR_UNABLE_TO_MOVE_REPLACEMENT, ERROR_UNABLE_TO_MOVE_REPLACEMENT_2, ERROR_UNABLE_TO_REMOVE_REPLACED, ERROR_UNABLE_TO_UNLOAD_MEDIA, ERROR_UNDEFINED_CHARACTER, ERROR_UNEXP_NET_ERR, ERROR_UNEXPECTED_MM_CREATE_ERR, ERROR_UNEXPECTED_MM_EXTEND_ERR, ERROR_UNEXPECTED_MM_MAP_ERROR, ERROR_UNEXPECTED_OMID, ERROR_UNHANDLED_EXCEPTION, ERROR_UNIDENTIFIED_ERROR, ERROR_UNKNOWN_COMPONENT, ERROR_UNKNOWN_FEATURE, ERROR_UNKNOWN_PATCH, ERROR_UNKNOWN_PORT, ERROR_UNKNOWN_PRINT_MONITOR, ERROR_UNKNOWN_PRINTER_DRIVER, ERROR_UNKNOWN_PRINTPROCESSOR, ERROR_UNKNOWN_PRODUCT, ERROR_UNKNOWN_PROPERTY, ERROR_UNKNOWN_REVISION, ERROR_UNMAPPED_SUBSTITUTION_STRING, ERROR_UNRECOGNIZED_MEDIA, ERROR_UNRECOGNIZED_VOLUME, ERROR_UNSUPPORTED_COMPRESSION, ERROR_UNSUPPORTED_TYPE, ERROR_UNWIND, ERROR_UNWIND_CONSOLIDATE, ERROR_USER_APC, ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED, ERROR_USER_EXISTS, ERROR_USER_MAPPED_FILE, ERROR_USER_PROFILE_LOAD, ERROR_VALIDATE_CONTINUE, ERROR_VC_DISCONNECTED, ERROR_VDM_DISALLOWED, ERROR_VDM_HARD_ERROR, ERROR_VERIFIER_STOP, ERROR_VERSION_PARSE_ERROR, ERROR_VIRUS_DELETED, ERROR_VIRUS_INFECTED, ERROR_VOLSNAP_HIBERNATE_READY, ERROR_VOLSNAP_PREPARE_HIBERNATE, ERROR_VOLUME_CONTAINS_SYS_FILES, ERROR_VOLUME_DIRTY, ERROR_VOLUME_MOUNTED, ERROR_VOLUME_NOT_SIS_ENABLED, ERROR_VOLUME_NOT_SUPPORT_EFS, ERROR_WAIT_1, ERROR_WAIT_2, ERROR_WAIT_3, ERROR_WAIT_63, ERROR_WAIT_FOR_OPLOCK, ERROR_WAIT_NO_CHILDREN, ERROR_WAKE_SYSTEM, ERROR_WAKE_SYSTEM_DEBUGGER, ERROR_WAS_LOCKED, ERROR_WAS_UNLOCKED, ERROR_WINDOW_NOT_COMBOBOX, ERROR_WINDOW_NOT_DIALOG, ERROR_WINDOW_OF_OTHER_THREAD, ERROR_WINS_INTERNAL, ERROR_WMI_ALREADY_DISABLED, ERROR_WMI_ALREADY_ENABLED, ERROR_WMI_DP_FAILED, ERROR_WMI_DP_NOT_FOUND, ERROR_WMI_GUID_DISCONNECTED, ERROR_WMI_GUID_NOT_FOUND, ERROR_WMI_INSTANCE_NOT_FOUND, ERROR_WMI_INVALID_MOF, ERROR_WMI_INVALID_REGINFO, ERROR_WMI_ITEMID_NOT_FOUND, ERROR_WMI_READ_ONLY, ERROR_WMI_SERVER_UNAVAILABLE, ERROR_WMI_SET_FAILURE, ERROR_WMI_TRY_AGAIN, ERROR_WMI_UNRESOLVED_INSTANCE_REF, ERROR_WORKING_SET_QUOTA, ERROR_WOW_ASSERTION, ERROR_WRITE_FAULT, ERROR_WRITE_PROTECT, ERROR_WRONG_COMPARTMENT, ERROR_WRONG_DISK, ERROR_WRONG_EFS, ERROR_WRONG_PASSWORD, ERROR_WRONG_TARGET_NAME, ERROR_WX86_ERROR, ERROR_WX86_WARNING, ERROR_XML_ENCODING_MISMATCH, ERROR_XML_PARSE_ERROR, ERROR_XMLDSIG_ERROR, EVENT_E_ALL_SUBSCRIBERS_FAILED, EVENT_E_CANT_MODIFY_OR_DELETE_CONFIGURED_OBJECT, EVENT_E_CANT_MODIFY_OR_DELETE_UNCONFIGURED_OBJECT, EVENT_E_COMPLUS_NOT_INSTALLED, EVENT_E_FIRST, EVENT_E_INTERNALERROR, EVENT_E_INTERNALEXCEPTION, EVENT_E_INVALID_EVENT_CLASS_PARTITION, EVENT_E_INVALID_PER_USER_SID, EVENT_E_LAST, EVENT_E_MISSING_EVENTCLASS, EVENT_E_NOT_ALL_REMOVED, EVENT_E_PER_USER_SID_NOT_LOGGED_ON, EVENT_E_QUERYFIELD, EVENT_E_QUERYSYNTAX, EVENT_E_TOO_MANY_METHODS, EVENT_E_USER_EXCEPTION, EVENT_S_FIRST, EVENT_S_LAST, EVENT_S_NOSUBSCRIBERS, EVENT_S_SOME_SUBSCRIBERS_FAILED, FACILITY_AAF, FACILITY_ACS, FACILITY_BACKGROUNDCOPY, FACILITY_CERT, FACILITY_CMI, FACILITY_COMPLUS, FACILITY_CONFIGURATION, FACILITY_CONTROL, FACILITY_DIRECTORYSERVICE, FACILITY_DISPATCH, FACILITY_DPLAY, FACILITY_FVE, FACILITY_FWP, FACILITY_GRAPHICS, FACILITY_HTTP, FACILITY_INTERNET, FACILITY_ITF, FACILITY_MEDIASERVER, FACILITY_METADIRECTORY, FACILITY_MSMQ, FACILITY_NDIS, FACILITY_NT_BIT, FACILITY_NULL, FACILITY_PLA, FACILITY_RPC, FACILITY_SCARD, FACILITY_SECURITY, FACILITY_SETUPAPI, FACILITY_SHELL, FACILITY_SSPI, FACILITY_STATE_MANAGEMENT, FACILITY_STORAGE, FACILITY_SXS, FACILITY_TPM_SERVICES, FACILITY_TPM_SOFTWARE, FACILITY_UMI, FACILITY_URT, FACILITY_USERMODE_COMMONLOG, FACILITY_USERMODE_FILTER_MANAGER, FACILITY_USERMODE_HYPERVISOR, FACILITY_WIN32, FACILITY_WINDOWS, FACILITY_WINDOWS_CE, FACILITY_WINDOWS_DEFENDER, FACILITY_WINDOWSUPDATE, FACILITY_WINRM, FRS_ERR_AUTHENTICATION, FRS_ERR_CHILD_TO_PARENT_COMM, FRS_ERR_INSUFFICIENT_PRIV, FRS_ERR_INTERNAL, FRS_ERR_INTERNAL_API, FRS_ERR_INVALID_API_SEQUENCE, FRS_ERR_INVALID_SERVICE_PARAMETER, FRS_ERR_PARENT_AUTHENTICATION, FRS_ERR_PARENT_INSUFFICIENT_PRIV, FRS_ERR_PARENT_TO_CHILD_COMM, FRS_ERR_SERVICE_COMM, FRS_ERR_STARTING_SERVICE, FRS_ERR_STOPPING_SERVICE, FRS_ERR_SYSVOL_DEMOTE, FRS_ERR_SYSVOL_IS_BUSY, FRS_ERR_SYSVOL_POPULATE, FRS_ERR_SYSVOL_POPULATE_TIMEOUT, FVE_E_ACTION_NOT_ALLOWED, FVE_E_AD_ATTR_NOT_SET, FVE_E_AD_GUID_NOT_FOUND, FVE_E_AD_INSUFFICIENT_BUFFER, FVE_E_AD_INVALID_DATASIZE, FVE_E_AD_INVALID_DATATYPE, FVE_E_AD_NO_VALUES, FVE_E_AD_SCHEMA_NOT_INSTALLED, FVE_E_AUTH_INVALID_APPLICATION, FVE_E_AUTH_INVALID_CONFIG, FVE_E_AUTOUNLOCK_ENABLED, FVE_E_BAD_DATA, FVE_E_BAD_INFORMATION, FVE_E_BCD_APPLICATIONS_PATH_INCORRECT, FVE_E_BOOTABLE_CDDVD, FVE_E_CANNOT_ENCRYPT_NO_KEY, FVE_E_CANNOT_SET_FVEK_ENCRYPTED, FVE_E_CLUSTERING_NOT_SUPPORTED, FVE_E_CONV_READ, FVE_E_CONV_WRITE, FVE_E_DEBUGGER_ENABLED, FVE_E_DRY_RUN_FAILED, FVE_E_FAILED_AUTHENTICATION, FVE_E_FAILED_BAD_FS, FVE_E_FAILED_SECTOR_SIZE, FVE_E_FAILED_WRONG_FS, FVE_E_FIPS_DISABLE_PROTECTION_NOT_ALLOWED, FVE_E_FIPS_PREVENTS_EXTERNAL_KEY_EXPORT, FVE_E_FIPS_PREVENTS_RECOVERY_PASSWORD, FVE_E_FIPS_RNG_CHECK_FAILED, FVE_E_FIRMWARE_TYPE_NOT_SUPPORTED, FVE_E_FOREIGN_VOLUME, FVE_E_FS_MOUNTED, FVE_E_FS_NOT_EXTENDED, FVE_E_INVALID_KEY_FORMAT, FVE_E_INVALID_PASSWORD_FORMAT, FVE_E_INVALID_PROTECTOR_TYPE, FVE_E_KEY_REQUIRED, FVE_E_KEYFILE_INVALID, FVE_E_KEYFILE_NO_VMK, FVE_E_KEYFILE_NOT_FOUND, FVE_E_LOCKED_VOLUME, FVE_E_NO_BOOTMGR_METRIC, FVE_E_NO_BOOTSECTOR_METRIC, FVE_E_NO_LICENSE, FVE_E_NO_MBR_METRIC, FVE_E_NO_PROTECTORS_TO_TEST, FVE_E_NO_TPM_BIOS, FVE_E_NOT_ACTIVATED, FVE_E_NOT_ALLOWED_IN_SAFE_MODE, FVE_E_NOT_ALLOWED_IN_VERSION, FVE_E_NOT_DATA_VOLUME, FVE_E_NOT_DECRYPTED, FVE_E_NOT_ENCRYPTED, FVE_E_NOT_ON_STACK, FVE_E_NOT_OS_VOLUME, FVE_E_NOT_SUPPORTED, FVE_E_OS_NOT_PROTECTED, FVE_E_OVERLAPPED_UPDATE, FVE_E_PIN_INVALID, FVE_E_POLICY_PASSWORD_REQUIRED, FVE_E_PROTECTION_DISABLED, FVE_E_PROTECTOR_EXISTS, FVE_E_PROTECTOR_NOT_FOUND, FVE_E_RAW_ACCESS, FVE_E_RAW_BLOCKED, FVE_E_REBOOT_REQUIRED, FVE_E_RECOVERY_KEY_REQUIRED, FVE_E_RELATIVE_PATH, FVE_E_SECURE_KEY_REQUIRED, FVE_E_SYSTEM_VOLUME, FVE_E_TOKEN_NOT_IMPERSONATED, FVE_E_TOO_SMALL, FVE_E_TPM_DISABLED, FVE_E_TPM_INVALID_PCR, FVE_E_TPM_NO_VMK, FVE_E_TPM_NOT_OWNED, FVE_E_TPM_SRK_AUTH_NOT_ZERO, FVE_E_VOLUME_BOUND_ALREADY, FVE_E_VOLUME_NOT_BOUND, FVE_E_WRONG_BOOTMGR, FVE_E_WRONG_BOOTSECTOR, FVE_E_WRONG_SYSTEM_FS, FWP_E_ACTION_INCOMPATIBLE_WITH_LAYER, FWP_E_ACTION_INCOMPATIBLE_WITH_SUBLAYER, FWP_E_ALREADY_EXISTS, FWP_E_BUILTIN_OBJECT, FWP_E_CALLOUT_NOT_FOUND, FWP_E_CALLOUT_NOTIFICATION_FAILED, FWP_E_CONDITION_NOT_FOUND, FWP_E_CONTEXT_INCOMPATIBLE_WITH_CALLOUT, FWP_E_CONTEXT_INCOMPATIBLE_WITH_LAYER, FWP_E_DUPLICATE_CONDITION, FWP_E_DUPLICATE_KEYMOD, FWP_E_DYNAMIC_SESSION_IN_PROGRESS, FWP_E_EM_NOT_SUPPORTED, FWP_E_FILTER_NOT_FOUND, FWP_E_IN_USE, FWP_E_INCOMPATIBLE_AUTH_METHOD, FWP_E_INCOMPATIBLE_DH_GROUP, FWP_E_INCOMPATIBLE_LAYER, FWP_E_INCOMPATIBLE_SA_STATE, FWP_E_INCOMPATIBLE_TXN, FWP_E_INVALID_ACTION_TYPE, FWP_E_INVALID_AUTH_TRANSFORM, FWP_E_INVALID_CIPHER_TRANSFORM, FWP_E_INVALID_ENUMERATOR, FWP_E_INVALID_FLAGS, FWP_E_INVALID_INTERVAL, FWP_E_INVALID_NET_MASK, FWP_E_INVALID_PARAMETER, FWP_E_INVALID_RANGE, FWP_E_INVALID_WEIGHT, FWP_E_KM_CLIENTS_ONLY, FWP_E_LAYER_NOT_FOUND, FWP_E_LIFETIME_MISMATCH, FWP_E_MATCH_TYPE_MISMATCH, FWP_E_NET_EVENTS_DISABLED, FWP_E_NEVER_MATCH, FWP_E_NO_TXN_IN_PROGRESS, FWP_E_NOT_FOUND, FWP_E_NOTIFICATION_DROPPED, FWP_E_NULL_DISPLAY_NAME, FWP_E_NULL_POINTER, FWP_E_OUT_OF_BOUNDS, FWP_E_PROVIDER_CONTEXT_MISMATCH, FWP_E_PROVIDER_CONTEXT_NOT_FOUND, FWP_E_PROVIDER_NOT_FOUND, FWP_E_RESERVED, FWP_E_SESSION_ABORTED, FWP_E_SUBLAYER_NOT_FOUND, FWP_E_TIMEOUT, FWP_E_TOO_MANY_CALLOUTS, FWP_E_TOO_MANY_SUBLAYERS, FWP_E_TRAFFIC_MISMATCH, FWP_E_TXN_ABORTED, FWP_E_TXN_IN_PROGRESS, FWP_E_TYPE_MISMATCH, FWP_E_WRONG_SESSION, FWP_E_ZERO_LENGTH_ARRAY, INPLACE_E_FIRST, INPLACE_E_LAST, INPLACE_E_NOTOOLSPACE, INPLACE_E_NOTUNDOABLE, INPLACE_S_FIRST, INPLACE_S_LAST, INPLACE_S_TRUNCATED, MARSHAL_E_FIRST, MARSHAL_E_LAST, MARSHAL_S_FIRST, MARSHAL_S_LAST, MEM_E_INVALID_LINK, MEM_E_INVALID_ROOT, MEM_E_INVALID_SIZE, MK_E_CANTOPENFILE, MK_E_CONNECTMANUALLY, MK_E_ENUMERATION_FAILED, MK_E_EXCEEDEDDEADLINE, MK_E_FIRST, MK_E_INTERMEDIATEINTERFACENOTSUPPORTED, MK_E_INVALIDEXTENSION, MK_E_LAST, MK_E_MUSTBOTHERUSER, MK_E_NEEDGENERIC, MK_E_NO_NORMALIZED, MK_E_NOINVERSE, MK_E_NOOBJECT, MK_E_NOPREFIX, MK_E_NOSTORAGE, MK_E_NOTBINDABLE, MK_E_NOTBOUND, MK_E_SYNTAX, MK_E_UNAVAILABLE, MK_S_FIRST, MK_S_HIM, MK_S_LAST, MK_S_ME, MK_S_MONIKERALREADYREGISTERED, MK_S_REDUCED_TO_SELF, MK_S_US, MSDTC_E_DUPLICATE_RESOURCE, MSSIPOTF_E_BAD_FIRST_TABLE_PLACEMENT, MSSIPOTF_E_BAD_MAGICNUMBER, MSSIPOTF_E_BAD_OFFSET_TABLE, MSSIPOTF_E_BADVERSION, MSSIPOTF_E_CANTGETOBJECT, MSSIPOTF_E_CRYPT, MSSIPOTF_E_DSIG_STRUCTURE, MSSIPOTF_E_FAILED_HINTS_CHECK, MSSIPOTF_E_FAILED_POLICY, MSSIPOTF_E_FILE, MSSIPOTF_E_FILE_CHECKSUM, MSSIPOTF_E_FILETOOSMALL, MSSIPOTF_E_NOHEADTABLE, MSSIPOTF_E_NOT_OPENTYPE, MSSIPOTF_E_OUTOFMEMRANGE, MSSIPOTF_E_PCONST_CHECK, MSSIPOTF_E_STRUCTURE, MSSIPOTF_E_TABLE_CHECKSUM, MSSIPOTF_E_TABLE_LONGWORD, MSSIPOTF_E_TABLE_PADBYTES, MSSIPOTF_E_TABLE_TAGORDER, MSSIPOTF_E_TABLES_OVERLAP, NO_ERROR, NOERROR, NTE_BAD_ALGID, NTE_BAD_DATA, NTE_BAD_FLAGS, NTE_BAD_HASH, NTE_BAD_HASH_STATE, NTE_BAD_KEY, NTE_BAD_KEY_STATE, NTE_BAD_KEYSET, NTE_BAD_KEYSET_PARAM, NTE_BAD_LEN, NTE_BAD_PROV_TYPE, NTE_BAD_PROVIDER, NTE_BAD_PUBLIC_KEY, NTE_BAD_SIGNATURE, NTE_BAD_TYPE, NTE_BAD_UID, NTE_BAD_VER, NTE_BUFFER_TOO_SMALL, NTE_BUFFERS_OVERLAP, NTE_DECRYPTION_FAILURE, NTE_DOUBLE_ENCRYPT, NTE_EXISTS, NTE_FAIL, NTE_FIXEDPARAMETER, NTE_HMAC_NOT_SUPPORTED, NTE_INTERNAL_ERROR, NTE_INVALID_HANDLE, NTE_INVALID_PARAMETER, NTE_KEYSET_ENTRY_BAD, NTE_KEYSET_NOT_DEF, NTE_NO_KEY, NTE_NO_MEMORY, NTE_NO_MORE_ITEMS, NTE_NOT_FOUND, NTE_NOT_SUPPORTED, NTE_OP_OK, NTE_PERM, NTE_PROV_DLL_NOT_FOUND, NTE_PROV_TYPE_ENTRY_BAD, NTE_PROV_TYPE_NO_MATCH, NTE_PROV_TYPE_NOT_DEF, NTE_PROVIDER_DLL_FAIL, NTE_SIGNATURE_FILE_BAD, NTE_SILENT_CONTEXT, NTE_SYS_ERR, NTE_TEMPORARY_PROFILE, NTE_TOKEN_KEYSET_STORAGE_FULL, NTE_UI_REQUIRED, OLE_E_ADVF, OLE_E_ADVISENOTSUPPORTED, OLE_E_BLANK, OLE_E_CANT_BINDTOSOURCE, OLE_E_CANT_GETMONIKER, OLE_E_CANTCONVERT, OLE_E_CLASSDIFF, OLE_E_ENUM_NOMORE, OLE_E_FIRST, OLE_E_INVALIDHWND, OLE_E_INVALIDRECT, OLE_E_LAST, OLE_E_NOCACHE, OLE_E_NOCONNECTION, OLE_E_NOSTORAGE, OLE_E_NOT_INPLACEACTIVE, OLE_E_NOTRUNNING, OLE_E_OLEVERB, OLE_E_PROMPTSAVECANCELLED, OLE_E_STATIC, OLE_E_WRONGCOMPOBJ, OLE_S_FIRST, OLE_S_LAST, OLE_S_MAC_CLIPFORMAT, OLE_S_STATIC, OLE_S_USEREG, OLEOBJ_E_FIRST, OLEOBJ_E_INVALIDVERB, OLEOBJ_E_LAST, OLEOBJ_E_NOVERBS, OLEOBJ_S_CANNOT_DOVERB_NOW, OLEOBJ_S_FIRST, OLEOBJ_S_INVALIDHWND, OLEOBJ_S_INVALIDVERB, OLEOBJ_S_LAST, OR_INVALID_OID, OR_INVALID_OXID, OR_INVALID_SET, OSS_ACCESS_SERIALIZATION_ERROR, OSS_API_DLL_NOT_LINKED, OSS_BAD_ARG, OSS_BAD_ENCRULES, OSS_BAD_PTR, OSS_BAD_TABLE, OSS_BAD_TIME, OSS_BAD_VERSION, OSS_BERDER_DLL_NOT_LINKED, OSS_CANT_CLOSE_TRACE_FILE, OSS_CANT_OPEN_TRACE_FILE, OSS_CANT_OPEN_TRACE_WINDOW, OSS_COMPARATOR_CODE_NOT_LINKED, OSS_COMPARATOR_DLL_NOT_LINKED, OSS_CONSTRAINT_DLL_NOT_LINKED, OSS_CONSTRAINT_VIOLATED, OSS_COPIER_DLL_NOT_LINKED, OSS_DATA_ERROR, OSS_FATAL_ERROR, OSS_INDEFINITE_NOT_SUPPORTED, OSS_LIMITED, OSS_MEM_ERROR, OSS_MEM_MGR_DLL_NOT_LINKED, OSS_MORE_BUF, OSS_MORE_INPUT, OSS_MUTEX_NOT_CREATED, OSS_NEGATIVE_UINTEGER, OSS_NULL_FCN, OSS_NULL_TBL, OSS_OID_DLL_NOT_LINKED, OSS_OPEN_TYPE_ERROR, OSS_OUT_MEMORY, OSS_OUT_OF_RANGE, OSS_PDU_MISMATCH, OSS_PDU_RANGE, OSS_PDV_CODE_NOT_LINKED, OSS_PDV_DLL_NOT_LINKED, OSS_PER_DLL_NOT_LINKED, OSS_REAL_CODE_NOT_LINKED, OSS_REAL_DLL_NOT_LINKED, OSS_TABLE_MISMATCH, OSS_TOO_LONG, OSS_TRACE_FILE_ALREADY_OPEN, OSS_TYPE_NOT_SUPPORTED, OSS_UNAVAIL_ENCRULES, OSS_UNIMPLEMENTED, PERSIST_E_NOTSELFSIZING, PERSIST_E_SIZEDEFINITE, PERSIST_E_SIZEINDEFINITE, PLA_E_CABAPI_FAILURE, PLA_E_CONFLICT_INCL_EXCL_API, PLA_E_CREDENTIALS_REQUIRED, PLA_E_DC_ALREADY_EXISTS, PLA_E_DC_START_WAIT_TIMEOUT, PLA_E_DCS_ALREADY_EXISTS, PLA_E_DCS_IN_USE, PLA_E_DCS_NOT_FOUND, PLA_E_DCS_NOT_RUNNING, PLA_E_DCS_SINGLETON_REQUIRED, PLA_E_DCS_START_WAIT_TIMEOUT, PLA_E_EXE_ALREADY_CONFIGURED, PLA_E_EXE_FULL_PATH_REQUIRED, PLA_E_EXE_PATH_NOT_VALID, PLA_E_INVALID_SESSION_NAME, PLA_E_NETWORK_EXE_NOT_VALID, PLA_E_NO_DUPLICATES, PLA_E_NO_MIN_DISK, PLA_E_PLA_CHANNEL_NOT_ENABLED, PLA_E_PROPERTY_CONFLICT, PLA_E_REPORT_WAIT_TIMEOUT, PLA_E_RULES_MANAGER_FAILED, PLA_E_TASKSCHED_CHANNEL_NOT_ENABLED, PLA_E_TOO_MANY_FOLDERS, PLA_S_PROPERTY_IGNORED, REGDB_E_BADTHREADINGMODEL, REGDB_E_CLASSNOTREG, REGDB_E_FIRST, REGDB_E_IIDNOTREG, REGDB_E_INVALIDVALUE, REGDB_E_KEYMISSING, REGDB_E_LAST, REGDB_E_READREGDB, REGDB_E_WRITEREGDB, REGDB_S_FIRST, REGDB_S_LAST, RPC_E_ACCESS_DENIED, RPC_E_ATTEMPTED_MULTITHREAD, RPC_E_CALL_CANCELED, RPC_E_CALL_COMPLETE, RPC_E_CALL_REJECTED, RPC_E_CANTCALLOUT_AGAIN, RPC_E_CANTCALLOUT_INASYNCCALL, RPC_E_CANTCALLOUT_INEXTERNALCALL, RPC_E_CANTCALLOUT_ININPUTSYNCCALL, RPC_E_CANTPOST_INSENDCALL, RPC_E_CANTTRANSMIT_CALL, RPC_E_CHANGED_MODE, RPC_E_CLIENT_CANTMARSHAL_DATA, RPC_E_CLIENT_CANTUNMARSHAL_DATA, RPC_E_CLIENT_DIED, RPC_E_CONNECTION_TERMINATED, RPC_E_DISCONNECTED, RPC_E_FAULT, RPC_E_FULLSIC_REQUIRED, RPC_E_INVALID_CALLDATA, RPC_E_INVALID_DATA, RPC_E_INVALID_DATAPACKET, RPC_E_INVALID_EXTENSION, RPC_E_INVALID_HEADER, RPC_E_INVALID_IPID, RPC_E_INVALID_OBJECT, RPC_E_INVALID_OBJREF, RPC_E_INVALID_PARAMETER, RPC_E_INVALID_STD_NAME, RPC_E_INVALIDMETHOD, RPC_E_NO_CONTEXT, RPC_E_NO_GOOD_SECURITY_PACKAGES, RPC_E_NO_SYNC, RPC_E_NOT_REGISTERED, RPC_E_OUT_OF_RESOURCES, RPC_E_REMOTE_DISABLED, RPC_E_RETRY, RPC_E_SERVER_CANTMARSHAL_DATA, RPC_E_SERVER_CANTUNMARSHAL_DATA, RPC_E_SERVER_DIED, RPC_E_SERVER_DIED_DNE, RPC_E_SERVERCALL_REJECTED, RPC_E_SERVERCALL_RETRYLATER, RPC_E_SERVERFAULT, RPC_E_SYS_CALL_FAILED, RPC_E_THREAD_NOT_INIT, RPC_E_TIMEOUT, RPC_E_TOO_LATE, RPC_E_UNEXPECTED, RPC_E_UNSECURE_CALL, RPC_E_VERSION_MISMATCH, RPC_E_WRONG_THREAD, RPC_S_ADDRESS_ERROR, RPC_S_ALREADY_LISTENING, RPC_S_ALREADY_REGISTERED, RPC_S_BINDING_HAS_NO_AUTH, RPC_S_BINDING_INCOMPLETE, RPC_S_CALL_CANCELLED, RPC_S_CALL_FAILED, RPC_S_CALL_FAILED_DNE, RPC_S_CALL_IN_PROGRESS, RPC_S_CALLPENDING, RPC_S_CANNOT_SUPPORT, RPC_S_CANT_CREATE_ENDPOINT, RPC_S_COMM_FAILURE, RPC_S_DUPLICATE_ENDPOINT, RPC_S_ENTRY_ALREADY_EXISTS, RPC_S_ENTRY_NOT_FOUND, RPC_S_ENTRY_TYPE_MISMATCH, RPC_S_FP_DIV_ZERO, RPC_S_FP_OVERFLOW, RPC_S_FP_UNDERFLOW, RPC_S_GROUP_MEMBER_NOT_FOUND, RPC_S_GRP_ELT_NOT_ADDED, RPC_S_GRP_ELT_NOT_REMOVED, RPC_S_INCOMPLETE_NAME, RPC_S_INTERFACE_NOT_EXPORTED, RPC_S_INTERFACE_NOT_FOUND, RPC_S_INTERNAL_ERROR, RPC_S_INVALID_ASYNC_CALL, RPC_S_INVALID_ASYNC_HANDLE, RPC_S_INVALID_AUTH_IDENTITY, RPC_S_INVALID_BINDING, RPC_S_INVALID_BOUND, RPC_S_INVALID_ENDPOINT_FORMAT, RPC_S_INVALID_NAF_ID, RPC_S_INVALID_NAME_SYNTAX, RPC_S_INVALID_NET_ADDR, RPC_S_INVALID_NETWORK_OPTIONS, RPC_S_INVALID_OBJECT, RPC_S_INVALID_RPC_PROTSEQ, RPC_S_INVALID_STRING_BINDING, RPC_S_INVALID_STRING_UUID, RPC_S_INVALID_TAG, RPC_S_INVALID_TIMEOUT, RPC_S_INVALID_VERS_OPTION, RPC_S_MAX_CALLS_TOO_SMALL, RPC_S_NAME_SERVICE_UNAVAILABLE, RPC_S_NO_BINDINGS, RPC_S_NO_CALL_ACTIVE, RPC_S_NO_CONTEXT_AVAILABLE, RPC_S_NO_ENDPOINT_FOUND, RPC_S_NO_ENTRY_NAME, RPC_S_NO_INTERFACES, RPC_S_NO_MORE_BINDINGS, RPC_S_NO_MORE_MEMBERS, RPC_S_NO_PRINC_NAME, RPC_S_NO_PROTSEQS, RPC_S_NO_PROTSEQS_REGISTERED, RPC_S_NOT_ALL_OBJS_EXPORTED, RPC_S_NOT_ALL_OBJS_UNEXPORTED, RPC_S_NOT_CANCELLED, RPC_S_NOT_LISTENING, RPC_S_NOT_RPC_ERROR, RPC_S_NOTHING_TO_EXPORT, RPC_S_OBJECT_NOT_FOUND, RPC_S_OUT_OF_RESOURCES, RPC_S_PRF_ELT_NOT_ADDED, RPC_S_PRF_ELT_NOT_REMOVED, RPC_S_PROCNUM_OUT_OF_RANGE, RPC_S_PROFILE_NOT_ADDED, RPC_S_PROTOCOL_ERROR, RPC_S_PROTSEQ_NOT_FOUND, RPC_S_PROTSEQ_NOT_SUPPORTED, RPC_S_PROXY_ACCESS_DENIED, RPC_S_SEC_PKG_ERROR, RPC_S_SEND_INCOMPLETE, RPC_S_SERVER_TOO_BUSY, RPC_S_SERVER_UNAVAILABLE, RPC_S_STRING_TOO_LONG, RPC_S_TYPE_ALREADY_REGISTERED, RPC_S_UNKNOWN_AUTHN_LEVEL, RPC_S_UNKNOWN_AUTHN_SERVICE, RPC_S_UNKNOWN_AUTHN_TYPE, RPC_S_UNKNOWN_AUTHZ_SERVICE, RPC_S_UNKNOWN_IF, RPC_S_UNKNOWN_MGR_TYPE, RPC_S_UNSUPPORTED_AUTHN_LEVEL, RPC_S_UNSUPPORTED_NAME_SYNTAX, RPC_S_UNSUPPORTED_TRANS_SYN, RPC_S_UNSUPPORTED_TYPE, RPC_S_UUID_LOCAL_ONLY, RPC_S_UUID_NO_ADDRESS, RPC_S_WAITONTIMER, RPC_S_WRONG_KIND_OF_BINDING, RPC_S_ZERO_DIVIDE, RPC_X_BAD_STUB_DATA, RPC_X_BYTE_COUNT_TOO_SMALL, RPC_X_ENUM_VALUE_OUT_OF_RANGE, RPC_X_INVALID_ES_ACTION, RPC_X_INVALID_PIPE_OBJECT, RPC_X_NO_MORE_ENTRIES, RPC_X_NULL_REF_POINTER, RPC_X_PIPE_CLOSED, RPC_X_PIPE_DISCIPLINE_ERROR, RPC_X_PIPE_EMPTY, RPC_X_SS_CANNOT_GET_CALL_HANDLE, RPC_X_SS_CHAR_TRANS_OPEN_FAIL, RPC_X_SS_CHAR_TRANS_SHORT_FILE, RPC_X_SS_CONTEXT_DAMAGED, RPC_X_SS_HANDLES_MISMATCH, RPC_X_SS_IN_NULL_CONTEXT, RPC_X_WRONG_ES_VERSION, RPC_X_WRONG_PIPE_ORDER, RPC_X_WRONG_PIPE_VERSION, RPC_X_WRONG_STUB_VERSION, S_FALSE, S_OK, SCARD_E_BAD_SEEK, SCARD_E_CANCELLED, SCARD_E_CANT_DISPOSE, SCARD_E_CARD_UNSUPPORTED, SCARD_E_CERTIFICATE_UNAVAILABLE, SCARD_E_COMM_DATA_LOST, SCARD_E_DIR_NOT_FOUND, SCARD_E_DUPLICATE_READER, SCARD_E_FILE_NOT_FOUND, SCARD_E_ICC_CREATEORDER, SCARD_E_ICC_INSTALLATION, SCARD_E_INSUFFICIENT_BUFFER, SCARD_E_INVALID_ATR, SCARD_E_INVALID_CHV, SCARD_E_INVALID_HANDLE, SCARD_E_INVALID_PARAMETER, SCARD_E_INVALID_TARGET, SCARD_E_INVALID_VALUE, SCARD_E_NO_ACCESS, SCARD_E_NO_DIR, SCARD_E_NO_FILE, SCARD_E_NO_KEY_CONTAINER, SCARD_E_NO_MEMORY, SCARD_E_NO_READERS_AVAILABLE, SCARD_E_NO_SERVICE, SCARD_E_NO_SMARTCARD, SCARD_E_NO_SUCH_CERTIFICATE, SCARD_E_NOT_READY, SCARD_E_NOT_TRANSACTED, SCARD_E_PCI_TOO_SMALL, SCARD_E_PROTO_MISMATCH, SCARD_E_READER_UNAVAILABLE, SCARD_E_READER_UNSUPPORTED, SCARD_E_SERVER_TOO_BUSY, SCARD_E_SERVICE_STOPPED, SCARD_E_SHARING_VIOLATION, SCARD_E_SYSTEM_CANCELLED, SCARD_E_TIMEOUT, SCARD_E_UNEXPECTED, SCARD_E_UNKNOWN_CARD, SCARD_E_UNKNOWN_READER, SCARD_E_UNKNOWN_RES_MNG, SCARD_E_UNSUPPORTED_FEATURE, SCARD_E_WRITE_TOO_MANY, SCARD_F_COMM_ERROR, SCARD_F_INTERNAL_ERROR, SCARD_F_UNKNOWN_ERROR, SCARD_F_WAITED_TOO_LONG, SCARD_P_SHUTDOWN, SCARD_S_SUCCESS, SCARD_W_CACHE_ITEM_NOT_FOUND, SCARD_W_CACHE_ITEM_STALE, SCARD_W_CACHE_ITEM_TOO_BIG, SCARD_W_CANCELLED_BY_USER, SCARD_W_CARD_NOT_AUTHENTICATED, SCARD_W_CHV_BLOCKED, SCARD_W_EOF, SCARD_W_REMOVED_CARD, SCARD_W_RESET_CARD, SCARD_W_SECURITY_VIOLATION, SCARD_W_UNPOWERED_CARD, SCARD_W_UNRESPONSIVE_CARD, SCARD_W_UNSUPPORTED_CARD, SCARD_W_WRONG_CHV, SCHED_E_ACCOUNT_DBASE_CORRUPT, SCHED_E_ACCOUNT_INFORMATION_NOT_SET, SCHED_E_ACCOUNT_NAME_NOT_FOUND, SCHED_E_ALREADY_RUNNING, SCHED_E_CANNOT_OPEN_TASK, SCHED_E_INVALID_TASK, SCHED_E_INVALID_TASK_HASH, SCHED_E_INVALIDVALUE, SCHED_E_MALFORMEDXML, SCHED_E_MISSINGNODE, SCHED_E_NAMESPACE, SCHED_E_NO_SECURITY_SERVICES, SCHED_E_PAST_END_BOUNDARY, SCHED_E_SERVICE_NOT_AVAILABLE, SCHED_E_SERVICE_NOT_INSTALLED, SCHED_E_SERVICE_NOT_LOCALSYSTEM, SCHED_E_SERVICE_NOT_RUNNING, SCHED_E_SERVICE_TOO_BUSY, SCHED_E_START_ON_DEMAND, SCHED_E_TASK_ATTEMPTED, SCHED_E_TASK_DISABLED, SCHED_E_TASK_NOT_READY, SCHED_E_TASK_NOT_RUNNING, SCHED_E_TASK_NOT_V1_COMPAT, SCHED_E_TOO_MANY_NODES, SCHED_E_TRIGGER_NOT_FOUND, SCHED_E_UNEXPECTEDNODE, SCHED_E_UNKNOWN_OBJECT_VERSION, SCHED_E_UNSUPPORTED_ACCOUNT_OPTION, SCHED_E_USER_NOT_LOGGED_ON, SCHED_S_BATCH_LOGON_PROBLEM, SCHED_S_EVENT_TRIGGER, SCHED_S_SOME_TRIGGERS_FAILED, SCHED_S_TASK_DISABLED, SCHED_S_TASK_HAS_NOT_RUN, SCHED_S_TASK_NO_MORE_RUNS, SCHED_S_TASK_NO_VALID_TRIGGERS, SCHED_S_TASK_NOT_SCHEDULED, SCHED_S_TASK_QUEUED, SCHED_S_TASK_READY, SCHED_S_TASK_RUNNING, SCHED_S_TASK_TERMINATED, SEC_E_ALGORITHM_MISMATCH, SEC_E_BAD_BINDINGS, SEC_E_BAD_PKGID, SEC_E_BUFFER_TOO_SMALL, SEC_E_CANNOT_INSTALL, SEC_E_CANNOT_PACK, SEC_E_CERT_EXPIRED, SEC_E_CERT_UNKNOWN, SEC_E_CERT_WRONG_USAGE, SEC_E_CONTEXT_EXPIRED, SEC_E_CROSSREALM_DELEGATION_FAILURE, SEC_E_CRYPTO_SYSTEM_INVALID, SEC_E_DECRYPT_FAILURE, SEC_E_DELEGATION_POLICY, SEC_E_DELEGATION_REQUIRED, SEC_E_DOWNGRADE_DETECTED, SEC_E_ENCRYPT_FAILURE, SEC_E_ILLEGAL_MESSAGE, SEC_E_INCOMPLETE_CREDENTIALS, SEC_E_INCOMPLETE_MESSAGE, SEC_E_INSUFFICIENT_MEMORY, SEC_E_INTERNAL_ERROR, SEC_E_INVALID_HANDLE, SEC_E_INVALID_PARAMETER, SEC_E_INVALID_TOKEN, SEC_E_ISSUING_CA_UNTRUSTED, SEC_E_ISSUING_CA_UNTRUSTED_KDC, SEC_E_KDC_CERT_EXPIRED, SEC_E_KDC_CERT_REVOKED, SEC_E_KDC_INVALID_REQUEST, SEC_E_KDC_UNABLE_TO_REFER, SEC_E_KDC_UNKNOWN_ETYPE, SEC_E_LOGON_DENIED, SEC_E_MAX_REFERRALS_EXCEEDED, SEC_E_MESSAGE_ALTERED, SEC_E_MULTIPLE_ACCOUNTS, SEC_E_MUST_BE_KDC, SEC_E_NO_AUTHENTICATING_AUTHORITY, SEC_E_NO_CREDENTIALS, SEC_E_NO_IMPERSONATION, SEC_E_NO_IP_ADDRESSES, SEC_E_NO_KERB_KEY, SEC_E_NO_PA_DATA, SEC_E_NO_S4U_PROT_SUPPORT, SEC_E_NO_SPM, SEC_E_NO_TGT_REPLY, SEC_E_NOT_OWNER, SEC_E_NOT_SUPPORTED, SEC_E_OK, SEC_E_OUT_OF_SEQUENCE, SEC_E_PKINIT_CLIENT_FAILURE, SEC_E_PKINIT_NAME_MISMATCH, SEC_E_POLICY_NLTM_ONLY, SEC_E_QOP_NOT_SUPPORTED, SEC_E_REVOCATION_OFFLINE_C, SEC_E_REVOCATION_OFFLINE_KDC, SEC_E_SECPKG_NOT_FOUND, SEC_E_SECURITY_QOS_FAILED, SEC_E_SHUTDOWN_IN_PROGRESS, SEC_E_SMARTCARD_CERT_EXPIRED, SEC_E_SMARTCARD_CERT_REVOKED, SEC_E_SMARTCARD_LOGON_REQUIRED, SEC_E_STRONG_CRYPTO_NOT_SUPPORTED, SEC_E_TARGET_UNKNOWN, SEC_E_TIME_SKEW, SEC_E_TOO_MANY_PRINCIPALS, SEC_E_UNFINISHED_CONTEXT_DELETED, SEC_E_UNKNOWN_CREDENTIALS, SEC_E_UNSUPPORTED_FUNCTION, SEC_E_UNSUPPORTED_PREAUTH, SEC_E_UNTRUSTED_ROOT, SEC_E_WRONG_CREDENTIAL_HANDLE, SEC_E_WRONG_PRINCIPAL, SEC_I_COMPLETE_AND_CONTINUE, SEC_I_COMPLETE_NEEDED, SEC_I_CONTEXT_EXPIRED, SEC_I_CONTINUE_NEEDED, SEC_I_INCOMPLETE_CREDENTIALS, SEC_I_LOCAL_LOGON, SEC_I_NO_LSA_CONTEXT, SEC_I_NO_RENEGOTIATION, SEC_I_RENEGOTIATE, SEC_I_SIGNATURE_NEEDED, SEVERITY_ERROR, SEVERITY_SUCCESS, SPAPI_E_AUTHENTICODE_DISALLOWED, SPAPI_E_AUTHENTICODE_PUBLISHER_NOT_TRUSTED, SPAPI_E_AUTHENTICODE_TRUST_NOT_ESTABLISHED, SPAPI_E_AUTHENTICODE_TRUSTED_PUBLISHER, SPAPI_E_BAD_INTERFACE_INSTALLSECT, SPAPI_E_BAD_SECTION_NAME_LINE, SPAPI_E_BAD_SERVICE_INSTALLSECT, SPAPI_E_CANT_LOAD_CLASS_ICON, SPAPI_E_CANT_REMOVE_DEVINST, SPAPI_E_CLASS_MISMATCH, SPAPI_E_DEVICE_INSTALL_BLOCKED, SPAPI_E_DEVICE_INSTALLER_NOT_READY, SPAPI_E_DEVICE_INTERFACE_ACTIVE, SPAPI_E_DEVICE_INTERFACE_REMOVED, SPAPI_E_DEVINFO_DATA_LOCKED, SPAPI_E_DEVINFO_LIST_LOCKED, SPAPI_E_DEVINFO_NOT_REGISTERED, SPAPI_E_DEVINST_ALREADY_EXISTS, SPAPI_E_DEVINSTALL_QUEUE_NONNATIVE, SPAPI_E_DI_BAD_PATH, SPAPI_E_DI_DO_DEFAULT, SPAPI_E_DI_DONT_INSTALL, SPAPI_E_DI_FUNCTION_OBSOLETE, SPAPI_E_DI_NOFILECOPY, SPAPI_E_DI_POSTPROCESSING_REQUIRED, SPAPI_E_DRIVER_INSTALL_BLOCKED, SPAPI_E_DRIVER_NONNATIVE, SPAPI_E_DRIVER_STORE_ADD_FAILED, SPAPI_E_DRIVER_STORE_DELETE_FAILED, SPAPI_E_DUPLICATE_FOUND, SPAPI_E_ERROR_NOT_INSTALLED, SPAPI_E_EXPECTED_SECTION_NAME, SPAPI_E_FILE_HASH_NOT_IN_CATALOG, SPAPI_E_FILEQUEUE_LOCKED, SPAPI_E_GENERAL_SYNTAX, SPAPI_E_IN_WOW64, SPAPI_E_INCORRECTLY_COPIED_INF, SPAPI_E_INF_IN_USE_BY_DEVICES, SPAPI_E_INVALID_CLASS, SPAPI_E_INVALID_CLASS_INSTALLER, SPAPI_E_INVALID_COINSTALLER, SPAPI_E_INVALID_DEVINST_NAME, SPAPI_E_INVALID_FILTER_DRIVER, SPAPI_E_INVALID_HWPROFILE, SPAPI_E_INVALID_INF_LOGCONFIG, SPAPI_E_INVALID_MACHINENAME, SPAPI_E_INVALID_PROPPAGE_PROVIDER, SPAPI_E_INVALID_REFERENCE_STRING, SPAPI_E_INVALID_REG_PROPERTY, SPAPI_E_INVALID_TARGET, SPAPI_E_KEY_DOES_NOT_EXIST, SPAPI_E_LINE_NOT_FOUND, SPAPI_E_MACHINE_UNAVAILABLE, SPAPI_E_NO_ASSOCIATED_CLASS, SPAPI_E_NO_ASSOCIATED_SERVICE, SPAPI_E_NO_AUTHENTICODE_CATALOG, SPAPI_E_NO_BACKUP, SPAPI_E_NO_CATALOG_FOR_OEM_INF, SPAPI_E_NO_CLASS_DRIVER_LIST, SPAPI_E_NO_CLASSINSTALL_PARAMS, SPAPI_E_NO_COMPAT_DRIVERS, SPAPI_E_NO_CONFIGMGR_SERVICES, SPAPI_E_NO_DEFAULT_DEVICE_INTERFACE, SPAPI_E_NO_DEVICE_ICON, SPAPI_E_NO_DEVICE_SELECTED, SPAPI_E_NO_DRIVER_SELECTED, SPAPI_E_NO_INF, SPAPI_E_NO_SUCH_DEVICE_INTERFACE, SPAPI_E_NO_SUCH_DEVINST, SPAPI_E_NO_SUCH_INTERFACE_CLASS, SPAPI_E_NON_WINDOWS_DRIVER, SPAPI_E_NON_WINDOWS_NT_DRIVER, SPAPI_E_NOT_AN_INSTALLED_OEM_INF, SPAPI_E_NOT_DISABLEABLE, SPAPI_E_ONLY_VALIDATE_VIA_AUTHENTICODE, SPAPI_E_PNP_REGISTRY_ERROR, SPAPI_E_REMOTE_COMM_FAILURE, SPAPI_E_REMOTE_REQUEST_UNSUPPORTED, SPAPI_E_SCE_DISABLED, SPAPI_E_SECTION_NAME_TOO_LONG, SPAPI_E_SECTION_NOT_FOUND, SPAPI_E_SET_SYSTEM_RESTORE_POINT, SPAPI_E_SIGNATURE_OSATTRIBUTE_MISMATCH, SPAPI_E_UNKNOWN_EXCEPTION, SPAPI_E_UNRECOVERABLE_STACK_OVERFLOW, SPAPI_E_WRONG_INF_STYLE, SPAPI_E_WRONG_INF_TYPE, STG_E_ABNORMALAPIEXIT, STG_E_ACCESSDENIED, STG_E_BADBASEADDRESS, STG_E_CANTSAVE, STG_E_CSS_AUTHENTICATION_FAILURE, STG_E_CSS_KEY_NOT_ESTABLISHED, STG_E_CSS_KEY_NOT_PRESENT, STG_E_CSS_REGION_MISMATCH, STG_E_CSS_SCRAMBLED_SECTOR, STG_E_DISKISWRITEPROTECTED, STG_E_DOCFILECORRUPT, STG_E_DOCFILETOOLARGE, STG_E_EXTANTMARSHALLINGS, STG_E_FILEALREADYEXISTS, STG_E_FILENOTFOUND, STG_E_INCOMPLETE, STG_E_INSUFFICIENTMEMORY, STG_E_INUSE, STG_E_INVALIDFLAG, STG_E_INVALIDFUNCTION, STG_E_INVALIDHANDLE, STG_E_INVALIDHEADER, STG_E_INVALIDNAME, STG_E_INVALIDPARAMETER, STG_E_INVALIDPOINTER, STG_E_LOCKVIOLATION, STG_E_MEDIUMFULL, STG_E_NOMOREFILES, STG_E_NOTCURRENT, STG_E_NOTFILEBASEDSTORAGE, STG_E_NOTSIMPLEFORMAT, STG_E_OLDDLL, STG_E_OLDFORMAT, STG_E_PATHNOTFOUND, STG_E_PROPSETMISMATCHED, STG_E_READFAULT, STG_E_RESETS_EXHAUSTED, STG_E_REVERTED, STG_E_SEEKERROR, STG_E_SHAREREQUIRED, STG_E_SHAREVIOLATION, STG_E_STATUS_COPY_PROTECTION_FAILURE, STG_E_TERMINATED, STG_E_TOOMANYOPENFILES, STG_E_UNIMPLEMENTEDFUNCTION, STG_E_UNKNOWN, STG_E_WRITEFAULT, STG_S_BLOCK, STG_S_CANNOTCONSOLIDATE, STG_S_CONSOLIDATIONFAILED, STG_S_CONVERTED, STG_S_MONITORING, STG_S_MULTIPLEOPENS, STG_S_RETRYNOW, TBS_E_BAD_PARAMETER, TBS_E_BUFFER_TOO_LARGE, TBS_E_COMMAND_CANCELED, TBS_E_INSUFFICIENT_BUFFER, TBS_E_INTERNAL_ERROR, TBS_E_INVALID_CONTEXT, TBS_E_INVALID_CONTEXT_PARAM, TBS_E_INVALID_OUTPUT_POINTER, TBS_E_IOERROR, TBS_E_PPI_NOT_SUPPORTED, TBS_E_SERVICE_DISABLED, TBS_E_SERVICE_NOT_RUNNING, TBS_E_SERVICE_START_PENDING, TBS_E_TOO_MANY_RESOURCES, TBS_E_TOO_MANY_TBS_CONTEXTS, TBS_E_TPM_NOT_FOUND, TBSIMP_E_BUFFER_TOO_SMALL, TBSIMP_E_CLEANUP_FAILED, TBSIMP_E_COMMAND_CANCELED, TBSIMP_E_COMMAND_FAILED, TBSIMP_E_DUPLICATE_VHANDLE, TBSIMP_E_HASH_BAD_KEY, TBSIMP_E_HASH_TABLE_FULL, TBSIMP_E_INVALID_CONTEXT_HANDLE, TBSIMP_E_INVALID_CONTEXT_PARAM, TBSIMP_E_INVALID_OUTPUT_POINTER, TBSIMP_E_INVALID_PARAMETER, TBSIMP_E_INVALID_RESOURCE, TBSIMP_E_LIST_NO_MORE_ITEMS, TBSIMP_E_LIST_NOT_FOUND, TBSIMP_E_NOT_ENOUGH_SPACE, TBSIMP_E_NOT_ENOUGH_TPM_CONTEXTS, TBSIMP_E_NOTHING_TO_UNLOAD, TBSIMP_E_OUT_OF_MEMORY, TBSIMP_E_PPI_NOT_SUPPORTED, TBSIMP_E_RESOURCE_EXPIRED, TBSIMP_E_RPC_INIT_FAILED, TBSIMP_E_SCHEDULER_NOT_RUNNING, TBSIMP_E_TOO_MANY_RESOURCES, TBSIMP_E_TOO_MANY_TBS_CONTEXTS, TBSIMP_E_TPM_ERROR, TBSIMP_E_TPM_INCOMPATIBLE, TBSIMP_E_UNKNOWN_ORDINAL, TPM_E_AREA_LOCKED, TPM_E_AUDITFAIL_SUCCESSFUL, TPM_E_AUDITFAIL_UNSUCCESSFUL, TPM_E_AUDITFAILURE, TPM_E_AUTH_CONFLICT, TPM_E_AUTH2FAIL, TPM_E_AUTHFAIL, TPM_E_BAD_ATTRIBUTES, TPM_E_BAD_COUNTER, TPM_E_BAD_DATASIZE, TPM_E_BAD_DELEGATE, TPM_E_BAD_HANDLE, TPM_E_BAD_KEY_PROPERTY, TPM_E_BAD_LOCALITY, TPM_E_BAD_MIGRATION, TPM_E_BAD_MODE, TPM_E_BAD_ORDINAL, TPM_E_BAD_PARAM_SIZE, TPM_E_BAD_PARAMETER, TPM_E_BAD_PRESENCE, TPM_E_BAD_SCHEME, TPM_E_BAD_SIGNATURE, TPM_E_BAD_TYPE, TPM_E_BAD_VERSION, TPM_E_BADCONTEXT, TPM_E_BADINDEX, TPM_E_BADTAG, TPM_E_CLEAR_DISABLED, TPM_E_COMMAND_BLOCKED, TPM_E_CONTEXT_GAP, TPM_E_DAA_INPUT_DATA0, TPM_E_DAA_INPUT_DATA1, TPM_E_DAA_ISSUER_SETTINGS, TPM_E_DAA_ISSUER_VALIDITY, TPM_E_DAA_RESOURCES, TPM_E_DAA_STAGE, TPM_E_DAA_TPM_SETTINGS, TPM_E_DAA_WRONG_W, TPM_E_DEACTIVATED, TPM_E_DECRYPT_ERROR, TPM_E_DEFEND_LOCK_RUNNING, TPM_E_DELEGATE_ADMIN, TPM_E_DELEGATE_FAMILY, TPM_E_DELEGATE_LOCK, TPM_E_DISABLED, TPM_E_DISABLED_CMD, TPM_E_DOING_SELFTEST, TPM_E_DUPLICATE_VHANDLE, TPM_E_EMBEDDED_COMMAND_BLOCKED, TPM_E_EMBEDDED_COMMAND_UNSUPPORTED, TPM_E_ENCRYPT_ERROR, TPM_E_ERROR_MASK, TPM_E_FAIL, TPM_E_FAILEDSELFTEST, TPM_E_FAMILYCOUNT, TPM_E_INAPPROPRIATE_ENC, TPM_E_INAPPROPRIATE_SIG, TPM_E_INSTALL_DISABLED, TPM_E_INVALID_AUTHHANDLE, TPM_E_INVALID_FAMILY, TPM_E_INVALID_HANDLE, TPM_E_INVALID_KEYHANDLE, TPM_E_INVALID_KEYUSAGE, TPM_E_INVALID_PCR_INFO, TPM_E_INVALID_POSTINIT, TPM_E_INVALID_RESOURCE, TPM_E_INVALID_STRUCTURE, TPM_E_IOERROR, TPM_E_KEY_NOTSUPPORTED, TPM_E_KEY_OWNER_CONTROL, TPM_E_KEYNOTFOUND, TPM_E_MA_AUTHORITY, TPM_E_MA_DESTINATION, TPM_E_MA_SOURCE, TPM_E_MA_TICKET_SIGNATURE, TPM_E_MAXNVWRITES, TPM_E_MIGRATEFAIL, TPM_E_NEEDS_SELFTEST, TPM_E_NO_ENDORSEMENT, TPM_E_NO_NV_PERMISSION, TPM_E_NO_WRAP_TRANSPORT, TPM_E_NOCONTEXTSPACE, TPM_E_NOOPERATOR, TPM_E_NOSPACE, TPM_E_NOSRK, TPM_E_NOT_FULLWRITE, TPM_E_NOTFIPS, TPM_E_NOTLOCAL, TPM_E_NOTRESETABLE, TPM_E_NOTSEALED_BLOB, TPM_E_OWNER_CONTROL, TPM_E_OWNER_SET, TPM_E_PER_NOWRITE, TPM_E_PERMANENTEK, TPM_E_PPI_ACPI_FAILURE, TPM_E_PPI_BIOS_FAILURE, TPM_E_PPI_NOT_SUPPORTED, TPM_E_PPI_USER_ABORT, TPM_E_READ_ONLY, TPM_E_REQUIRES_SIGN, TPM_E_RESOURCEMISSING, TPM_E_RESOURCES, TPM_E_RETRY, TPM_E_SHA_ERROR, TPM_E_SHA_THREAD, TPM_E_SHORTRANDOM, TPM_E_SIZE, TPM_E_TOOMANYCONTEXTS, TPM_E_TRANSPORT_NOTEXCLUSIVE, TPM_E_WRITE_LOCKED, TPM_E_WRONG_ENTITYTYPE, TPM_E_WRONGPCRVAL, TPMAPI_E_ACCESS_DENIED, TPMAPI_E_AUTHORIZATION_FAILED, TPMAPI_E_BUFFER_TOO_SMALL, TPMAPI_E_ENCRYPTION_FAILED, TPMAPI_E_FIPS_RNG_CHECK_FAILED, TPMAPI_E_INTERNAL_ERROR, TPMAPI_E_INVALID_CONTEXT_HANDLE, TPMAPI_E_INVALID_CONTEXT_PARAMS, TPMAPI_E_INVALID_DELEGATE_BLOB, TPMAPI_E_INVALID_ENCODING, TPMAPI_E_INVALID_KEY_BLOB, TPMAPI_E_INVALID_KEY_PARAMS, TPMAPI_E_INVALID_KEY_SIZE, TPMAPI_E_INVALID_MIGRATION_AUTHORIZATION_BLOB, TPMAPI_E_INVALID_OUTPUT_POINTER, TPMAPI_E_INVALID_OWNER_AUTH, TPMAPI_E_INVALID_PARAMETER, TPMAPI_E_INVALID_PCR_DATA, TPMAPI_E_INVALID_PCR_INDEX, TPMAPI_E_INVALID_STATE, TPMAPI_E_MESSAGE_TOO_LARGE, TPMAPI_E_NOT_ENOUGH_DATA, TPMAPI_E_OUT_OF_MEMORY, TPMAPI_E_TBS_COMMUNICATION_ERROR, TPMAPI_E_TOO_MUCH_DATA, TPMAPI_E_TPM_COMMAND_ERROR, TRUST_E_ACTION_UNKNOWN, TRUST_E_BAD_DIGEST, TRUST_E_BASIC_CONSTRAINTS, TRUST_E_CERT_SIGNATURE, TRUST_E_COUNTER_SIGNER, TRUST_E_EXPLICIT_DISTRUST, TRUST_E_FAIL, TRUST_E_FINANCIAL_CRITERIA, TRUST_E_NO_SIGNER_CERT, TRUST_E_NOSIGNATURE, TRUST_E_PROVIDER_UNKNOWN, TRUST_E_SUBJECT_FORM_UNKNOWN, TRUST_E_SUBJECT_NOT_TRUSTED, TRUST_E_SYSTEM_ERROR, TRUST_E_TIME_STAMP, TYPE_E_AMBIGUOUSNAME, TYPE_E_BADMODULEKIND, TYPE_E_BUFFERTOOSMALL, TYPE_E_CANTCREATETMPFILE, TYPE_E_CANTLOADLIBRARY, TYPE_E_CIRCULARTYPE, TYPE_E_DLLFUNCTIONNOTFOUND, TYPE_E_DUPLICATEID, TYPE_E_ELEMENTNOTFOUND, TYPE_E_FIELDNOTFOUND, TYPE_E_INCONSISTENTPROPFUNCS, TYPE_E_INVALIDID, TYPE_E_INVALIDSTATE, TYPE_E_INVDATAREAD, TYPE_E_IOERROR, TYPE_E_LIBNOTREGISTERED, TYPE_E_NAMECONFLICT, TYPE_E_OUTOFBOUNDS, TYPE_E_QUALIFIEDNAMEDISALLOWED, TYPE_E_REGISTRYACCESS, TYPE_E_SIZETOOBIG, TYPE_E_TYPEMISMATCH, TYPE_E_UNDEFINEDTYPE, TYPE_E_UNKNOWNLCID, TYPE_E_UNSUPFORMAT, TYPE_E_WRONGTYPEKIND, VIEW_E_DRAW, VIEW_E_FIRST, VIEW_E_LAST, VIEW_S_ALREADY_FROZEN, VIEW_S_FIRST, VIEW_S_LAST, WAIT_TIMEOUT, WARNING_IPSEC_MM_POLICY_PRUNED, WARNING_IPSEC_QM_POLICY_PRUNED, WSA_E_CANCELLED, WSA_E_NO_MORE, WSA_QOS_ADMISSION_FAILURE, WSA_QOS_BAD_OBJECT, WSA_QOS_BAD_STYLE, WSA_QOS_EFILTERCOUNT, WSA_QOS_EFILTERSTYLE, WSA_QOS_EFILTERTYPE, WSA_QOS_EFLOWCOUNT, WSA_QOS_EFLOWDESC, WSA_QOS_EFLOWSPEC, WSA_QOS_EOBJLENGTH, WSA_QOS_EPOLICYOBJ, WSA_QOS_EPROVSPECBUF, WSA_QOS_EPSFILTERSPEC, WSA_QOS_EPSFLOWSPEC, WSA_QOS_ESDMODEOBJ, WSA_QOS_ESERVICETYPE, WSA_QOS_ESHAPERATEOBJ, WSA_QOS_EUNKOWNPSOBJ, WSA_QOS_GENERIC_ERROR, WSA_QOS_NO_RECEIVERS, WSA_QOS_NO_SENDERS, WSA_QOS_POLICY_FAILURE, WSA_QOS_RECEIVERS, WSA_QOS_REQUEST_CONFIRMED, WSA_QOS_RESERVED_PETYPE, WSA_QOS_SENDERS, WSA_QOS_TRAFFIC_CTRL_ERROR, WSABASEERR, WSAEACCES, WSAEADDRINUSE, WSAEADDRNOTAVAIL, WSAEAFNOSUPPORT, WSAEALREADY, WSAEBADF, WSAECANCELLED, WSAECONNABORTED, WSAECONNREFUSED, WSAECONNRESET, WSAEDESTADDRREQ, WSAEDISCON, WSAEDQUOT, WSAEFAULT, WSAEHOSTDOWN, WSAEHOSTUNREACH, WSAEINPROGRESS, WSAEINTR, WSAEINVAL, WSAEINVALIDPROCTABLE, WSAEINVALIDPROVIDER, WSAEISCONN, WSAELOOP, WSAEMFILE, WSAEMSGSIZE, WSAENAMETOOLONG, WSAENETDOWN, WSAENETRESET, WSAENETUNREACH, WSAENOBUFS, WSAENOMORE, WSAENOPROTOOPT, WSAENOTCONN, WSAENOTEMPTY, WSAENOTSOCK, WSAEOPNOTSUPP, WSAEPFNOSUPPORT, WSAEPROCLIM, WSAEPROTONOSUPPORT, WSAEPROTOTYPE, WSAEPROVIDERFAILEDINIT, WSAEREFUSED, WSAEREMOTE, WSAESHUTDOWN, WSAESOCKTNOSUPPORT, WSAESTALE, WSAETIMEDOUT, WSAETOOMANYREFS, WSAEUSERS, WSAEWOULDBLOCK, WSAHOST_NOT_FOUND, WSANO_DATA, WSANO_RECOVERY, WSANOTINITIALISED, WSASERVICE_NOT_FOUND, WSASYSCALLFAILURE, WSASYSNOTREADY, WSATRY_AGAIN, WSATYPE_NOT_FOUND, WSAVERNOTSUPPORTED, XACT_E_ABORTED, XACT_E_ABORTING, XACT_E_ALREADYINPROGRESS, XACT_E_ALREADYOTHERSINGLEPHASE, XACT_E_CANTRETAIN, XACT_E_CLERKEXISTS, XACT_E_CLERKNOTFOUND, XACT_E_COMMITFAILED, XACT_E_COMMITPREVENTED, XACT_E_CONNECTION_DENIED, XACT_E_CONNECTION_DOWN, XACT_E_DEST_TMNOTAVAILABLE, XACT_E_FIRST, XACT_E_HEURISTICABORT, XACT_E_HEURISTICCOMMIT, XACT_E_HEURISTICDAMAGE, XACT_E_HEURISTICDANGER, XACT_E_INDOUBT, XACT_E_INVALIDCOOKIE, XACT_E_INVALIDLSN, XACT_E_ISOLATIONLEVEL, XACT_E_LAST, XACT_E_LOGFULL, XACT_E_NETWORK_TX_DISABLED, XACT_E_NOASYNC, XACT_E_NOENLIST, XACT_E_NOIMPORTOBJECT, XACT_E_NOISORETAIN, XACT_E_NORESOURCE, XACT_E_NOTCURRENT, XACT_E_NOTIMEOUT, XACT_E_NOTRANSACTION, XACT_E_NOTSUPPORTED, XACT_E_PARTNER_NETWORK_TX_DISABLED, XACT_E_RECOVERYINPROGRESS, XACT_E_REENLISTTIMEOUT, XACT_E_REPLAYREQUEST, XACT_E_TIP_CONNECT_FAILED, XACT_E_TIP_DISABLED, XACT_E_TIP_PROTOCOL_ERROR, XACT_E_TIP_PULL_FAILED, XACT_E_TMNOTAVAILABLE, XACT_E_TRANSACTIONCLOSED, XACT_E_UNABLE_TO_LOAD_DTC_PROXY, XACT_E_UNABLE_TO_READ_DTC_CONFIG, XACT_E_UNKNOWNRMGRID, XACT_E_WRONGSTATE, XACT_E_WRONGUOW, XACT_E_XA_TX_DISABLED, XACT_E_XTIONEXISTS, XACT_S_ABORTING, XACT_S_ALLNORETAIN, XACT_S_ASYNC, XACT_S_DEFECT, XACT_S_FIRST, XACT_S_LAST, XACT_S_LASTRESOURCEMANAGER, XACT_S_LOCALLY_OK, XACT_S_MADECHANGESCONTENT, XACT_S_MADECHANGESINFORM, XACT_S_OKINFORM, XACT_S_READONLY, XACT_S_SINGLEPHASE, XACT_S_SOMENORETAIN, XENROLL_E_CANNOT_ADD_ROOT_CERT, XENROLL_E_KEY_NOT_EXPORTABLE, XENROLL_E_KEYSPEC_SMIME_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_NOT_FOUND, XENROLL_E_RESPONSE_UNEXPECTED_KA_HASH`

- ## Field Details

  - ### MINCHAR

    static final int MINCHAR
    See Also:
      - Constant Field Values

  - ### MAXCHAR

    static final int MAXCHAR
    See Also:
      - Constant Field Values

  - ### MINSHORT

    static final int MINSHORT
    See Also:
      - Constant Field Values

  - ### MAXSHORT

    static final int MAXSHORT
    See Also:
      - Constant Field Values

  - ### MINLONG

    static final int MINLONG
    See Also:
      - Constant Field Values

  - ### MAXLONG

    static final int MAXLONG
    See Also:
      - Constant Field Values

  - ### MAXBYTE

    static final int MAXBYTE
    See Also:
      - Constant Field Values

  - ### MAXWORD

    static final int MAXWORD
    See Also:
      - Constant Field Values

  - ### MAXDWORD

    static final int MAXDWORD
    See Also:
      - Constant Field Values

  - ### DELETE

    static final int DELETE
    See Also:
      - Constant Field Values

  - ### READ_CONTROL

    static final int READ_CONTROL
    See Also:
      - Constant Field Values

  - ### WRITE_DAC

    static final int WRITE_DAC
    See Also:
      - Constant Field Values

  - ### WRITE_OWNER

    static final int WRITE_OWNER
    See Also:
      - Constant Field Values

  - ### SYNCHRONIZE

    static final int SYNCHRONIZE
    See Also:
      - Constant Field Values

  - ### STANDARD_RIGHTS_REQUIRED

    static final int STANDARD_RIGHTS_REQUIRED
    See Also:
      - Constant Field Values

  - ### STANDARD_RIGHTS_READ

    static final int STANDARD_RIGHTS_READ
    See Also:
      - Constant Field Values

  - ### STANDARD_RIGHTS_WRITE

    static final int STANDARD_RIGHTS_WRITE
    See Also:
      - Constant Field Values

  - ### STANDARD_RIGHTS_EXECUTE

    static final int STANDARD_RIGHTS_EXECUTE
    See Also:
      - Constant Field Values

  - ### STANDARD_RIGHTS_ALL

    static final int STANDARD_RIGHTS_ALL
    See Also:
      - Constant Field Values

  - ### SPECIFIC_RIGHTS_ALL

    static final int SPECIFIC_RIGHTS_ALL
    See Also:
      - Constant Field Values

  - ### MUTANT_QUERY_STATE

    static final int MUTANT_QUERY_STATE
    See Also:
      - Constant Field Values

  - ### MUTANT_ALL_ACCESS

    static final int MUTANT_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### TOKEN_ASSIGN_PRIMARY

    static final int TOKEN_ASSIGN_PRIMARY
    Required to attach a primary token to a process. The SE_ASSIGNPRIMARYTOKEN_NAME privilege is also required to accomplish this task.
    See Also:
      - Constant Field Values

  - ### TOKEN_DUPLICATE

    static final int TOKEN_DUPLICATE
    Required to duplicate an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_IMPERSONATE

    static final int TOKEN_IMPERSONATE
    Required to attach an impersonation access token to a process.
    See Also:
      - Constant Field Values

  - ### TOKEN_QUERY

    static final int TOKEN_QUERY
    Required to query an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_QUERY_SOURCE

    static final int TOKEN_QUERY_SOURCE
    Required to query the source of an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_ADJUST_PRIVILEGES

    static final int TOKEN_ADJUST_PRIVILEGES
    Required to enable or disable the privileges in an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_ADJUST_GROUPS

    static final int TOKEN_ADJUST_GROUPS
    Required to adjust the attributes of the groups in an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_ADJUST_DEFAULT

    static final int TOKEN_ADJUST_DEFAULT
    Required to change the default owner, primary group, or DACL of an access token.
    See Also:
      - Constant Field Values

  - ### TOKEN_ADJUST_SESSIONID

    static final int TOKEN_ADJUST_SESSIONID
    Required to adjust the session ID of an access token. The SE_TCB_NAME privilege is required.
    See Also:
      - Constant Field Values

  - ### TOKEN_ALL_ACCESS_P

    static final int TOKEN_ALL_ACCESS_P
    See Also:
      - Constant Field Values

  - ### TOKEN_ALL_ACCESS

    static final int TOKEN_ALL_ACCESS
    Combines all possible access rights for a token.
    See Also:
      - Constant Field Values

  - ### TOKEN_READ

    static final int TOKEN_READ
    Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.
    See Also:
      - Constant Field Values

  - ### TOKEN_WRITE

    static final int TOKEN_WRITE
    Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.
    See Also:
      - Constant Field Values

  - ### TOKEN_EXECUTE

    static final int TOKEN_EXECUTE
    Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.
    See Also:
      - Constant Field Values

  - ### THREAD_TERMINATE

    static final int THREAD_TERMINATE
    See Also:
      - Constant Field Values

  - ### THREAD_SUSPEND_RESUME

    static final int THREAD_SUSPEND_RESUME
    See Also:
      - Constant Field Values

  - ### THREAD_GET_CONTEXT

    static final int THREAD_GET_CONTEXT
    See Also:
      - Constant Field Values

  - ### THREAD_SET_CONTEXT

    static final int THREAD_SET_CONTEXT
    See Also:
      - Constant Field Values

  - ### THREAD_QUERY_INFORMATION

    static final int THREAD_QUERY_INFORMATION
    See Also:
      - Constant Field Values

  - ### THREAD_SET_INFORMATION

    static final int THREAD_SET_INFORMATION
    See Also:
      - Constant Field Values

  - ### THREAD_SET_THREAD_TOKEN

    static final int THREAD_SET_THREAD_TOKEN
    See Also:
      - Constant Field Values

  - ### THREAD_IMPERSONATE

    static final int THREAD_IMPERSONATE
    See Also:
      - Constant Field Values

  - ### THREAD_DIRECT_IMPERSONATION

    static final int THREAD_DIRECT_IMPERSONATION
    See Also:
      - Constant Field Values

  - ### THREAD_SET_LIMITED_INFORMATION

    static final int THREAD_SET_LIMITED_INFORMATION
    See Also:
      - Constant Field Values

  - ### THREAD_QUERY_LIMITED_INFORMATION

    static final int THREAD_QUERY_LIMITED_INFORMATION
    See Also:
      - Constant Field Values

  - ### THREAD_ALL_ACCESS

    static final int THREAD_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### LTP_PC_SMT

    static final int LTP_PC_SMT
    Flag identifying hyperthreading / simultaneous multithreading (SMT)
    See Also:
      - Constant Field Values

  - ### FILE_READ_DATA

    static final int FILE_READ_DATA
    See Also:
      - Constant Field Values

  - ### FILE_LIST_DIRECTORY

    static final int FILE_LIST_DIRECTORY
    See Also:
      - Constant Field Values

  - ### FILE_WRITE_DATA

    static final int FILE_WRITE_DATA
    See Also:
      - Constant Field Values

  - ### FILE_ADD_FILE

    static final int FILE_ADD_FILE
    See Also:
      - Constant Field Values

  - ### FILE_APPEND_DATA

    static final int FILE_APPEND_DATA
    See Also:
      - Constant Field Values

  - ### FILE_ADD_SUBDIRECTORY

    static final int FILE_ADD_SUBDIRECTORY
    See Also:
      - Constant Field Values

  - ### FILE_CREATE_PIPE_INSTANCE

    static final int FILE_CREATE_PIPE_INSTANCE
    See Also:
      - Constant Field Values

  - ### FILE_READ_EA

    static final int FILE_READ_EA
    See Also:
      - Constant Field Values

  - ### FILE_WRITE_EA

    static final int FILE_WRITE_EA
    See Also:
      - Constant Field Values

  - ### FILE_EXECUTE

    static final int FILE_EXECUTE
    See Also:
      - Constant Field Values

  - ### FILE_TRAVERSE

    static final int FILE_TRAVERSE
    See Also:
      - Constant Field Values

  - ### FILE_DELETE_CHILD

    static final int FILE_DELETE_CHILD
    See Also:
      - Constant Field Values

  - ### FILE_READ_ATTRIBUTES

    static final int FILE_READ_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### FILE_WRITE_ATTRIBUTES

    static final int FILE_WRITE_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### FILE_ALL_ACCESS

    static final int FILE_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_GENERIC_READ

    static final int FILE_GENERIC_READ
    See Also:
      - Constant Field Values

  - ### FILE_GENERIC_WRITE

    static final int FILE_GENERIC_WRITE
    See Also:
      - Constant Field Values

  - ### FILE_GENERIC_EXECUTE

    static final int FILE_GENERIC_EXECUTE
    See Also:
      - Constant Field Values

  - ### CREATE_NEW

    static final int CREATE_NEW
    See Also:
      - Constant Field Values

  - ### CREATE_ALWAYS

    static final int CREATE_ALWAYS
    See Also:
      - Constant Field Values

  - ### OPEN_EXISTING

    static final int OPEN_EXISTING
    See Also:
      - Constant Field Values

  - ### OPEN_ALWAYS

    static final int OPEN_ALWAYS
    See Also:
      - Constant Field Values

  - ### TRUNCATE_EXISTING

    static final int TRUNCATE_EXISTING
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_WRITE_THROUGH

    static final int FILE_FLAG_WRITE_THROUGH
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_OVERLAPPED

    static final int FILE_FLAG_OVERLAPPED
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_NO_BUFFERING

    static final int FILE_FLAG_NO_BUFFERING
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_RANDOM_ACCESS

    static final int FILE_FLAG_RANDOM_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_SEQUENTIAL_SCAN

    static final int FILE_FLAG_SEQUENTIAL_SCAN
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_DELETE_ON_CLOSE

    static final int FILE_FLAG_DELETE_ON_CLOSE
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_BACKUP_SEMANTICS

    static final int FILE_FLAG_BACKUP_SEMANTICS
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_POSIX_SEMANTICS

    static final int FILE_FLAG_POSIX_SEMANTICS
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_OPEN_REPARSE_POINT

    static final int FILE_FLAG_OPEN_REPARSE_POINT
    See Also:
      - Constant Field Values

  - ### FILE_FLAG_OPEN_NO_RECALL

    static final int FILE_FLAG_OPEN_NO_RECALL
    See Also:
      - Constant Field Values

  - ### GENERIC_READ

    static final int GENERIC_READ
    See Also:
      - Constant Field Values

  - ### GENERIC_WRITE

    static final int GENERIC_WRITE
    See Also:
      - Constant Field Values

  - ### GENERIC_EXECUTE

    static final int GENERIC_EXECUTE
    See Also:
      - Constant Field Values

  - ### GENERIC_ALL

    static final int GENERIC_ALL
    See Also:
      - Constant Field Values

  - ### ACCESS_SYSTEM_SECURITY

    static final int ACCESS_SYSTEM_SECURITY
    See Also:
      - Constant Field Values

  - ### PAGE_GUARD

    static final int PAGE_GUARD
    Pages in the region become guard pages.
    Any attempt to access a guard page causes the system to raise a STATUS_GUARD_PAGE_VIOLATION exception and turn off the guard page status.
    Guard pages thus act as a one-time access alarm.
    For more information, see Creating Guard Pages.
    When an access attempt leads the system to turn off guard page status, the underlying page protection takes over.
    If a guard page exception occurs during a system service, the service typically returns a failure status indicator.
    This value cannot be used with PAGE_NOACCESS. This flag is not supported by the CreateFileMapping function.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_NOACCESS

    static final int PAGE_NOACCESS
    Disables all access to the committed region of pages.
    An attempt to read from, write to, or execute the committed region results in an access violation.
    This flag is not supported by the CreateFileMapping function.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_READONLY

    static final int PAGE_READONLY
    Enables read-only access to the committed region of pages.
    An attempt to write to the committed region results in an access violation.
    If Data Execution Prevention is enabled, an attempt to execute code in the committed region results in an access violation.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_READWRITE

    static final int PAGE_READWRITE
    Enables read-only or read/write access to the committed region of pages.
    If Data Execution Prevention is enabled, attempting to execute code in the committed region results in an access violation.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_WRITECOPY

    static final int PAGE_WRITECOPY
    Enables read-only or copy-on-write access to a mapped view of a file mapping object. An attempt to write to a committed copy-on-write page results in a private copy of the page being made for the process. The private page is marked as PAGE_READWRITE, and the change is written to the new page. If Data Execution Prevention is enabled, attempting to execute code in the committed region results in an access violation.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_EXECUTE

    static final int PAGE_EXECUTE
    Enables execute access to the committed region of pages. An attempt to write to the committed region results in an access violation. This flag is not supported by the CreateFileMapping function.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_EXECUTE_READ

    static final int PAGE_EXECUTE_READ
    Enables execute or read-only access to the committed region of pages. An attempt to write to the committed region results in an access violation. Windows Server 2003 and Windows XP: This attribute is not supported by the CreateFileMapping function until Windows XP with SP2 and Windows Server 2003 with SP1.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PAGE_EXECUTE_READWRITE

    static final int PAGE_EXECUTE_READWRITE
    Enables execute, read-only, or read/write access to the committed region of pages. Windows Server 2003 and Windows XP: This attribute is not supported by the CreateFileMapping function until Windows XP with SP2 and Windows Server 2003 with SP1.
    See Also:
      - MSDN
      - Constant Field Values

  - ### SECTION_QUERY

    static final int SECTION_QUERY
    See Also:
      - Constant Field Values

  - ### SECTION_MAP_WRITE

    static final int SECTION_MAP_WRITE
    See Also:
      - Constant Field Values

  - ### SECTION_MAP_READ

    static final int SECTION_MAP_READ
    See Also:
      - Constant Field Values

  - ### SECTION_MAP_EXECUTE

    static final int SECTION_MAP_EXECUTE
    See Also:
      - Constant Field Values

  - ### SECTION_EXTEND_SIZE

    static final int SECTION_EXTEND_SIZE
    See Also:
      - Constant Field Values

  - ### SECTION_ALL_ACCESS

    static final int SECTION_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### SECTION_MAP_EXECUTE_EXPLICIT

    static final int SECTION_MAP_EXECUTE_EXPLICIT
    See Also:
      - Constant Field Values

  - ### FILE_SHARE_READ

    static final int FILE_SHARE_READ
    See Also:
      - Constant Field Values

  - ### FILE_SHARE_WRITE

    static final int FILE_SHARE_WRITE
    See Also:
      - Constant Field Values

  - ### FILE_SHARE_DELETE

    static final int FILE_SHARE_DELETE
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_CHAR

    static final int FILE_TYPE_CHAR
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_DISK

    static final int FILE_TYPE_DISK
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_PIPE

    static final int FILE_TYPE_PIPE
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_REMOTE

    static final int FILE_TYPE_REMOTE
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_UNKNOWN

    static final int FILE_TYPE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_READONLY

    static final int FILE_ATTRIBUTE_READONLY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_HIDDEN

    static final int FILE_ATTRIBUTE_HIDDEN
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_SYSTEM

    static final int FILE_ATTRIBUTE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_DIRECTORY

    static final int FILE_ATTRIBUTE_DIRECTORY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_ARCHIVE

    static final int FILE_ATTRIBUTE_ARCHIVE
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_DEVICE

    static final int FILE_ATTRIBUTE_DEVICE
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_NORMAL

    static final int FILE_ATTRIBUTE_NORMAL
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_TEMPORARY

    static final int FILE_ATTRIBUTE_TEMPORARY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_SPARSE_FILE

    static final int FILE_ATTRIBUTE_SPARSE_FILE
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_REPARSE_POINT

    static final int FILE_ATTRIBUTE_REPARSE_POINT
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_COMPRESSED

    static final int FILE_ATTRIBUTE_COMPRESSED
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_OFFLINE

    static final int FILE_ATTRIBUTE_OFFLINE
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_NOT_CONTENT_INDEXED

    static final int FILE_ATTRIBUTE_NOT_CONTENT_INDEXED
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_ENCRYPTED

    static final int FILE_ATTRIBUTE_ENCRYPTED
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_VIRTUAL

    static final int FILE_ATTRIBUTE_VIRTUAL
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_FILE_NAME

    static final int FILE_NOTIFY_CHANGE_FILE_NAME
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_DIR_NAME

    static final int FILE_NOTIFY_CHANGE_DIR_NAME
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_NAME

    static final int FILE_NOTIFY_CHANGE_NAME
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_ATTRIBUTES

    static final int FILE_NOTIFY_CHANGE_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_SIZE

    static final int FILE_NOTIFY_CHANGE_SIZE
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_LAST_WRITE

    static final int FILE_NOTIFY_CHANGE_LAST_WRITE
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_LAST_ACCESS

    static final int FILE_NOTIFY_CHANGE_LAST_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_CREATION

    static final int FILE_NOTIFY_CHANGE_CREATION
    See Also:
      - Constant Field Values

  - ### FILE_NOTIFY_CHANGE_SECURITY

    static final int FILE_NOTIFY_CHANGE_SECURITY
    See Also:
      - Constant Field Values

  - ### FILE_ACTION_ADDED

    static final int FILE_ACTION_ADDED
    See Also:
      - Constant Field Values

  - ### FILE_ACTION_REMOVED

    static final int FILE_ACTION_REMOVED
    See Also:
      - Constant Field Values

  - ### FILE_ACTION_MODIFIED

    static final int FILE_ACTION_MODIFIED
    See Also:
      - Constant Field Values

  - ### FILE_ACTION_RENAMED_OLD_NAME

    static final int FILE_ACTION_RENAMED_OLD_NAME
    See Also:
      - Constant Field Values

  - ### FILE_ACTION_RENAMED_NEW_NAME

    static final int FILE_ACTION_RENAMED_NEW_NAME
    See Also:
      - Constant Field Values

  - ### FILE_CASE_SENSITIVE_SEARCH

    static final int FILE_CASE_SENSITIVE_SEARCH
    See Also:
      - Constant Field Values

  - ### FILE_CASE_PRESERVED_NAMES

    static final int FILE_CASE_PRESERVED_NAMES
    See Also:
      - Constant Field Values

  - ### FILE_UNICODE_ON_DISK

    static final int FILE_UNICODE_ON_DISK
    See Also:
      - Constant Field Values

  - ### FILE_PERSISTENT_ACLS

    static final int FILE_PERSISTENT_ACLS
    See Also:
      - Constant Field Values

  - ### FILE_FILE_COMPRESSION

    static final int FILE_FILE_COMPRESSION
    See Also:
      - Constant Field Values

  - ### FILE_VOLUME_QUOTAS

    static final int FILE_VOLUME_QUOTAS
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_SPARSE_FILES

    static final int FILE_SUPPORTS_SPARSE_FILES
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_REPARSE_POINTS

    static final int FILE_SUPPORTS_REPARSE_POINTS
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_REMOTE_STORAGE

    static final int FILE_SUPPORTS_REMOTE_STORAGE
    See Also:
      - Constant Field Values

  - ### FILE_VOLUME_IS_COMPRESSED

    static final int FILE_VOLUME_IS_COMPRESSED
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_OBJECT_IDS

    static final int FILE_SUPPORTS_OBJECT_IDS
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_ENCRYPTION

    static final int FILE_SUPPORTS_ENCRYPTION
    See Also:
      - Constant Field Values

  - ### FILE_NAMED_STREAMS

    static final int FILE_NAMED_STREAMS
    See Also:
      - Constant Field Values

  - ### FILE_READ_ONLY_VOLUME

    static final int FILE_READ_ONLY_VOLUME
    See Also:
      - Constant Field Values

  - ### FILE_SEQUENTIAL_WRITE_ONCE

    static final int FILE_SEQUENTIAL_WRITE_ONCE
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_TRANSACTIONS

    static final int FILE_SUPPORTS_TRANSACTIONS
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_HARD_LINKS

    static final int FILE_SUPPORTS_HARD_LINKS
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_EXTENDED_ATTRIBUTES

    static final int FILE_SUPPORTS_EXTENDED_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_OPEN_BY_FILE_ID

    static final int FILE_SUPPORTS_OPEN_BY_FILE_ID
    See Also:
      - Constant Field Values

  - ### FILE_SUPPORTS_USN_JOURNAL

    static final int FILE_SUPPORTS_USN_JOURNAL
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_MOUNT_POINT

    static final int IO_REPARSE_TAG_MOUNT_POINT
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_HSM

    static final int IO_REPARSE_TAG_HSM
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_HSM2

    static final int IO_REPARSE_TAG_HSM2
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_SIS

    static final int IO_REPARSE_TAG_SIS
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_WIM

    static final int IO_REPARSE_TAG_WIM
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_CSV

    static final int IO_REPARSE_TAG_CSV
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_DFS

    static final int IO_REPARSE_TAG_DFS
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_SYMLINK

    static final int IO_REPARSE_TAG_SYMLINK
    See Also:
      - Constant Field Values

  - ### IO_REPARSE_TAG_DFSR

    static final int IO_REPARSE_TAG_DFSR
    See Also:
      - Constant Field Values

  - ### DDD_RAW_TARGET_PATH

    static final int DDD_RAW_TARGET_PATH
    See Also:
      - Constant Field Values

  - ### DDD_REMOVE_DEFINITION

    static final int DDD_REMOVE_DEFINITION
    See Also:
      - Constant Field Values

  - ### DDD_EXACT_MATCH_ON_REMOVE

    static final int DDD_EXACT_MATCH_ON_REMOVE
    See Also:
      - Constant Field Values

  - ### DDD_NO_BROADCAST_SYSTEM

    static final int DDD_NO_BROADCAST_SYSTEM
    See Also:
      - Constant Field Values

  - ### COMPRESSION_FORMAT_NONE

    static final int COMPRESSION_FORMAT_NONE
    See Also:
      - Constant Field Values

  - ### COMPRESSION_FORMAT_DEFAULT

    static final int COMPRESSION_FORMAT_DEFAULT
    See Also:
      - Constant Field Values

  - ### COMPRESSION_FORMAT_LZNT1

    static final int COMPRESSION_FORMAT_LZNT1
    See Also:
      - Constant Field Values

  - ### COMPRESSION_FORMAT_XPRESS

    static final int COMPRESSION_FORMAT_XPRESS
    See Also:
      - Constant Field Values

  - ### COMPRESSION_FORMAT_XPRESS_HUFF

    static final int COMPRESSION_FORMAT_XPRESS_HUFF
    See Also:
      - Constant Field Values

  - ### COMPRESSION_ENGINE_STANDARD

    static final int COMPRESSION_ENGINE_STANDARD
    See Also:
      - Constant Field Values

  - ### COMPRESSION_ENGINE_MAXIMUM

    static final int COMPRESSION_ENGINE_MAXIMUM
    See Also:
      - Constant Field Values

  - ### COMPRESSION_ENGINE_HIBER

    static final int COMPRESSION_ENGINE_HIBER
    See Also:
      - Constant Field Values

  - ### KEY_QUERY_VALUE

    static final int KEY_QUERY_VALUE
    Registry options.
    See Also:
      - Constant Field Values

  - ### KEY_SET_VALUE

    static final int KEY_SET_VALUE
    See Also:
      - Constant Field Values

  - ### KEY_CREATE_SUB_KEY

    static final int KEY_CREATE_SUB_KEY
    See Also:
      - Constant Field Values

  - ### KEY_ENUMERATE_SUB_KEYS

    static final int KEY_ENUMERATE_SUB_KEYS
    See Also:
      - Constant Field Values

  - ### KEY_NOTIFY

    static final int KEY_NOTIFY
    See Also:
      - Constant Field Values

  - ### KEY_CREATE_LINK

    static final int KEY_CREATE_LINK
    See Also:
      - Constant Field Values

  - ### KEY_WOW64_32KEY

    static final int KEY_WOW64_32KEY
    See Also:
      - Constant Field Values

  - ### KEY_WOW64_64KEY

    static final int KEY_WOW64_64KEY
    See Also:
      - Constant Field Values

  - ### KEY_WOW64_RES

    static final int KEY_WOW64_RES
    See Also:
      - Constant Field Values

  - ### KEY_READ

    static final int KEY_READ
    See Also:
      - Constant Field Values

  - ### KEY_WRITE

    static final int KEY_WRITE
    See Also:
      - Constant Field Values

  - ### KEY_EXECUTE

    static final int KEY_EXECUTE
    See Also:
      - Constant Field Values

  - ### KEY_ALL_ACCESS

    static final int KEY_ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### REG_OPTION_RESERVED

    static final int REG_OPTION_RESERVED
    Parameter is reserved.
    See Also:
      - Constant Field Values

  - ### REG_OPTION_NON_VOLATILE

    static final int REG_OPTION_NON_VOLATILE
    Key is preserved when system is rebooted.
    See Also:
      - Constant Field Values

  - ### REG_OPTION_VOLATILE

    static final int REG_OPTION_VOLATILE
    Key is not preserved when system is rebooted.
    See Also:
      - Constant Field Values

  - ### REG_OPTION_CREATE_LINK

    static final int REG_OPTION_CREATE_LINK
    Created key is a symbolic link.
    See Also:
      - Constant Field Values

  - ### REG_OPTION_BACKUP_RESTORE

    static final int REG_OPTION_BACKUP_RESTORE
    Open for backup or restore special access rules privilege required.
    See Also:
      - Constant Field Values

  - ### REG_OPTION_OPEN_LINK

    static final int REG_OPTION_OPEN_LINK
    Open symbolic link.
    See Also:
      - Constant Field Values

  - ### REG_LEGAL_OPTION

    static final int REG_LEGAL_OPTION
    See Also:
      - Constant Field Values

  - ### REG_CREATED_NEW_KEY

    static final int REG_CREATED_NEW_KEY
    New Registry Key created.
    See Also:
      - Constant Field Values

  - ### REG_OPENED_EXISTING_KEY

    static final int REG_OPENED_EXISTING_KEY
    Existing Key opened.
    See Also:
      - Constant Field Values

  - ### REG_STANDARD_FORMAT

    static final int REG_STANDARD_FORMAT
    See Also:
      - Constant Field Values

  - ### REG_LATEST_FORMAT

    static final int REG_LATEST_FORMAT
    See Also:
      - Constant Field Values

  - ### REG_NO_COMPRESSION

    static final int REG_NO_COMPRESSION
    See Also:
      - Constant Field Values

  - ### REG_WHOLE_HIVE_VOLATILE

    static final int REG_WHOLE_HIVE_VOLATILE
    Restore whole hive volatile.
    See Also:
      - Constant Field Values

  - ### REG_REFRESH_HIVE

    static final int REG_REFRESH_HIVE
    Unwind changes to last flush.
    See Also:
      - Constant Field Values

  - ### REG_NO_LAZY_FLUSH

    static final int REG_NO_LAZY_FLUSH
    Never lazy flush this hive.
    See Also:
      - Constant Field Values

  - ### REG_FORCE_RESTORE

    static final int REG_FORCE_RESTORE
    Force the restore process even when we have open handles on subkeys.
    See Also:
      - Constant Field Values

  - ### REG_APP_HIVE

    static final int REG_APP_HIVE
    Loads the hive visible to the calling process.
    See Also:
      - Constant Field Values

  - ### REG_PROCESS_PRIVATE

    static final int REG_PROCESS_PRIVATE
    Hive cannot be mounted by any other process while in use.
    See Also:
      - Constant Field Values

  - ### REG_START_JOURNAL

    static final int REG_START_JOURNAL
    Starts Hive Journal.
    See Also:
      - Constant Field Values

  - ### REG_HIVE_EXACT_FILE_GROWTH

    static final int REG_HIVE_EXACT_FILE_GROWTH
    Grow hive file in exact 4k increments.
    See Also:
      - Constant Field Values

  - ### REG_HIVE_NO_RM

    static final int REG_HIVE_NO_RM
    No RM is started for this hive = no transactions.
    See Also:
      - Constant Field Values

  - ### REG_HIVE_SINGLE_LOG

    static final int REG_HIVE_SINGLE_LOG
    Legacy single logging is used for this hive.
    See Also:
      - Constant Field Values

  - ### REG_FORCE_UNLOAD

    static final int REG_FORCE_UNLOAD
    See Also:
      - Constant Field Values

  - ### REG_NOTIFY_CHANGE_NAME

    static final int REG_NOTIFY_CHANGE_NAME
    See Also:
      - Constant Field Values

  - ### REG_NOTIFY_CHANGE_ATTRIBUTES

    static final int REG_NOTIFY_CHANGE_ATTRIBUTES
    See Also:
      - Constant Field Values

  - ### REG_NOTIFY_CHANGE_LAST_SET

    static final int REG_NOTIFY_CHANGE_LAST_SET
    See Also:
      - Constant Field Values

  - ### REG_NOTIFY_CHANGE_SECURITY

    static final int REG_NOTIFY_CHANGE_SECURITY
    See Also:
      - Constant Field Values

  - ### REG_NOTIFY_THREAD_AGNOSTIC

    static final int REG_NOTIFY_THREAD_AGNOSTIC
    See Also:
      - Constant Field Values

  - ### REG_LEGAL_CHANGE_FILTER

    static final int REG_LEGAL_CHANGE_FILTER
    See Also:
      - Constant Field Values

  - ### REG_NONE

    static final int REG_NONE
    No value type.
    See Also:
      - Constant Field Values

  - ### REG_SZ

    static final int REG_SZ
    Unicode null-terminated string.
    See Also:
      - Constant Field Values

  - ### REG_EXPAND_SZ

    static final int REG_EXPAND_SZ
    Unicode null-terminated string with environment variable references.
    See Also:
      - Constant Field Values

  - ### REG_BINARY

    static final int REG_BINARY
    Free-formed binary.
    See Also:
      - Constant Field Values

  - ### REG_DWORD

    static final int REG_DWORD
    32-bit number.
    See Also:
      - Constant Field Values

  - ### REG_DWORD_LITTLE_ENDIAN

    static final int REG_DWORD_LITTLE_ENDIAN
    32-bit number, same as REG_DWORD.
    See Also:
      - Constant Field Values

  - ### REG_DWORD_BIG_ENDIAN

    static final int REG_DWORD_BIG_ENDIAN
    32-bit number.
    See Also:
      - Constant Field Values

  - ### REG_LINK

    static final int REG_LINK
    Symbolic link (unicode).
    See Also:
      - Constant Field Values

  - ### REG_MULTI_SZ

    static final int REG_MULTI_SZ
    Multiple unicode strings.
    See Also:
      - Constant Field Values

  - ### REG_RESOURCE_LIST

    static final int REG_RESOURCE_LIST
    Resource list in the resource map.
    See Also:
      - Constant Field Values

  - ### REG_FULL_RESOURCE_DESCRIPTOR

    static final int REG_FULL_RESOURCE_DESCRIPTOR
    Resource list in the hardware description.
    See Also:
      - Constant Field Values

  - ### REG_RESOURCE_REQUIREMENTS_LIST

    static final int REG_RESOURCE_REQUIREMENTS_LIST
    See Also:
      - Constant Field Values

  - ### REG_QWORD

    static final int REG_QWORD
    64-bit number.
    See Also:
      - Constant Field Values

  - ### REG_QWORD_LITTLE_ENDIAN

    static final int REG_QWORD_LITTLE_ENDIAN
    64-bit number, same as REG_QWORD.
    See Also:
      - Constant Field Values

  - ### SID_REVISION

    static final int SID_REVISION
    Current SID revision level.
    See Also:
      - Constant Field Values

  - ### SID_MAX_SUB_AUTHORITIES

    static final int SID_MAX_SUB_AUTHORITIES
    See Also:
      - Constant Field Values

  - ### SID_RECOMMENDED_SUB_AUTHORITIES

    static final int SID_RECOMMENDED_SUB_AUTHORITIES
    See Also:
      - Constant Field Values

  - ### SECURITY_MAX_SID_SIZE

    static final int SECURITY_MAX_SID_SIZE
    Maximum bytes used by a SID. (sizeof(SID) - sizeof(DWORD) + (SID_MAX_SUB_AUTHORITIES * sizeof(DWORD)))
    See Also:
      - Constant Field Values

  - ### VER_EQUAL

    static final int VER_EQUAL
    See Also:
      - Constant Field Values

  - ### VER_GREATER

    static final int VER_GREATER
    See Also:
      - Constant Field Values

  - ### VER_GREATER_EQUAL

    static final int VER_GREATER_EQUAL
    See Also:
      - Constant Field Values

  - ### VER_LESS

    static final int VER_LESS
    See Also:
      - Constant Field Values

  - ### VER_LESS_EQUAL

    static final int VER_LESS_EQUAL
    See Also:
      - Constant Field Values

  - ### VER_AND

    static final int VER_AND
    See Also:
      - Constant Field Values

  - ### VER_OR

    static final int VER_OR
    See Also:
      - Constant Field Values

  - ### VER_CONDITION_MASK

    static final int VER_CONDITION_MASK
    See Also:
      - Constant Field Values

  - ### VER_NUM_BITS_PER_CONDITION_MASK

    static final int VER_NUM_BITS_PER_CONDITION_MASK
    See Also:
      - Constant Field Values

  - ### VER_MINORVERSION

    static final int VER_MINORVERSION
    See Also:
      - Constant Field Values

  - ### VER_MAJORVERSION

    static final int VER_MAJORVERSION
    See Also:
      - Constant Field Values

  - ### VER_BUILDNUMBER

    static final int VER_BUILDNUMBER
    See Also:
      - Constant Field Values

  - ### VER_PLATFORMID

    static final int VER_PLATFORMID
    See Also:
      - Constant Field Values

  - ### VER_SERVICEPACKMINOR

    static final int VER_SERVICEPACKMINOR
    See Also:
      - Constant Field Values

  - ### VER_SERVICEPACKMAJOR

    static final int VER_SERVICEPACKMAJOR
    See Also:
      - Constant Field Values

  - ### VER_SUITENAME

    static final int VER_SUITENAME
    See Also:
      - Constant Field Values

  - ### VER_PRODUCT_TYPE

    static final int VER_PRODUCT_TYPE
    See Also:
      - Constant Field Values

  - ### VER_NT_WORKSTATION

    static final int VER_NT_WORKSTATION
    See Also:
      - Constant Field Values

  - ### VER_NT_DOMAIN_CONTROLLER

    static final int VER_NT_DOMAIN_CONTROLLER
    See Also:
      - Constant Field Values

  - ### VER_NT_SERVER

    static final int VER_NT_SERVER
    See Also:
      - Constant Field Values

  - ### VER_PLATFORM_WIN32s

    static final int VER_PLATFORM_WIN32s
    See Also:
      - Constant Field Values

  - ### VER_PLATFORM_WIN32_WINDOWS

    static final int VER_PLATFORM_WIN32_WINDOWS
    See Also:
      - Constant Field Values

  - ### VER_PLATFORM_WIN32_NT

    static final int VER_PLATFORM_WIN32_NT
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_NT4

    static final short WIN32_WINNT_NT4
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WIN2K

    static final short WIN32_WINNT_WIN2K
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WINXP

    static final short WIN32_WINNT_WINXP
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WS03

    static final short WIN32_WINNT_WS03
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WIN6

    static final short WIN32_WINNT_WIN6
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_VISTA

    static final short WIN32_WINNT_VISTA
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WS08

    static final short WIN32_WINNT_WS08
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_LONGHORN

    static final short WIN32_WINNT_LONGHORN
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WIN7

    static final short WIN32_WINNT_WIN7
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WIN8

    static final short WIN32_WINNT_WIN8
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WINBLUE

    static final short WIN32_WINNT_WINBLUE
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WINTHRESHOLD

    static final short WIN32_WINNT_WINTHRESHOLD
    See Also:
      - Constant Field Values

  - ### WIN32_WINNT_WIN10

    static final short WIN32_WINNT_WIN10
    See Also:
      - Constant Field Values

  - ### EVENTLOG_SEQUENTIAL_READ

    static final int EVENTLOG_SEQUENTIAL_READ
    Read the records sequentially. If this is the first read operation, the EVENTLOG_FORWARDS_READ EVENTLOG_BACKWARDS_READ flags determines which record is read first.
    See Also:
      - Constant Field Values

  - ### EVENTLOG_SEEK_READ

    static final int EVENTLOG_SEEK_READ
    Begin reading from the record specified in the dwRecordOffset parameter. This option may not work with large log files if the function cannot determine the log file's size. For details, see Knowledge Base article, 177199.
    See Also:
      - Constant Field Values

  - ### EVENTLOG_FORWARDS_READ

    static final int EVENTLOG_FORWARDS_READ
    The log is read in chronological order (oldest to newest). The default.
    See Also:
      - Constant Field Values

  - ### EVENTLOG_BACKWARDS_READ

    static final int EVENTLOG_BACKWARDS_READ
    The log is read in reverse chronological order (newest to oldest).
    See Also:
      - Constant Field Values

  - ### EVENTLOG_SUCCESS

    static final int EVENTLOG_SUCCESS
    Information event
    See Also:
      - Constant Field Values

  - ### EVENTLOG_ERROR_TYPE

    static final int EVENTLOG_ERROR_TYPE
    Error event
    See Also:
      - Constant Field Values

  - ### EVENTLOG_WARNING_TYPE

    static final int EVENTLOG_WARNING_TYPE
    Warning event
    See Also:
      - Constant Field Values

  - ### EVENTLOG_INFORMATION_TYPE

    static final int EVENTLOG_INFORMATION_TYPE
    Information event
    See Also:
      - Constant Field Values

  - ### EVENTLOG_AUDIT_SUCCESS

    static final int EVENTLOG_AUDIT_SUCCESS
    Success Audit event
    See Also:
      - Constant Field Values

  - ### EVENTLOG_AUDIT_FAILURE

    static final int EVENTLOG_AUDIT_FAILURE
    Failure Audit event
    See Also:
      - Constant Field Values

  - ### SERVICE_KERNEL_DRIVER

    static final int SERVICE_KERNEL_DRIVER
    See Also:
      - Constant Field Values

  - ### SERVICE_FILE_SYSTEM_DRIVER

    static final int SERVICE_FILE_SYSTEM_DRIVER
    See Also:
      - Constant Field Values

  - ### SERVICE_ADAPTER

    static final int SERVICE_ADAPTER
    See Also:
      - Constant Field Values

  - ### SERVICE_RECOGNIZER_DRIVER

    static final int SERVICE_RECOGNIZER_DRIVER
    See Also:
      - Constant Field Values

  - ### SERVICE_DRIVER

    static final int SERVICE_DRIVER
    See Also:
      - Constant Field Values

  - ### SERVICE_WIN32_OWN_PROCESS

    static final int SERVICE_WIN32_OWN_PROCESS
    See Also:
      - Constant Field Values

  - ### SERVICE_WIN32_SHARE_PROCESS

    static final int SERVICE_WIN32_SHARE_PROCESS
    See Also:
      - Constant Field Values

  - ### SERVICE_WIN32

    static final int SERVICE_WIN32
    See Also:
      - Constant Field Values

  - ### SERVICE_INTERACTIVE_PROCESS

    static final int SERVICE_INTERACTIVE_PROCESS
    See Also:
      - Constant Field Values

  - ### SERVICE_TYPE_ALL

    static final int SERVICE_TYPE_ALL
    See Also:
      - Constant Field Values

  - ### SERVICE_BOOT_START

    static final int SERVICE_BOOT_START
    See Also:
      - Constant Field Values

  - ### SERVICE_SYSTEM_START

    static final int SERVICE_SYSTEM_START
    See Also:
      - Constant Field Values

  - ### SERVICE_AUTO_START

    static final int SERVICE_AUTO_START
    See Also:
      - Constant Field Values

  - ### SERVICE_DEMAND_START

    static final int SERVICE_DEMAND_START
    See Also:
      - Constant Field Values

  - ### SERVICE_DISABLED

    static final int SERVICE_DISABLED
    See Also:
      - Constant Field Values

  - ### SERVICE_ERROR_IGNORE

    static final int SERVICE_ERROR_IGNORE
    See Also:
      - Constant Field Values

  - ### SERVICE_ERROR_NORMAL

    static final int SERVICE_ERROR_NORMAL
    See Also:
      - Constant Field Values

  - ### SERVICE_ERROR_SEVERE

    static final int SERVICE_ERROR_SEVERE
    See Also:
      - Constant Field Values

  - ### SERVICE_ERROR_CRITICAL

    static final int SERVICE_ERROR_CRITICAL
    See Also:
      - Constant Field Values

  - ### STATUS_PENDING

    static final int STATUS_PENDING
    See Also:
      - Constant Field Values

  - ### SE_CREATE_TOKEN_NAME

    static final String SE_CREATE_TOKEN_NAME
    See Also:
      - Constant Field Values

  - ### SE_ASSIGNPRIMARYTOKEN_NAME

    static final String SE_ASSIGNPRIMARYTOKEN_NAME
    See Also:
      - Constant Field Values

  - ### SE_LOCK_MEMORY_NAME

    static final String SE_LOCK_MEMORY_NAME
    See Also:
      - Constant Field Values

  - ### SE_INCREASE_QUOTA_NAME

    static final String SE_INCREASE_QUOTA_NAME
    See Also:
      - Constant Field Values

  - ### SE_UNSOLICITED_INPUT_NAME

    static final String SE_UNSOLICITED_INPUT_NAME
    See Also:
      - Constant Field Values

  - ### SE_MACHINE_ACCOUNT_NAME

    static final String SE_MACHINE_ACCOUNT_NAME
    See Also:
      - Constant Field Values

  - ### SE_TCB_NAME

    static final String SE_TCB_NAME
    See Also:
      - Constant Field Values

  - ### SE_SECURITY_NAME

    static final String SE_SECURITY_NAME
    See Also:
      - Constant Field Values

  - ### SE_TAKE_OWNERSHIP_NAME

    static final String SE_TAKE_OWNERSHIP_NAME
    See Also:
      - Constant Field Values

  - ### SE_LOAD_DRIVER_NAME

    static final String SE_LOAD_DRIVER_NAME
    See Also:
      - Constant Field Values

  - ### SE_SYSTEM_PROFILE_NAME

    static final String SE_SYSTEM_PROFILE_NAME
    See Also:
      - Constant Field Values

  - ### SE_SYSTEMTIME_NAME

    static final String SE_SYSTEMTIME_NAME
    See Also:
      - Constant Field Values

  - ### SE_PROF_SINGLE_PROCESS_NAME

    static final String SE_PROF_SINGLE_PROCESS_NAME
    See Also:
      - Constant Field Values

  - ### SE_INC_BASE_PRIORITY_NAME

    static final String SE_INC_BASE_PRIORITY_NAME
    See Also:
      - Constant Field Values

  - ### SE_CREATE_PAGEFILE_NAME

    static final String SE_CREATE_PAGEFILE_NAME
    See Also:
      - Constant Field Values

  - ### SE_CREATE_PERMANENT_NAME

    static final String SE_CREATE_PERMANENT_NAME
    See Also:
      - Constant Field Values

  - ### SE_BACKUP_NAME

    static final String SE_BACKUP_NAME
    See Also:
      - Constant Field Values

  - ### SE_RESTORE_NAME

    static final String SE_RESTORE_NAME
    See Also:
      - Constant Field Values

  - ### SE_SHUTDOWN_NAME

    static final String SE_SHUTDOWN_NAME
    See Also:
      - Constant Field Values

  - ### SE_DEBUG_NAME

    static final String SE_DEBUG_NAME
    See Also:
      - Constant Field Values

  - ### SE_AUDIT_NAME

    static final String SE_AUDIT_NAME
    See Also:
      - Constant Field Values

  - ### SE_SYSTEM_ENVIRONMENT_NAME

    static final String SE_SYSTEM_ENVIRONMENT_NAME
    See Also:
      - Constant Field Values

  - ### SE_CHANGE_NOTIFY_NAME

    static final String SE_CHANGE_NOTIFY_NAME
    See Also:
      - Constant Field Values

  - ### SE_REMOTE_SHUTDOWN_NAME

    static final String SE_REMOTE_SHUTDOWN_NAME
    See Also:
      - Constant Field Values

  - ### SE_UNDOCK_NAME

    static final String SE_UNDOCK_NAME
    See Also:
      - Constant Field Values

  - ### SE_SYNC_AGENT_NAME

    static final String SE_SYNC_AGENT_NAME
    See Also:
      - Constant Field Values

  - ### SE_ENABLE_DELEGATION_NAME

    static final String SE_ENABLE_DELEGATION_NAME
    See Also:
      - Constant Field Values

  - ### SE_MANAGE_VOLUME_NAME

    static final String SE_MANAGE_VOLUME_NAME
    See Also:
      - Constant Field Values

  - ### SE_IMPERSONATE_NAME

    static final String SE_IMPERSONATE_NAME
    See Also:
      - Constant Field Values

  - ### SE_CREATE_GLOBAL_NAME

    static final String SE_CREATE_GLOBAL_NAME
    See Also:
      - Constant Field Values

  - ### SE_PRIVILEGE_ENABLED_BY_DEFAULT

    static final int SE_PRIVILEGE_ENABLED_BY_DEFAULT
    See Also:
      - Constant Field Values

  - ### SE_PRIVILEGE_ENABLED

    static final int SE_PRIVILEGE_ENABLED
    See Also:
      - Constant Field Values

  - ### SE_PRIVILEGE_REMOVED

    static final int SE_PRIVILEGE_REMOVED
    See Also:
      - Constant Field Values

  - ### SE_PRIVILEGE_USED_FOR_ACCESS

    static final int SE_PRIVILEGE_USED_FOR_ACCESS
    See Also:
      - Constant Field Values

  - ### PROCESS_CREATE_PROCESS

    static final int PROCESS_CREATE_PROCESS
    Required to create a process.
    See Also:
      - Constant Field Values

  - ### PROCESS_CREATE_THREAD

    static final int PROCESS_CREATE_THREAD
    Required to create a thread.
    See Also:
      - Constant Field Values

  - ### PROCESS_DUP_HANDLE

    static final int PROCESS_DUP_HANDLE
    Required to duplicate a handle using `Kernel32.DuplicateHandle(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinNT.HANDLEByReference, int, boolean, int)` .
    See Also:
      - Constant Field Values

  - ### PROCESS_ALL_ACCESS

    static final int PROCESS_ALL_ACCESS
    All possible access rights for a process object. Windows Server 2003 and Windows XP: The size of the PROCESS_ALL_ACCESS flag increased on Windows Server 2008 and Windows Vista.
    If an application compiled for Windows Server 2008 and Windows Vista is run on Windows Server 2003 or Windows XP, the PROCESS_ALL_ACCESS flag is too large and the function specifying this flag fails with ERROR_ACCESS_DENIED.
    To avoid this problem, specify the minimum set of access rights required for the operation.
    If PROCESS_ALL_ACCESS must be used, set _WIN32_WINNT to the minimum operating system targeted by your application (for example, #define _WIN32_WINNT _WIN32_WINNT_WINXP).
    For more information, see Using the Windows Headers.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PROCESS_QUERY_INFORMATION

    static final int PROCESS_QUERY_INFORMATION
    Required to retrieve certain information about a process, such as its token, exit code, and priority class (see `Advapi32.OpenProcessToken(com.sun.jna.platform.win32.WinNT.HANDLE, int, com.sun.jna.platform.win32.WinNT.HANDLEByReference)`).
    See Also:
      - Constant Field Values

  - ### PROCESS_QUERY_LIMITED_INFORMATION

    static final int PROCESS_QUERY_LIMITED_INFORMATION
    Required to retrieve certain information about a process (see `Kernel32.GetExitCodeProcess(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.ptr.IntByReference)` , `Kernel32#GetPriorityClass`, `Kernel32#IsProcessInJob`, `Kernel32.QueryFullProcessImageName`). A handle that has the `PROCESS_QUERY_INFORMATION` access right is automatically granted `PROCESS_QUERY_LIMITED_INFORMATION`. Windows Server 2003 and Windows XP: This access right is not supported.
    See Also:
      - Constant Field Values

  - ### PROCESS_SET_INFORMATION

    static final int PROCESS_SET_INFORMATION
    Required to set certain information about a process, such as its priority class (see `Kernel32#SetPriorityClass`).
    See Also:
      - Constant Field Values

  - ### PROCESS_SET_QUOTA

    static final int PROCESS_SET_QUOTA
    Required to set memory limits using `Kernel32.SetProcessWorkingSetSize()`.
    See Also:
      - Constant Field Values

  - ### PROCESS_SUSPEND_RESUME

    static final int PROCESS_SUSPEND_RESUME
    Required to suspend or resume a process.
    See Also:
      - Constant Field Values

  - ### PROCESS_TERMINATE

    static final int PROCESS_TERMINATE
    Required to terminate a process using `Kernel32.TerminateProcess(com.sun.jna.platform.win32.WinNT.HANDLE, int)`.
    See Also:
      - Constant Field Values

  - ### PROCESS_NAME_NATIVE

    static final int PROCESS_NAME_NATIVE
    Required for getting process exe path in native system path format `Kernel32.QueryFullProcessImageName()`.
    See Also:
      - Constant Field Values

  - ### PROCESS_VM_OPERATION

    static final int PROCESS_VM_OPERATION
    Required to perform an operation on the address space of a process (see `Kernel32.VirtualProtectEx()` and `Kernel32.WriteProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` ).
    See Also:
      - Constant Field Values

  - ### PROCESS_VM_READ

    static final int PROCESS_VM_READ
    Required to read memory in a process using `Kernel32.ReadProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` .
    See Also:
      - Constant Field Values

  - ### PROCESS_VM_WRITE

    static final int PROCESS_VM_WRITE
    Required to write to memory in a process using `Kernel32.WriteProcessMemory(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.ptr.IntByReference)` .
    See Also:
      - Constant Field Values

  - ### PROCESS_SYNCHRONIZE

    static final int PROCESS_SYNCHRONIZE
    Required to wait for the process to terminate using the wait functions.
    See Also:
      - Constant Field Values

  - ### OWNER_SECURITY_INFORMATION

    static final int OWNER_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### GROUP_SECURITY_INFORMATION

    static final int GROUP_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### DACL_SECURITY_INFORMATION

    static final int DACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### SACL_SECURITY_INFORMATION

    static final int SACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### LABEL_SECURITY_INFORMATION

    static final int LABEL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### PROTECTED_DACL_SECURITY_INFORMATION

    static final int PROTECTED_DACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### PROTECTED_SACL_SECURITY_INFORMATION

    static final int PROTECTED_SACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### UNPROTECTED_DACL_SECURITY_INFORMATION

    static final int UNPROTECTED_DACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### UNPROTECTED_SACL_SECURITY_INFORMATION

    static final int UNPROTECTED_SACL_SECURITY_INFORMATION
    See Also:
      - Constant Field Values

  - ### SE_OWNER_DEFAULTED

    static final int SE_OWNER_DEFAULTED
    See Also:
      - Constant Field Values

  - ### SE_GROUP_DEFAULTED

    static final int SE_GROUP_DEFAULTED
    See Also:
      - Constant Field Values

  - ### SE_DACL_PRESENT

    static final int SE_DACL_PRESENT
    See Also:
      - Constant Field Values

  - ### SE_DACL_DEFAULTED

    static final int SE_DACL_DEFAULTED
    See Also:
      - Constant Field Values

  - ### SE_SACL_PRESENT

    static final int SE_SACL_PRESENT
    See Also:
      - Constant Field Values

  - ### SE_SACL_DEFAULTED

    static final int SE_SACL_DEFAULTED
    See Also:
      - Constant Field Values

  - ### SE_DACL_AUTO_INHERIT_REQ

    static final int SE_DACL_AUTO_INHERIT_REQ
    See Also:
      - Constant Field Values

  - ### SE_SACL_AUTO_INHERIT_REQ

    static final int SE_SACL_AUTO_INHERIT_REQ
    See Also:
      - Constant Field Values

  - ### SE_DACL_AUTO_INHERITED

    static final int SE_DACL_AUTO_INHERITED
    See Also:
      - Constant Field Values

  - ### SE_SACL_AUTO_INHERITED

    static final int SE_SACL_AUTO_INHERITED
    See Also:
      - Constant Field Values

  - ### SE_DACL_PROTECTED

    static final int SE_DACL_PROTECTED
    See Also:
      - Constant Field Values

  - ### SE_SACL_PROTECTED

    static final int SE_SACL_PROTECTED
    See Also:
      - Constant Field Values

  - ### SE_RM_CONTROL_VALID

    static final int SE_RM_CONTROL_VALID
    See Also:
      - Constant Field Values

  - ### SE_SELF_RELATIVE

    static final int SE_SELF_RELATIVE
    See Also:
      - Constant Field Values

  - ### SECURITY_DESCRIPTOR_REVISION

    static final int SECURITY_DESCRIPTOR_REVISION
    See Also:
      - Constant Field Values

  - ### ACL_REVISION

    static final int ACL_REVISION
    See Also:
      - Constant Field Values

  - ### ACL_REVISION_DS

    static final int ACL_REVISION_DS
    See Also:
      - Constant Field Values

  - ### ACL_REVISION1

    static final int ACL_REVISION1
    See Also:
      - Constant Field Values

  - ### ACL_REVISION2

    static final int ACL_REVISION2
    See Also:
      - Constant Field Values

  - ### ACL_REVISION3

    static final int ACL_REVISION3
    See Also:
      - Constant Field Values

  - ### ACL_REVISION4

    static final int ACL_REVISION4
    See Also:
      - Constant Field Values

  - ### MIN_ACL_REVISION

    static final int MIN_ACL_REVISION
    See Also:
      - Constant Field Values

  - ### MAX_ACL_REVISION

    static final int MAX_ACL_REVISION
    See Also:
      - Constant Field Values

  - ### ACCESS_ALLOWED_ACE_TYPE

    static final byte ACCESS_ALLOWED_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_DENIED_ACE_TYPE

    static final byte ACCESS_DENIED_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_AUDIT_ACE_TYPE

    static final byte SYSTEM_AUDIT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_ALARM_ACE_TYPE

    static final byte SYSTEM_ALARM_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_ALLOWED_COMPOUND_ACE_TYPE

    static final byte ACCESS_ALLOWED_COMPOUND_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_ALLOWED_OBJECT_ACE_TYPE

    static final byte ACCESS_ALLOWED_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_DENIED_OBJECT_ACE_TYPE

    static final byte ACCESS_DENIED_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_AUDIT_OBJECT_ACE_TYPE

    static final byte SYSTEM_AUDIT_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_ALARM_OBJECT_ACE_TYPE

    static final byte SYSTEM_ALARM_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_ALLOWED_CALLBACK_ACE_TYPE

    static final byte ACCESS_ALLOWED_CALLBACK_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_DENIED_CALLBACK_ACE_TYPE

    static final byte ACCESS_DENIED_CALLBACK_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE

    static final byte ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE

    static final byte ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_AUDIT_CALLBACK_ACE_TYPE

    static final byte SYSTEM_AUDIT_CALLBACK_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_ALARM_CALLBACK_ACE_TYPE

    static final byte SYSTEM_ALARM_CALLBACK_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE

    static final byte SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE

    static final byte SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### SYSTEM_MANDATORY_LABEL_ACE_TYPE

    static final byte SYSTEM_MANDATORY_LABEL_ACE_TYPE
    See Also:
      - Constant Field Values

  - ### OBJECT_INHERIT_ACE

    static final byte OBJECT_INHERIT_ACE
    See Also:
      - Constant Field Values

  - ### CONTAINER_INHERIT_ACE

    static final byte CONTAINER_INHERIT_ACE
    See Also:
      - Constant Field Values

  - ### NO_PROPAGATE_INHERIT_ACE

    static final byte NO_PROPAGATE_INHERIT_ACE
    See Also:
      - Constant Field Values

  - ### INHERIT_ONLY_ACE

    static final byte INHERIT_ONLY_ACE
    See Also:
      - Constant Field Values

  - ### INHERITED_ACE

    static final byte INHERITED_ACE
    See Also:
      - Constant Field Values

  - ### VALID_INHERIT_FLAGS

    static final byte VALID_INHERIT_FLAGS
    See Also:
      - Constant Field Values

  - ### CACHE_FULLY_ASSOCIATIVE

    static final byte CACHE_FULLY_ASSOCIATIVE
    See Also:
      - Constant Field Values

  - ### NUM_DISCHARGE_POLICIES

    static final int NUM_DISCHARGE_POLICIES
    See Also:
      - Constant Field Values

  - ### MEM_COMMIT

    static final int MEM_COMMIT
    Indicates committed pages for which physical storage has been allocated, either in memory or in the paging file on disk.
    See Also:
      - Constant Field Values

  - ### MEM_FREE

    static final int MEM_FREE
    Indicates free pages not accessible to the calling process and available to be allocated. For free pages, the information in the AllocationBase, AllocationProtect, Protect, and Type members is undefined.
    See Also:
      - Constant Field Values

  - ### MEM_RESERVE

    static final int MEM_RESERVE
    Indicates reserved pages where a range of the process's virtual address space is reserved without any physical storage being allocated. For reserved pages, the information in the Protect member is undefined.
    See Also:
      - Constant Field Values

  - ### MEM_IMAGE

    static final int MEM_IMAGE
    Indicates that the memory pages within the region are mapped into the view of an image section.
    See Also:
      - Constant Field Values

  - ### MEM_MAPPED

    static final int MEM_MAPPED
    Indicates that the memory pages within the region are mapped into the view of a section.
    See Also:
      - Constant Field Values

  - ### MEM_PRIVATE

    static final int MEM_PRIVATE
    Indicates that the memory pages within the region are private (that is, not shared by other processes).
    See Also:
      - Constant Field Values

  - ### MEM_RESET

    static final int MEM_RESET
    Indicates that data in the memory range specified by lpAddress and dwSize is no longer of interest. The pages should not be read from or written to the paging file. However, the memory block will be used again later, so it should not be decommitted.
    See Also:
      - Constant Field Values

  - ### MEM_RESET_UNDO

    static final int MEM_RESET_UNDO
    MEM_RESET_UNDO should only be called on an address range to which MEM_RESET was successfully applied earlier. It indicates that the data in the specified memory range specified by lpAddress and dwSize is of interest to the caller and attempts to reverse the effects of MEM_RESET.
    See Also:
      - Constant Field Values

  - ### MEM_LARGE_PAGES

    static final int MEM_LARGE_PAGES
    Allocates memory using large page support.

    The size and alignment must be a multiple of the large-page minimum. To obtain this value, use the GetLargePageMinimum function.

    If you specify this value, you must also specify MEM_RESERVE and MEM_COMMIT.

    See Also:
      - Constant Field Values

  - ### MEM_PHYSICAL

    static final int MEM_PHYSICAL
    Reserves an address range that can be used to map Address Windowing Extensions (AWE) pages.

    This value must be used with MEM_RESERVE and no other values.

    See Also:
      - Constant Field Values

  - ### MEM_TOP_DOWN

    static final int MEM_TOP_DOWN
    Allocates memory at the highest possible address. This can be slower than regular allocations, especially when there are many allocations.
    See Also:
      - Constant Field Values

  - ### MEM_COALESCE_PLACEHOLDERS

    static final int MEM_COALESCE_PLACEHOLDERS
    To coalesce two adjacent placeholders, specify MEM_RELEASE | MEM_COALESCE_PLACEHOLDERS. When you coalesce placeholders, lpAddress and dwSize must exactly match those of the placeholder.
    See Also:
      - Constant Field Values

  - ### MEM_PRESERVE_PLACEHOLDER

    static final int MEM_PRESERVE_PLACEHOLDER
    Frees an allocation back to a placeholder (after you've replaced a placeholder with a private allocation using VirtualAlloc2 or Virtual2AllocFromApp).

    To split a placeholder into two placeholders, specify MEM_RELEASE | MEM_PRESERVE_PLACEHOLDER.

    See Also:
      - Constant Field Values

  - ### MEM_DECOMMIT

    static final int MEM_DECOMMIT
    Decommits the specified region of committed pages. After the operation, the pages are in the reserved state.

    The function does not fail if you attempt to decommit an uncommitted page. This means that you can decommit a range of pages without first determining their current commitment state.

    Do not use this value with MEM_RELEASE.

    The MEM_DECOMMIT value is not supported when the lpAddress parameter provides the base address for an enclave.

    See Also:
      - Constant Field Values

  - ### MEM_RELEASE

    static final int MEM_RELEASE
    Releases the specified region of pages, or placeholder (for a placeholder, the address space is released and available for other allocations). After the operation, the pages are in the free state.

    If you specify this value, dwSize must be 0 (zero), and lpAddress must point to the base address returned by the VirtualAllocEx function when the region is reserved. The function fails if either of these conditions is not met.

    If any pages in the region are committed currently, the function first decommits, and then releases them.

    The function does not fail if you attempt to release pages that are in different states, some reserved and some committed. This means that you can release a range of pages without first determining the current commitment state.

    Do not use this value with MEM_DECOMMIT.

    See Also:
      - Constant Field Values

  - ### SECURITY_DYNAMIC_TRACKING

    static final byte SECURITY_DYNAMIC_TRACKING
    See Also:
      - Constant Field Values

  - ### SECURITY_STATIC_TRACKING

    static final byte SECURITY_STATIC_TRACKING
    See Also:
      - Constant Field Values

  - ### BOOLEAN_TRUE

    static final byte BOOLEAN_TRUE
    See Also:
      - Constant Field Values

  - ### BOOLEAN_FALSE

    static final byte BOOLEAN_FALSE
    See Also:
      - Constant Field Values

  - ### LANG_NEUTRAL

    static final int LANG_NEUTRAL
    See Also:
      - Constant Field Values

  - ### LANG_INVARIANT

    static final int LANG_INVARIANT
    See Also:
      - Constant Field Values

  - ### LANG_AFRIKAANS

    static final int LANG_AFRIKAANS
    See Also:
      - Constant Field Values

  - ### LANG_ALBANIAN

    static final int LANG_ALBANIAN
    See Also:
      - Constant Field Values

  - ### LANG_ARABIC

    static final int LANG_ARABIC
    See Also:
      - Constant Field Values

  - ### LANG_ARMENIAN

    static final int LANG_ARMENIAN
    See Also:
      - Constant Field Values

  - ### LANG_ASSAMESE

    static final int LANG_ASSAMESE
    See Also:
      - Constant Field Values

  - ### LANG_AZERI

    static final int LANG_AZERI
    See Also:
      - Constant Field Values

  - ### LANG_BASQUE

    static final int LANG_BASQUE
    See Also:
      - Constant Field Values

  - ### LANG_BELARUSIAN

    static final int LANG_BELARUSIAN
    See Also:
      - Constant Field Values

  - ### LANG_BENGALI

    static final int LANG_BENGALI
    See Also:
      - Constant Field Values

  - ### LANG_BULGARIAN

    static final int LANG_BULGARIAN
    See Also:
      - Constant Field Values

  - ### LANG_CATALAN

    static final int LANG_CATALAN
    See Also:
      - Constant Field Values

  - ### LANG_CHINESE

    static final int LANG_CHINESE
    See Also:
      - Constant Field Values

  - ### LANG_CROATIAN

    static final int LANG_CROATIAN
    See Also:
      - Constant Field Values

  - ### LANG_CZECH

    static final int LANG_CZECH
    See Also:
      - Constant Field Values

  - ### LANG_DANISH

    static final int LANG_DANISH
    See Also:
      - Constant Field Values

  - ### LANG_DIVEHI

    static final int LANG_DIVEHI
    See Also:
      - Constant Field Values

  - ### LANG_DUTCH

    static final int LANG_DUTCH
    See Also:
      - Constant Field Values

  - ### LANG_ENGLISH

    static final int LANG_ENGLISH
    See Also:
      - Constant Field Values

  - ### LANG_ESTONIAN

    static final int LANG_ESTONIAN
    See Also:
      - Constant Field Values

  - ### LANG_FAEROESE

    static final int LANG_FAEROESE
    See Also:
      - Constant Field Values

  - ### LANG_FARSI

    static final int LANG_FARSI
    See Also:
      - Constant Field Values

  - ### LANG_FINNISH

    static final int LANG_FINNISH
    See Also:
      - Constant Field Values

  - ### LANG_FRENCH

    static final int LANG_FRENCH
    See Also:
      - Constant Field Values

  - ### LANG_GALICIAN

    static final int LANG_GALICIAN
    See Also:
      - Constant Field Values

  - ### LANG_GEORGIAN

    static final int LANG_GEORGIAN
    See Also:
      - Constant Field Values

  - ### LANG_GERMAN

    static final int LANG_GERMAN
    See Also:
      - Constant Field Values

  - ### LANG_GREEK

    static final int LANG_GREEK
    See Also:
      - Constant Field Values

  - ### LANG_GUJARATI

    static final int LANG_GUJARATI
    See Also:
      - Constant Field Values

  - ### LANG_HEBREW

    static final int LANG_HEBREW
    See Also:
      - Constant Field Values

  - ### LANG_HINDI

    static final int LANG_HINDI
    See Also:
      - Constant Field Values

  - ### LANG_HUNGARIAN

    static final int LANG_HUNGARIAN
    See Also:
      - Constant Field Values

  - ### LANG_ICELANDIC

    static final int LANG_ICELANDIC
    See Also:
      - Constant Field Values

  - ### LANG_INDONESIAN

    static final int LANG_INDONESIAN
    See Also:
      - Constant Field Values

  - ### LANG_ITALIAN

    static final int LANG_ITALIAN
    See Also:
      - Constant Field Values

  - ### LANG_JAPANESE

    static final int LANG_JAPANESE
    See Also:
      - Constant Field Values

  - ### LANG_KANNADA

    static final int LANG_KANNADA
    See Also:
      - Constant Field Values

  - ### LANG_KASHMIRI

    static final int LANG_KASHMIRI
    See Also:
      - Constant Field Values

  - ### LANG_KAZAK

    static final int LANG_KAZAK
    See Also:
      - Constant Field Values

  - ### LANG_KONKANI

    static final int LANG_KONKANI
    See Also:
      - Constant Field Values

  - ### LANG_KOREAN

    static final int LANG_KOREAN
    See Also:
      - Constant Field Values

  - ### LANG_KYRGYZ

    static final int LANG_KYRGYZ
    See Also:
      - Constant Field Values

  - ### LANG_LATVIAN

    static final int LANG_LATVIAN
    See Also:
      - Constant Field Values

  - ### LANG_LITHUANIAN

    static final int LANG_LITHUANIAN
    See Also:
      - Constant Field Values

  - ### LANG_MACEDONIAN

    static final int LANG_MACEDONIAN
    See Also:
      - Constant Field Values

  - ### LANG_MALAY

    static final int LANG_MALAY
    See Also:
      - Constant Field Values

  - ### LANG_MALAYALAM

    static final int LANG_MALAYALAM
    See Also:
      - Constant Field Values

  - ### LANG_MANIPURI

    static final int LANG_MANIPURI
    See Also:
      - Constant Field Values

  - ### LANG_MARATHI

    static final int LANG_MARATHI
    See Also:
      - Constant Field Values

  - ### LANG_MONGOLIAN

    static final int LANG_MONGOLIAN
    See Also:
      - Constant Field Values

  - ### LANG_NEPALI

    static final int LANG_NEPALI
    See Also:
      - Constant Field Values

  - ### LANG_NORWEGIAN

    static final int LANG_NORWEGIAN
    See Also:
      - Constant Field Values

  - ### LANG_ORIYA

    static final int LANG_ORIYA
    See Also:
      - Constant Field Values

  - ### LANG_POLISH

    static final int LANG_POLISH
    See Also:
      - Constant Field Values

  - ### LANG_PORTUGUESE

    static final int LANG_PORTUGUESE
    See Also:
      - Constant Field Values

  - ### LANG_PUNJABI

    static final int LANG_PUNJABI
    See Also:
      - Constant Field Values

  - ### LANG_ROMANIAN

    static final int LANG_ROMANIAN
    See Also:
      - Constant Field Values

  - ### LANG_RUSSIAN

    static final int LANG_RUSSIAN
    See Also:
      - Constant Field Values

  - ### LANG_SANSKRIT

    static final int LANG_SANSKRIT
    See Also:
      - Constant Field Values

  - ### LANG_SERBIAN

    static final int LANG_SERBIAN
    See Also:
      - Constant Field Values

  - ### LANG_SINDHI

    static final int LANG_SINDHI
    See Also:
      - Constant Field Values

  - ### LANG_SLOVAK

    static final int LANG_SLOVAK
    See Also:
      - Constant Field Values

  - ### LANG_SLOVENIAN

    static final int LANG_SLOVENIAN
    See Also:
      - Constant Field Values

  - ### LANG_SPANISH

    static final int LANG_SPANISH
    See Also:
      - Constant Field Values

  - ### LANG_SWAHILI

    static final int LANG_SWAHILI
    See Also:
      - Constant Field Values

  - ### LANG_SWEDISH

    static final int LANG_SWEDISH
    See Also:
      - Constant Field Values

  - ### LANG_SYRIAC

    static final int LANG_SYRIAC
    See Also:
      - Constant Field Values

  - ### LANG_TAMIL

    static final int LANG_TAMIL
    See Also:
      - Constant Field Values

  - ### LANG_TATAR

    static final int LANG_TATAR
    See Also:
      - Constant Field Values

  - ### LANG_TELUGU

    static final int LANG_TELUGU
    See Also:
      - Constant Field Values

  - ### LANG_THAI

    static final int LANG_THAI
    See Also:
      - Constant Field Values

  - ### LANG_TURKISH

    static final int LANG_TURKISH
    See Also:
      - Constant Field Values

  - ### LANG_UKRAINIAN

    static final int LANG_UKRAINIAN
    See Also:
      - Constant Field Values

  - ### LANG_URDU

    static final int LANG_URDU
    See Also:
      - Constant Field Values

  - ### LANG_UZBEK

    static final int LANG_UZBEK
    See Also:
      - Constant Field Values

  - ### LANG_VIETNAMESE

    static final int LANG_VIETNAMESE
    See Also:
      - Constant Field Values

  - ### SUBLANG_NEUTRAL

    static final int SUBLANG_NEUTRAL
    See Also:
      - Constant Field Values

  - ### SUBLANG_DEFAULT

    static final int SUBLANG_DEFAULT
    See Also:
      - Constant Field Values

  - ### SUBLANG_SYS_DEFAULT

    static final int SUBLANG_SYS_DEFAULT
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_SAUDI_ARABIA

    static final int SUBLANG_ARABIC_SAUDI_ARABIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_IRAQ

    static final int SUBLANG_ARABIC_IRAQ
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_EGYPT

    static final int SUBLANG_ARABIC_EGYPT
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_LIBYA

    static final int SUBLANG_ARABIC_LIBYA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_ALGERIA

    static final int SUBLANG_ARABIC_ALGERIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_MOROCCO

    static final int SUBLANG_ARABIC_MOROCCO
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_TUNISIA

    static final int SUBLANG_ARABIC_TUNISIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_OMAN

    static final int SUBLANG_ARABIC_OMAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_YEMEN

    static final int SUBLANG_ARABIC_YEMEN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_SYRIA

    static final int SUBLANG_ARABIC_SYRIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_JORDAN

    static final int SUBLANG_ARABIC_JORDAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_LEBANON

    static final int SUBLANG_ARABIC_LEBANON
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_KUWAIT

    static final int SUBLANG_ARABIC_KUWAIT
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_UAE

    static final int SUBLANG_ARABIC_UAE
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_BAHRAIN

    static final int SUBLANG_ARABIC_BAHRAIN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ARABIC_QATAR

    static final int SUBLANG_ARABIC_QATAR
    See Also:
      - Constant Field Values

  - ### SUBLANG_AZERI_LATIN

    static final int SUBLANG_AZERI_LATIN
    See Also:
      - Constant Field Values

  - ### SUBLANG_AZERI_CYRILLIC

    static final int SUBLANG_AZERI_CYRILLIC
    See Also:
      - Constant Field Values

  - ### SUBLANG_CHINESE_TRADITIONAL

    static final int SUBLANG_CHINESE_TRADITIONAL
    See Also:
      - Constant Field Values

  - ### SUBLANG_CHINESE_SIMPLIFIED

    static final int SUBLANG_CHINESE_SIMPLIFIED
    See Also:
      - Constant Field Values

  - ### SUBLANG_CHINESE_HONGKONG

    static final int SUBLANG_CHINESE_HONGKONG
    See Also:
      - Constant Field Values

  - ### SUBLANG_CHINESE_SINGAPORE

    static final int SUBLANG_CHINESE_SINGAPORE
    See Also:
      - Constant Field Values

  - ### SUBLANG_CHINESE_MACAU

    static final int SUBLANG_CHINESE_MACAU
    See Also:
      - Constant Field Values

  - ### SUBLANG_DUTCH

    static final int SUBLANG_DUTCH
    See Also:
      - Constant Field Values

  - ### SUBLANG_DUTCH_BELGIAN

    static final int SUBLANG_DUTCH_BELGIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_US

    static final int SUBLANG_ENGLISH_US
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_UK

    static final int SUBLANG_ENGLISH_UK
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_AUS

    static final int SUBLANG_ENGLISH_AUS
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_CAN

    static final int SUBLANG_ENGLISH_CAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_NZ

    static final int SUBLANG_ENGLISH_NZ
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_EIRE

    static final int SUBLANG_ENGLISH_EIRE
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_SOUTH_AFRICA

    static final int SUBLANG_ENGLISH_SOUTH_AFRICA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_JAMAICA

    static final int SUBLANG_ENGLISH_JAMAICA
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_CARIBBEAN

    static final int SUBLANG_ENGLISH_CARIBBEAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_BELIZE

    static final int SUBLANG_ENGLISH_BELIZE
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_TRINIDAD

    static final int SUBLANG_ENGLISH_TRINIDAD
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_ZIMBABWE

    static final int SUBLANG_ENGLISH_ZIMBABWE
    See Also:
      - Constant Field Values

  - ### SUBLANG_ENGLISH_PHILIPPINES

    static final int SUBLANG_ENGLISH_PHILIPPINES
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH

    static final int SUBLANG_FRENCH
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH_BELGIAN

    static final int SUBLANG_FRENCH_BELGIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH_CANADIAN

    static final int SUBLANG_FRENCH_CANADIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH_SWISS

    static final int SUBLANG_FRENCH_SWISS
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH_LUXEMBOURG

    static final int SUBLANG_FRENCH_LUXEMBOURG
    See Also:
      - Constant Field Values

  - ### SUBLANG_FRENCH_MONACO

    static final int SUBLANG_FRENCH_MONACO
    See Also:
      - Constant Field Values

  - ### SUBLANG_GERMAN

    static final int SUBLANG_GERMAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_GERMAN_SWISS

    static final int SUBLANG_GERMAN_SWISS
    See Also:
      - Constant Field Values

  - ### SUBLANG_GERMAN_AUSTRIAN

    static final int SUBLANG_GERMAN_AUSTRIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_GERMAN_LUXEMBOURG

    static final int SUBLANG_GERMAN_LUXEMBOURG
    See Also:
      - Constant Field Values

  - ### SUBLANG_GERMAN_LIECHTENSTEIN

    static final int SUBLANG_GERMAN_LIECHTENSTEIN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ITALIAN

    static final int SUBLANG_ITALIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_ITALIAN_SWISS

    static final int SUBLANG_ITALIAN_SWISS
    See Also:
      - Constant Field Values

  - ### SUBLANG_KASHMIRI_SASIA

    static final int SUBLANG_KASHMIRI_SASIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_KASHMIRI_INDIA

    static final int SUBLANG_KASHMIRI_INDIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_KOREAN

    static final int SUBLANG_KOREAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_LITHUANIAN

    static final int SUBLANG_LITHUANIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_MALAY_MALAYSIA

    static final int SUBLANG_MALAY_MALAYSIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_MALAY_BRUNEI_DARUSSALAM

    static final int SUBLANG_MALAY_BRUNEI_DARUSSALAM
    See Also:
      - Constant Field Values

  - ### SUBLANG_NEPALI_INDIA

    static final int SUBLANG_NEPALI_INDIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_NORWEGIAN_BOKMAL

    static final int SUBLANG_NORWEGIAN_BOKMAL
    See Also:
      - Constant Field Values

  - ### SUBLANG_NORWEGIAN_NYNORSK

    static final int SUBLANG_NORWEGIAN_NYNORSK
    See Also:
      - Constant Field Values

  - ### SUBLANG_PORTUGUESE

    static final int SUBLANG_PORTUGUESE
    See Also:
      - Constant Field Values

  - ### SUBLANG_PORTUGUESE_BRAZILIAN

    static final int SUBLANG_PORTUGUESE_BRAZILIAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_SERBIAN_LATIN

    static final int SUBLANG_SERBIAN_LATIN
    See Also:
      - Constant Field Values

  - ### SUBLANG_SERBIAN_CYRILLIC

    static final int SUBLANG_SERBIAN_CYRILLIC
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH

    static final int SUBLANG_SPANISH
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_MEXICAN

    static final int SUBLANG_SPANISH_MEXICAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_MODERN

    static final int SUBLANG_SPANISH_MODERN
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_GUATEMALA

    static final int SUBLANG_SPANISH_GUATEMALA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_COSTA_RICA

    static final int SUBLANG_SPANISH_COSTA_RICA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_PANAMA

    static final int SUBLANG_SPANISH_PANAMA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_DOMINICAN_REPUBLIC

    static final int SUBLANG_SPANISH_DOMINICAN_REPUBLIC
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_VENEZUELA

    static final int SUBLANG_SPANISH_VENEZUELA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_COLOMBIA

    static final int SUBLANG_SPANISH_COLOMBIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_PERU

    static final int SUBLANG_SPANISH_PERU
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_ARGENTINA

    static final int SUBLANG_SPANISH_ARGENTINA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_ECUADOR

    static final int SUBLANG_SPANISH_ECUADOR
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_CHILE

    static final int SUBLANG_SPANISH_CHILE
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_URUGUAY

    static final int SUBLANG_SPANISH_URUGUAY
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_PARAGUAY

    static final int SUBLANG_SPANISH_PARAGUAY
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_BOLIVIA

    static final int SUBLANG_SPANISH_BOLIVIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_EL_SALVADOR

    static final int SUBLANG_SPANISH_EL_SALVADOR
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_HONDURAS

    static final int SUBLANG_SPANISH_HONDURAS
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_NICARAGUA

    static final int SUBLANG_SPANISH_NICARAGUA
    See Also:
      - Constant Field Values

  - ### SUBLANG_SPANISH_PUERTO_RICO

    static final int SUBLANG_SPANISH_PUERTO_RICO
    See Also:
      - Constant Field Values

  - ### SUBLANG_SWEDISH

    static final int SUBLANG_SWEDISH
    See Also:
      - Constant Field Values

  - ### SUBLANG_SWEDISH_FINLAND

    static final int SUBLANG_SWEDISH_FINLAND
    See Also:
      - Constant Field Values

  - ### SUBLANG_URDU_PAKISTAN

    static final int SUBLANG_URDU_PAKISTAN
    See Also:
      - Constant Field Values

  - ### SUBLANG_URDU_INDIA

    static final int SUBLANG_URDU_INDIA
    See Also:
      - Constant Field Values

  - ### SUBLANG_UZBEK_LATIN

    static final int SUBLANG_UZBEK_LATIN
    See Also:
      - Constant Field Values

  - ### SUBLANG_UZBEK_CYRILLIC

    static final int SUBLANG_UZBEK_CYRILLIC
    See Also:
      - Constant Field Values

  - ### SORT_DEFAULT

    static final int SORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### SORT_JAPANESE_XJIS

    static final int SORT_JAPANESE_XJIS
    See Also:
      - Constant Field Values

  - ### SORT_JAPANESE_UNICODE

    static final int SORT_JAPANESE_UNICODE
    See Also:
      - Constant Field Values

  - ### SORT_CHINESE_BIG5

    static final int SORT_CHINESE_BIG5
    See Also:
      - Constant Field Values

  - ### SORT_CHINESE_PRCP

    static final int SORT_CHINESE_PRCP
    See Also:
      - Constant Field Values

  - ### SORT_CHINESE_UNICODE

    static final int SORT_CHINESE_UNICODE
    See Also:
      - Constant Field Values

  - ### SORT_CHINESE_PRC

    static final int SORT_CHINESE_PRC
    See Also:
      - Constant Field Values

  - ### SORT_CHINESE_BOPOMOFO

    static final int SORT_CHINESE_BOPOMOFO
    See Also:
      - Constant Field Values

  - ### SORT_KOREAN_KSC

    static final int SORT_KOREAN_KSC
    See Also:
      - Constant Field Values

  - ### SORT_KOREAN_UNICODE

    static final int SORT_KOREAN_UNICODE
    See Also:
      - Constant Field Values

  - ### SORT_GERMAN_PHONE_BOOK

    static final int SORT_GERMAN_PHONE_BOOK
    See Also:
      - Constant Field Values

  - ### SORT_HUNGARIAN_DEFAULT

    static final int SORT_HUNGARIAN_DEFAULT
    See Also:
      - Constant Field Values

  - ### SORT_HUNGARIAN_TECHNICAL

    static final int SORT_HUNGARIAN_TECHNICAL
    See Also:
      - Constant Field Values

  - ### SORT_GEORGIAN_TRADITIONAL

    static final int SORT_GEORGIAN_TRADITIONAL
    See Also:
      - Constant Field Values

  - ### SORT_GEORGIAN_MODERN

    static final int SORT_GEORGIAN_MODERN
    See Also:
      - Constant Field Values

  - ### NLS_VALID_LOCALE_MASK

    static final int NLS_VALID_LOCALE_MASK
    See Also:
      - Constant Field Values

  - ### LANG_SYSTEM_DEFAULT

    static final int LANG_SYSTEM_DEFAULT

  - ### LANG_USER_DEFAULT

    static final int LANG_USER_DEFAULT

  - ### LOCALE_SYSTEM_DEFAULT

    static final WinDef.LCID LOCALE_SYSTEM_DEFAULT

  - ### LOCALE_USER_DEFAULT

    static final WinDef.LCID LOCALE_USER_DEFAULT

  - ### LOCALE_NEUTRAL

    static final WinDef.LCID LOCALE_NEUTRAL

  - ### LOCALE_INVARIANT

    static final WinDef.LCID LOCALE_INVARIANT

  - ### EVENT_MODIFY_STATE

    static final int EVENT_MODIFY_STATE
    See Also:
      - Constant Field Values

  - ### EVENT_ALL_ACCESS

    static final int EVENT_ALL_ACCESS
    See Also:
      - Constant Field Values